2004-12-28  Jim Blandy  <jimb@redhat.com>

 	* remote.c (fetch_register_using_p): Recognize a register value
	starting with 'x' as indicating an unfetchable register.

2004-12-27  Mark Kettenis  <kettenis@gnu.org>

	* config/mips/obsd64.mh (NATDEPFILES): Unwrap line.

2004-12-26  Mark Kettenis  <kettenis@gnu.org>

	* inftarg.c (child_xfer_partial): Remove code that handles
	TARGET_OBJ_WCOOKIE.

2004-12-25  Mark Kettenis  <kettenis@gnu.org>

	* inftarg.c (child_create_inferior) [HPUXHPPA]: Remove code.

2004-12-24  Mark Kettenis  <kettenis@gnu.org>

	* target.h (TARGET_DISABLE_HW_WATCHPOINTS)
	(TARGET_ENABLE_HW_WATCHPOINTS): Remove macros.
	* infrun.c (struct execution_control_state): Remove
	enable_hw_watchpoints_after_wait member.
	(number_of_threads_in_syscalls): Remove variable.
	(init_wait_for_inferior): Don't initialize
	number_of_threads_in_syscalls.
	(init_execution_control_state): Don't initialize
	ECS->enable_hw_watchpoints_after_wait.
	(handle_inferior_event): Never invoke TARGET_ENABLE_HW_WATCHPOINTS
	or TARGET_DISABLE_HW_WATCHPOINTS.

2004-12-23  Mark Kettenis  <kettenis@gnu.org>

	* i386-nto-tdep.c: Reorder include files.
	(i386nto_svr4_fetch_link_map_offsets): Remove function.
	(init_i386nto_ops, i386nto_init_abi): Use
	svr4_ilp32_fetch_link_map_offsets instead of
	i386nto_svr4_fetch_link_map_offsets.

2004-12-21  Mark Kettenis  <kettenis@gnu.org>

	* hppa-tdep.c (hppa_frame_prev_register_helper): Make 64-bit safe.

2004-12-21  Mark Kettenis  <kettenis@gnu.org>

	* hppa-tdep.c (hppa64_return_value): Fix previous commit.

2004-12-21  Mark Kettenis  <kettenis@gnu.org>

	* hppa-tdep.c (hppa32_return_value): Move further down.
	(hppa64_return_value): Re-implement.

2004-12-21  Jim Blandy  <jimb@redhat.com>

	* remote.c (fetch_register_using_p): Fix formatting.
	
2004-12-21  Paul N. Hilfinger  <hilfingr@otisco.mckusick.com>

	* ada-lang.c (ada_print_subexp): Remove i18n markup from Ada code
	output.
	* ada-typeprint.c (ada_typedef_print): Ditto.
	(print_unchecked_union_type): Ditto.
	(print_record_type): Ditto, and correct output for non-derived
	types that was inadvertently left off during the markup.

2004-12-19  Mark Kettenis  <kettenis@gnu.org>

	* hppa-hpux-tdep.c (hppa64_hpux_search_dummy_call_sequence): Check
	whether the name returned by find_pc_partial_function is a null
	pointer, not whether it is an empty string.

	* hppa-tdep.h (hppa_regnum): Add HPPA_DP_REGNUM, HPPA_RET0_REGNUM,
	HPPA_RET1_REGNUM and HPPA64_FP4_REGNUM.
	* hppa-tdep.c (hppa64_integral_or_pointer_p)
	(hppa64_floating_p) New functions.
	(hppa64_push_dummy_call): Re-implement.
	(hppa32_register_type): Rename argument reg_nr to regnum.
	(hppa64_register_type): Likewise.  Use HPPA64_FP4_REGNUM instead
	of HPPA_FP4_REGNUM.
	(hppa32_cannot_store_register): Renamed from
	hppa_cannot_store_register.
	(hppa64_cannot_store_register): New function.
	(hppa_gdbarch_init): Set cannot_store_register and
	cannot_fetch_register to hppa32_cannot_store_register or
	hppa64_cannot_store_register when appropriate.

2004-12-18  Mark Kettenis  <kettenis@gnu.org>

	* hppah-nat.c: Remove file.
	* infttrace.h: Remove file.
	* infttrace.c: Remove file.
	* Makefile.in (ALLDEPFILES): Remove hppah-nat.c
	(infttrace_h): Remove variable.
	(hppah-nat.o, infttrace.o): Remove dependencies.
	* configure.host (hppa*64*-*-hpux11*): Remove.
	* config/pa/hpux11w.mh: Remove file.
	* config/pa/nm-hppah.h: Remove file.
	* config/pa/nm-hppah11.h: Remove file.

	* config/djgpp/fnchange.lst: Resolve name clash between
	../bfd/elf32-arm.c and ../bfd/elf32-arc.c, i386-sol2-nat.c and
	i386-sol2-tdep.c, mips64obsd-nat.c and mips64obsd-tdep.c,
	testsuite/gdb.base/bitfields.c and
	testsuite/gdb.base/bitfields2.c, testsuite/gdb.base/bitfields.exp
	and testsuite/gdb.base/bitfields2.exp.  Remove entry for
	config/m88k/xm-delta88v4.h.

	* solib-pa64.c: Only include <dlfcn.h>, <elf.h> and <elf_hp.h> if
	PA_SOM_ONLY isn't defined.

	* somread.c: Include "solib-som.h".
	(som_symfile_init, som_new_init, som_symfile_read,
	som_symfile_finish, som_symtab_read, som_symfile_offsets): Remove
	redudant prototypes.
	* Makefile.in (somread.o): Update dependencies.

2004-12-17  Jim Blandy  <jimb@redhat.com>

	* remote.c (fetch_register_using_p): Indentation cleanup.

2004-12-17  Randolph Chung  <tausq@debian.org>

	* hppa-hpux-tdep.c (setup_d_pid_in_inferior): Make static.
	(find_stub_with_shl_get): Make static.

2004-12-17  Randolph Chung  <tausq@debian.org>

	* hppa-hpux-tdep.c (IS_32BIT_TARGET): New.
	(in_opd_section): New.
	(hppa32_hpux_find_global_pointer): Rename from 
	hppa_hpux_som_find_global_pointer.
	(hppa64_hpux_find_global_pointer): New.
	(ldsid_pattern): New.
	(hppa_hpux_search_pattern): New.
	(hppa32_hpux_search_dummy_call_sequence): New.
	(hppa64_hpux_search_dummy_call_sequence): New.
	(hppa_hpux_find_import_stub_for_addr): New.
	(hppa_hpux_sr_for_addr): New.
	(hppa_hpux_find_dummy_bpaddr): New.
	(hppa_hpux_init_abi): Use IS_32BIT_TARGET predicate.
	(hppa_hpux_som_init_abi): Set find_global_pointer method to
	hppa32_hpux_find_global_pointer instead of
	hppa_hpux_som_find_global_pointer.
	(hppa_hpux_elf_init_abi): Set find_global_pointer method.
	* hppa-tdep.c (hppa_init_objfile_priv_data): New.
	(read_unwind_info): Use function to initialize objfile-private data.
	(hppa32_push_dummy_call): Don't automatically set the RP if there is
	a push_dummy_code method.
	(hppa64_push_dummy_call): Retrieve and set the global pointer.
	Don't automatically set the RP if there is a push_dummy_code method.
	* hppa-tdep.h (hppa_objfile_private): Add dummy_call_sequence_reg and
	dummy_call_sequence_addr members.
	(hppa_init_objfile_priv_data): New prototype.

2004-12-17  Joel Brobecker  <brobecker@gnat.com>

	* hppa-tdep.c (hppa_lookup_stub_minimal_symbol): New function.
	* hppa-tdep.h (hppa_lookup_stub_minimal_symbol): Add declaration.
	* solib-som.c (som_solib_create_inferior_hook): Replace stub
	msymbol search by call to hppa_lookup_stub_minimal_symbol. This
	extends the search to all objfiles, not just shared libraries.
	Remove unused variable.

2004-12-16  Michael Snyder  <msnyder@redhat.com>

	* MAINTAINERS: Add myself as maintainer for mn10300.
	* NEWS: Mention mn10300.

2004-12-15  Kevin Buettner  <kevinb@redhat.com>

	* xstormy16-tdep.c (xstormy16_skip_prologue): Clear/initialize the
	frame cache.

2004-12-14  Randolph Chung  <tausq@debian.org>

	* hppa-tdep.c (hppa_in_function_epilogue_p): New function.
	(hppa_gdbarch_init): Set in_epilogue_p method.

2004-12-14  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (sh_extract_return_value_nofpu): Rename from
	sh_default_extract_return_value.
	(sh_extract_return_value_fpu): Rename from
	sh3e_sh4_extract_return_value.
	(sh_store_return_value_nofpu): Rename from
	sh_default_store_return_value.
	(sh_store_return_value_fpu): Rename from sh3e_sh4_store_return_value.
	(sh_return_value_nofpu): Accomodate above changes.
	(sh_return_value_fpu): Ditto.

2004-12-13  Jerome Guitton  <guitton@gnat.com>

	* stabsread.c (read_huge_number): Add support for reading octal
	signed number in twos complement, based on the size of this
	number.
	(read_range_type): Add support for reading octal signed bounds
	in twos complements, based on the size of the type.
	(read_type_number, read_cpp_abbrev, read_member_functions,
	read_cpp_abbrev, read_one_struct_field, read_baseclasses,
	read_struct_type, read_array_type, read_enum_type,
	read_sun_builtin_type, read_sun_floating_type): Update calls to
	read_huge_number.
	(read_type): Update call to read_range_type.

2004-12-13  Randolph Chung  <tausq@debian.org>

	* hppa-hpux-tdep.c (internalize_hp_cxx_exception_support): Call
	solib_get_solib_by_pc method through target vector.
	(hppa_hpux_som_find_global_pointer): Call solib_get_got_by_pc
	method through target vector.

2004-12-13  Joel Brobecker  <brobecker@gnat.com>

	* alpha-osf1-tdep.c (alpha_osf1_sigcontext_addr): Change
	parameter name to make it clear that we already have a next
	frame.  Return the sigcontext from that next frame instead
	of the frame following it.

2004-12-13  Randolph Chung  <tausq@debian.org>

	* Makefile.in (pa64solib_h, somsolib_h): Delete.
	(solib_pa64_h, solib_som_h): New.
	(HFILES_NO_SRCDIR, ALLDEPFILES): Replace somsolib.h with solib-som.h.
	(hppa-hpux-tdep.o, hpread.o): Update dependencies.
	(pa64solib.o, somsolib.o): Delete.
	(solib-pa64.o, solib-som.o): New.
	* hppa-hpux-tdep.c: Include new solib interfaces.
	(hppa_hpux_som_init_abi): Attach to SOM solib interface.
	(hppa_hpux_elf_init_abi): Attach to PA64 ELF solib interface.
	* hppa-tdep.c (internalize_unwinds): If solib_get_text_base method
	is available, use it to determine the base of unwind records.
	* hppa-tdep.h (gdbarch_tdep): Add new solib methods.
	* hpread.c: Replace somsolib.h with solib-som.h.
	(hpread_process_one_debug_symbol): Use target vector to get thread 
	start address.
	* config/pa/hppa64.mt (TDEPFILES): Use new solib interface.
	* config/pa/hppahpux.mt (TDEPFILES): Likewise.
	* config/pa/hpux.mh (NATDEPFILES): Delete references to target objects.
	* config/pa/tm-hppah.h: Use new solib interface.

2004-12-13  Randolph Chung  <tausq@debian.org>

	* tramp-frame.c (tramp_frame_sniffer): Allow frames with names or 
	sections to be trampolines too.

2004-12-13  Ben Elliston  <bje@au.ibm.com>

	* f-exp.y (typename): Remove unused nonterminal.
	(name): Likewise.

2004-12-12  Baurjan Ismagulov  <ibr@ata.cs.hun.edu.tr>

	Committed by Andrew Cagney.
	* abug-rom.c, ada-lang.c, ada-typeprint.c, alpha-tdep.c: i18n
	markup.
	
2004-12-12  Andrew Cagney  <cagney@gnu.org>

	* frame.c (get_prev_frame): When unwinding normal frames, check
	that the PC isn't zero.
	* hppa-tdep.c (hppa_stub_frame_unwind_cache): Delete check for a
	zero PC.

	* MAINTAINERS: Reword description of what "Target Instruction Set
	Architectures" covers.

2004-12-12  Mark Kettenis  <kettenis@gnu.org>

	* hppa-hpux-nat.c (hppa_hpux_child_can_run): Tweak comment.

2004-12-11  Mark Kettenis  <kettenis@gnu.org>

	* hppa-hpux-nat.c (ss_mpsfu_high): Remove define.
	(hppa_hpux_save_state_offset): New function, replacing variable
	with the same name.
	(hppa_cannot_fetch_register, hppa_cannot_store_register): Remove
	functions.
	(hppa_hpux_fetch_register): Don't call hppa_cannot_fetch_register.
	Use new hppa_hpux_save_state_offset function.  Add special
	handling for handling 64-bit "flags" register.
	(hppa_hpux_store_register): Likewise.
	(hppa_hpux_child_can_run): Tweak comment.

	* inf-ttrace.c (inf_ttrace_him): Set TTEVT_BPT_SSTEP if available.
	(inf_ttrace_attach): Likewise.
	(inf_ttrace_resume_callback): New function.
	(inf_ttrace_resume): Don't use TT_PROC_CONTINUE.  Iterate over all
	lwps and call inf_ttrace_resume_callback instead.
	(inf_ttrace_wait): Handle TTEVT_BPT_SSTEP.

	* inf-ttrace.c (_initialize_inf_ttrace): Unconditionially compile.

2004-12-10  Michael Snyder  <msnyder@redhat.com>

	* mn10300-tdep.c: New file.  This is a re-implementation of
	the mn10300 target back-end using the new frame api etc.
	* mn10300-tdep.h: New file.
	* config/mn10300/mn10300.mt: New file (or replace old file).
	* configure.tgt: Add mn10300 target.

2004-12-10  Mark Kettenis  <kettenis@gnu.org>

	* configure.host (hppa*-*-hpux11*): Remove.
	* config/pa/hpux11.mh: Remove file.

	* hppa-hpux-tdep.c (hppa_hpux_sigtramp_frame_unwind_cache): Fix
	typo.

2004-12-10  Kris Warkentin  <kewarken@qnx.com>

	* nto-tdep.h: Include osabi.h.  Prototypes for generic Neutrino
	osabi sniffer, signal handling initializer, 'in_dynsym_resolve_code'
	function and nto_set_target function.
	(struct nto_target_ops): Put comments inline with struct.  Add osabi
	sniffer hook.  Redefine macros to permit testing/assignment.  Remove
	nto_ prefix from members.
	* nto-tdep.c (nto_find_and_open_solib): Allocate all buffers
	dynamically to support arbitrary root paths.  Check for basename of
	lib in search path and then check for absolute.
	(nto_in_dynsym_resolve_code): New function.
	(nto_core_sniffer): New function.
	(regset_core_fns): Register core sniffer.
	(nto_initialize_signals): New function.
	(_initialize_nto_tdep): Move signal initialization code to above to
	avoid initialization race conditions.
	(nto_set_target): New function.
	* nto-procfs.c: Minor formatting/indenting changes.
	(procfs_is_nto_target): New function.
	(procfs_open): Set nto_is_nto_target.
	(_initialize_procfs): Ditto.  Remove notice_signals() call to avoid
	initialization race conditions.
	(procfs_create_inferior): Resume inferior after creation.
	* i386-nto-tdep.c: Declare i386_nto_target.
	(init_i386nto_ops): Initialize i386_nto_target instead of
	current_nto_target.
	(i386nto_init_abi): Initialize signals.  Call nto_set_target.  Set
	TARGET_SO_IN_DYNSYM_RESOLVE_CODE.
	(_initialize_i386nto_tdep): Call init_i386nto_ops.  Register osabi
	sniffer.

2004-12-10  Mark Kettenis  <kettenis@gnu.org>

	* hppa-hpux-tdep.c (child_enable_exception_callback): Use XMALLOC.
	(hppa_hpux_sigtramp_frame_unwind_cache): Use ARRAY_SIZE.
	(hppa_hpux_init_abi): Reformat long line.

2004-12-09  Mark Kettenis  <kettenis@gnu.org>

	* hppa-hpux-tdep.c: Include "regset.h".
	(HPPA_HPUX_SS_WIDEREGS, HPPA_HPUX_SS_FLAGS_OFFSET)
	(HPPA_HPUX_SS_NARROW_OFFSET, HPPA_HPUX_SS_FPBLOCK_OFFSET)
	(HPPA_HPUX_SS_WIDE_OFFSET, HPPA_HPUX_SAVE_STATE_SIZE)
	(HPPA_HPUX_PA89_SAVE_STATE_SIZE): New defines.
	(hppa_hpux_supply_ss_narrow, hppa_hpux_supply_ss_fpblock)
	(hppa_hpux_supply_ss_wide, hppa_hpux_supply_save_state): New
	functions.
	(hppa_hpux_regset): New variable.
	(hppa_hpux_regset_from_core_section): New function.
	(hppa_hpux_init_abi): Set regset_from_core_section.
	(hppa_hpux_core_osabi_sniffer): New function.
	(_initialize_hppa_hpux_tdep): Register
	hppa_hpux_core_osabi_sniffer.
	* Makefile.in (hppa-hpux-tdep.o): Update dependencies.
	* config/pa/hppahpux.mt (TDEPFILES): Add corelow.o.

2004-12-09  Randolph Chung  <tausq@debian.org>

	* solib-pa64.c (pa64_relocate_section_addresses): Properly relocate
	text and data sections.
	(pa64_current_sos): Also include the dld in the list of current shared
	objects.
	(pa64_solib_get_solib_by_pc): Update comments.
	(pa64_solib_get_text_base): New function.
	(pa64_solib_select): Set solib_get_text_base method.

2004-12-08  Daniel Jacobowitz  <dan@debian.org>

	* linux-thread-db.c (BUILD_THREAD): Delete.
	(thread_get_info_callback): Include LWP ID in thread ID.
	(thread_from_lwp, check_event, find_new_threads_callback): Likewise.
	(lwp_from_thread): Use the LWP ID from the thread ID.

2004-12-07  Randolph Chung  <tausq@debian.org>

	* hppa-tdep.c (hppa_frame_prev_register_helper): Zero out the entire
	register for both 32- and 64-bit targets.

2004-12-07  Randolph Chung  <tausq@debian.org>

	* frame.c (get_prev_frame): Don't terminate unwinding at main if we
	are unwinding through a dummy frame.

2004-12-07  Randolph Chung  <tausq@debian.org>

	* hppa-tdep.h (gdbarch_tdep): Add unwind_adjust_stub method.
	* hppa-hpux-tdep.c (hppa_hpux_unwind_adjust_stub): New function.
	(hppa_hpux_init_abi) Set unwind_adjust_stub method.
	* hppa-tdep.c (hppa_frame_cache): Call unwind_adjust_stub method
    	if defined.

2004-12-07  Randolph Chung  <tausq@debian.org>

	* hppa-tdep.c (hppa_stub_Frame_unwind_cache): Stop unwinding if 
	unwinding from a frame with pc == 0.
	(hppa_stub_frame_this_id): Likewise.
	(hppa_stub_frame_prev_register): Only provide real values if the frame
	cache is not NULL.

2004-12-07  Randolph Chung  <tausq@debian.org>

	* solib-som.c: New file.
	* solib-som.h: New file.
	* solib-pa64.c: New file.
	* solib-pa64.h: New file.

2004-12-07  Mark Kettenis  <kettenis@gnu.org>

	* Makefile.in (inf-ttrace.o): Fix typo.

2004-12-07  Jim Blandy  <jimb@redhat.com>

	* remote.c (remote_threads_info, remote_current_thread): Use
	strtoul to parse thread ID numbers.

2004-12-07  Mark Kettenis  <kettenis@gnu.org>

	* inf-ttrace.c: Include "gdbthread.h".
	(inf_ttrace_num_lwps): New variable.
	(inf_ttrace_num_lwps_in_syscall): Renamed from
	inf_ttrace_num_threads_in_syscall.
	(inf_ttrace_him): Track TTEVT_LWP_CREATE, TTEVT_LWP_EXIT and
	TTEVT_LWP_TERMINATE events.
	(inf_ttrace_create_inferior): Assert that INF_TTRACE_NUM_LWPS is
	zero.
	(inf_ttrace_mourn_inferior): Set INF_TTRACE_NUM_LWPS to zero.
	(inf_ttrace_attach): Assert that INF_TTRACE_NUM_LWPS is zero.
	Track TTEVT_LWP_CREATE, TTEVT_LWP_EXIT and TTEVT_LWP_TERMINATE
	events.
	(inf_ttrace_wait): Report status as TARGET_WAITKIND_SPURIOUS by
	default.  Handle TTEVT_LWP_CREATE, TTEVT_LWP_EXIT and
	TTEVT_LWP_TERMINATE events.
	(inf_ttrace_thread_alive, inf_ttrace_pid_to_str): New functions.
	(inf_ttrace_target): Set to_thread_alive and to_pid_to_str.
	* Makefile.in (inf-ttrace.o): Update dependencies.

	* hppa-tdep.h (hppa_read_pc, hppa_write_pc, hppa_unwind_pc): New
	prototypes.
	* hppa-tdep.c (hppa_read_pc): Rename from hppa_target_read_pc.
	Make global.  Remove HP-UX specific code.  Use
	frame_unwind_register_unsigned instead of
	frame_unwind_register_signed.
	(hppa_write_pc): Rename from hppa_target_write_pc.  Make global.
	Remove HP-UX specific code.
	(hppa_unwind_pc): Make global.  Remove HP-UX specific code.
	(hppa_frame_prev_register_helper): Set "flags" register to zero
	for all unwound frames.
	(hppa_gdbarch_init): Adjust.
	* hppa-hpux-tdep.c (HPPA_HPUX_SS_INSYSCALL): New define.
	(hppa_hpux_read_pc, hppa_hpux_write_pc)
	(hppa_hpux_unwind_pc): New functions.
	(hppa_hpux_init_abi): Set read_pc, write_pc and unwind_pc.

2004-12-07  Andreas Schwab  <schwab@suse.de>

	* main.c (long_options): Add entry for "-l".
	(print_gdb_help): Add line for -l option.
	* NEWS: Mention it.

2004-12-05  Randolph Chung  <tausq@debian.org>

	* hppah-nat.c (store_inferior_registers): Rewrite logic to not use
	DEPRECATED_REGISTER_BYTE.

2004-12-05  Randolph Chung  <tausq@debian.org>

	* hppa-tdep.c (unwind_command): Print the stub type for stub unwind
	records.

2004-12-05  Mark Kettenis  <kettenis@gnu.org>

	* somsolib.c [PA_SOM_ONLY] (no_shared_libraries): New function.
	* config/pa/hppahpux.mt (TDEPFILES): Remove solib.o.

	* hppa-hpux-tdep.c: Update copyright notice and year.

2004-12-05  Richard Earnshaw  <rearnsha@arm.com>

	* doublest.c (FLOATFORMAT_LARGEST_BYTES): New define.
	(get_field, put_field): Assert that the format is one we can handle.
	Simplify logic accordingly.
	(floatformat_normalize_byteorder): New function.
	(convert_floatformat_to_doublest): Use floatformat_normalize_byteorder
	to normalize and select modified byte order. Pass modified byte order
	to get_field.
	(floatformat_is_negative, floatformat_is_nan, floatformat_mantissa): 
	Likewise.
	(convert_doublest_to_floatformat): Select an appropriate intermediate
	byte order if necessary.  Always convert to the final format before
	returning.

2004-12-04  Daniel Jacobowitz  <dan@debian.org>

	PR tui/1703
	* linux-nat.c (linux_tracefork_child): Use _exit instead of exit.
	Suggested by Joshua Neuheisel.

2004-12-03  Randolph Chung  <tausq@debian.org>

	* gdbarch.sh (instruction_nullified): Delete.
	* gdbarch.c: Regenerate.
	* gdbarch.h: Regenerate.
	* hppa-tdep.c (hppa_target_read_pc): Adjust pc if instruction is
	nullified.
	(hppa_unwind_pc): Likewise. 
	(hppa_instruction_nullified): Delete.
	(hppa_gdbarch_init): Don't set instruction_nullified method.
	* infrun.c (infwait_states): Remove infwait_nullified_state.
	(handle_inferior_event): Remove handling of infwait_nullified_state.
	Remove handling of nullified instructions.

2004-12-03  Mark Kettenis  <kettenis@gnu.org>

	* inf-ttrace.c: Include <sys/mman.h>.
	(struct inf_ttrace_page): New.
	(struct inf_ttrace_page_dict): New.
	(inf_ttrace_num_threads_in_syscall)
	(inf_ttrace_reenable_page_protections): New variables.
	(inf_ttrace_enable_syscall_events)
	(inf_ttrace_disable_syscall_events, inf_ttrace_get_page)
 	(inf_ttrace_add_page, inf_ttrace_insert_page)
	(inf_ttrace_remove_page, inf_ttrace_mask_page_protections)
	(inf_ttrace_enable_page_protections)
	(inf_ttrace_disable_page_protections)
	(inf_ttrace_insert_watchpoint, inf_ttrace_remove_watchpoint)
	(inf_ttrace_can_use_hw_breakpoint)
	(inf_ttrace_region_size_ok_for_hw_watchpoint)
	(inf_ttrace_stopped_by_watchpoint): New functions.
	(inf_ttrace_him): Remove unsused varaible `tts'.
	(inf_ttrace_create_inferior): Add assertionts.
	(inf_ttrace_mourn_inferior): Clear page dictionary.
	(inf_ttrace_attach): Set initial event mask.
	(inf_ttrace_detach): Reset number of threads in system call.
	(inf_ttrace_wait): Deal with system call events.
	(inf_ttrace_target): Initialize "hardware" watchpoint-related
	parts of the target vector.
	(_initialize_inf_ttrace): New prototype and function.

	* hppa-hpux-tdep.c (hppa_hpux_push_dummy_code): Use ULONGEST as
	type of `gp' variable.

2004-12-03  Richard Sandiford  <rsandifo@redhat.com>

	* README: Remove config.if from directory listing.

2004-12-01  Joel Brobecker  <brobecker@gnat.com>

	* alpha-tdep.c (alpha_register_name): Add comment.
	(alpha_cannot_fetch_register): Exclude registers numbers which
	are no longer used from the list of registers that can be fetched.
	(alpha_cannot_store_register): Exclude registers numbers which
	are no longer used from the list of registers that can be stored.
	* alpha-nat.c (fetch_osf_core_registers): Add missing value in
	core_reg_mapping array.

2004-12-01  Joel Brobecker  <brobecker@gnat.com>

	* alpha-tdep.c (alpha_heuristic_frame_prev_register): Fetch
	the register value from the correct frame.

2004-11-30  Randolph Chung  <tausq@debian.org>

	* hppa-linux-tdep.c (insns_match_pattern_relaxed): New function.
	(hppa_linux_in_dyncall): Check that we are inside the range of 
	$$dyncall, not necessarily at the first insn.
	(hppa_linux_in_solib_call_trampoline): Identify a trampoline 
	even if the pc does not point to the first insn of the trampoline.

2004-11-30  Randolph Chung  <tausq@debian.org>

	* breakpoint.c (break_at_finish_command): Delete.
	(break_at_finish_command_1): Delete.
	(break_at_finish_at_depth_command): Delete.
	(break_at_finish_at_depth_command_1): Delete.
	(tbreak_at_finish_command): Delete.
	* hppa-tdep.c (_initialize_hppa_tdep): Remove deprecated xbreak, tbreak
	and bx commands.

2004-11-30  Andrew Cagney  <cagney@gnu.org>

	* config/nm-gnu.h: Delete file.
	* config/i386/nm-i386gnu.h: Inline "config/nm-gnu.h".

	* config/nm-sysv4.h: Delete file.
	* config/i386/nm-i386v4.h: Inline "config/nm-sysv4.h".
	* config/i386/nm-i386v42mp.h: Inline "config/nm-sysv4.h".
	* config/i386/nm-i386sol2.h: Inline "config/nm-sysv4.h".
	* config/ia64/nm-aix.h: Inline "config/nm-sysv4.h".
	* config/mips/nm-irix5.h: Inline "config/nm-sysv4.h".

2004-11-29  Andrew Cagney  <cagney@gnu.org>

	* MAINTAINERS: Add Randolph Chung (pa), Jeff Johnston (ia64), Kei
	Sakamoto (m32r), Joel Brobecker (mips), and Ulrich Weigand (s390)
	as can-commit architecture developers.

2004-11-29  Mark Kettenis  <kettenis@gnu.org>

	* sparc-tdep.c (X_RS1, X_SIMM13): New macros.
	(sparc32_skip_prologue): Skip instructions that store arguments in
	registers into their corresponding stack slots.

	* config/m68k/nbsdaout.mh (NAT_FILE): Set to solib.h instead of
	tm-solib.h.
	* config/m68k/obsd.mh (NAT_FILE): Likewise.

	* sparc-tdep.h (sparc32nbsd_elf_init_abi): New prototype.
	* sparcnbsd-tdep.c (sparc32nbsd_elf_init_abi): Make global.
	* sparcobsd-tdep.c (sparc32obsd_init_abi): Call
	sparc32nbsd_elf_init_abi.  Remove duplicate code.

	* config/sparc/nbsdaout.mh (NAT_FILE): Set to solib.h.
	* config/sparc/nbsdelf.mh (NAT_FILE): Remove variable.
	* config/sparc/nm-nbsd.h: Remove file.
	* config/sparc/nm-nbsdaout.h: Remove file.

	* sparc-nat.c (inf_ptrace_xfer_partial): New variable.
	(sparc_xfer_partial): New function.
	(sparc_target): Save value of to_xfer_partial from ptrace vector.
	Set to_xfer_partial.

	* fork-child.c (fork_inferior): Fork instead of vfork if
	PRE_TRACE_FUN is non-null.

2004-11-24  Fred Fish  <fnf@specifixinc.com>

	* rs6000-tdep.c (skip_prologue): Use line table info to skip over
	compiler generated function calls made as part of a prologue.

2004-11-23  Mark Kettenis  <kettenis@gnu.org>

	* inf-ttrace.c: New file.
	* inf-ttrace.h: New file.
	* hppa-hpux-nat.c [HAVE_TTRACE]: Include <sys/ttrace>.
	Include "inf-ttrace.h".
	(ss_mpsfu_high): Define to ss_tlsp if necessary.
	(hppa_hpux_fetch_register, hppa_hpux_store_register): Use
	ptid_get_pid instead of PIDGET.  Modify to handle both ttrace and
	ptrace systems.
	(_initialize_hppa_hpux_nat) [HAVE_TTRACE]: Call inf_ttrace_traget
	instead of inf_ptrace_target.
	* config/pa/hpux.mh (NATDEPFILES): Add inf-ttrace.o.
	* Makefile.in (inf_ttrace_h): New variable.
	(hppa-hpux-nat.o): Update dependency.
	(inf-ttrace.o): New dependency.
	(ALLDEPFILES): Add inf-ptrace.c and inf-ttrace.c.

2004-11-23  Randolph Chung  <tausq@debian.org>

	* arch-utils.c (generic_instruction_nullified): New.
	* arch-utils.h (generic_instruction_nullified): New.
	* gdbarch.sh (instruction_nullified): New method.
	* gdbarch.c: Regenerate.
	* gdbarch.h: Regenerate.
	* infrun.c (INSTRUCTION_NULLIFIED): Delete.
	(handle_inferior_event): Replace INSTRUCTION_NULLIFIED with calls to
	new gdbarch method.
	* config/pa/tm-hppa.h (INSTRUCTION_NULLIFIED): Delete definition.
	* hppa-tdep.c (hppa_instruction_nullified): Remove prototype and make
	static.  Rewrite to work directly off the passed regcache.
	(hppa_gdbarch_init): Set instruction_nullified method.

2004-11-23  Joel Brobecker  <brobecker@gnat.com>

	* sparc-tdep.c (sparc_is_unimp_insn): New function.
	(sparc32_frame_cache): For functions where there is no debugging
	information to help us determine whether it's a struct-return
	function or not, fallback on checking whether the instruction
	at the return address is an "unimp" instruction or not.

2004-11-22  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>

	* MAINTAINERS: Add myself to write after approval section.

	* hppa-hpux-nat.c (child_suppress_run): Add variable to allow
	hpux-thread.c to suppress children from running.
	(hppa_hpux_child_can_run): New function.
	(_initialize_hppa_hpux_nat): Use hppa_hpux_child_can_run.
	* hpux-thread.c: Include string.h and hppa-tdep.h.
	(FLAGS_REGNUM, SP_REGNUM, PC_REGNUM): Rename to HPPA_FLAGS_REGNUM,
	HPPA_SP_REGNUM and HPPA_PCOQ_HEAD_REGNUM, respectively.
	(hpux_thread_store_registers): Replace deprecated_registers with
	calls to regcache_raw_read.
	* config/pa/hpux11.mh, config/pa/hpux11w.mh: Delete HOST_IPC.

2004-11-21  Mark Kettenis  <kettenis@gnu.org>

	* sparc64fbsd-nat.c: Update copyright year.
	(_initialize_sparc64fbsd_nat): Construct and add target vector.
	* config/sparc/fbsd.mh (NATDEPFILES): Remove infptrace.o,
	inftarg.o.

2004-11-21  Daniel Jacobowitz  <dan@debian.org>

	* sparc-tdep.c (sparc_software_single_step): Handle stepping to NULL.

2004-11-21  Daniel Jacobowitz  <dan@debian.org>

	* linux-nat.c (my_waitpid): New function.
	(linux_test_for_tracefork): Make more robust and verbose.  Take
	an ORIGINAL_PID argument and test for PTRACE_SETOPTIONS first.
	(linux_supports_tracefork, linux_supports_tracevforkdone): Take a PID
	argument.  Update calls to linux_test_for_tracefork.
	(linux_enable_event_reporting, child_follow_fork)
	(child_insert_fork_catchpoint, child_insert_vfork_catchpoint)
	(child_insert_exec_catchpoint): Update calls to
	linux_supports_tracefork and linux_supports_tracevforkdone.

2004-11-21  Daniel Jacobowitz  <dan@debian.org>

	* valarith.c (value_subscript): Copy VALUE_FRAME_ID.
	(value_subscripted_rvalue): Likewise.
	* valops.c (search_struct_field, value_slice): Likewise.

2004-11-21  Mark Kettenis  <kettenis@gnu.org>

	* inf-ptrace.c: Don't include "regcache.h" and "gdbcmd.h".
	Reorder includes a bit.  Fix comment.
	* Makefile.in (inf-ptrace.o): Update dependencies.

2004-11-21  Andreas Schwab  <schwab@suse.de>

	* m68klinux-tdep.c: Include "glibc-tdep.h" and "solib-svr4.h".
	(m68k_linux_init_abi): Set solib_svr4_fetch_link_map_offsets to
	svr4_ilp32_fetch_link_map_offsets and gdbarch_skip_solib_resolver
	to glibc_skip_solib_resolver.
	* config/m68k/linux.mt (TDEPFILES): Add glibc-tdep.o.  Remove
	solib-legacy.o.
	* Makefile.in (m68klinux-tdep.o): Update dependencies.

2004-11-20  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>

	* infttrace.h (ttrace_write_reg_64): Add prototype.
	* hppah-nat.c (store_inferior_registers): Fix warning from ambiguous
	expression.  
	(store_inferior_registers): Correct formatting.  Replace uses of
	deprecated_registers with calls to regcache_raw_read,
	regcache_raw_write_part and regcache_raw_read_part.

2004-11-21  Mark Kettenis  <kettenis@gnu.org>

	* config/pa/hppahpux.mh: Remove file.
	* config/pa/hpux1020.mh: Remove file.

2004-11-20  Andreas Schwab  <schwab@suse.de>

	* configure.host: Set host floatformat for m68k.

2004-11-20  Eli Zaretskii  <eliz@gnu.org>

	* config/djgpp/fnchange.lst: Resolve file-name clash between
	hppa-hpux-tdep.c and the new hppa-hpux-nat.c.

2004-11-20  Mark Kettenis  <kettenis@gnu.org>

	* hppa-hpux-nat.c: New file.
	* config/pa/hpux.mh (NATDEPFILES): New file.
	* Makefile.in (ALLDEPFILES): Add hppa-hpux-nat.c.
	(hppa-hpux-nat.o): New dependency.
	* configure.host: Remove hppa*-*-hpux10.20.
	(hppa*-*-hpux*, hppa*-*-hiux*): Set gdb_host to hpux.mh.

	* inf-ptrace.c: Fix coding style.

	* gdb_ptrace.h [PTRACE_TYPE_ARG5] (ptrace): New macro.
	* infptrace.c (call_ptrace): Simply call ptrace with four
	arguments.

	* dbxread.c (process_one_symbol): Fix a few coding standard
	issues.  Improve code formatting.

	* dbxread.c: Include "gdb_string.h".
	(record_minimal_symbol, read_ofile_symtab): Replace
	DEPRECATED_STREQ and DEPRECATED_STREQN with strcmp and strncmp.
	* Makefile.in (dbxread.o): Update dependencies.

	* dwarf2-frame.c (read_encoded_value): Correctly calculate number
	of bytes read for aligned LEB128 encodings.

2004-11-19  Mark Kettenis  <kettenis@gnu.org>

	* bsd-kvm.c (bsd_kvm_pcb_cmd): Cast return value from
	parse_and_eval_address to u_long before converting it to a pointer
	type.
	* i386fbsd-nat.c (_initialize_i386fbsd_nat): Change type of
	ps_strings from int to u_long.
	* i386obsd-nat.c (_initialize_i386obsd_nat): Cast _ps.val to
	u_long instead of CORE_ADDR.

2004-11-18  Mark Kettenis  <kettenis@gnu.org>

	* dbxread.c (process_one_symbol): Do not adjust address of first
	N_SLINE stab for a function for code generated by non-GCC
	compilers.

2004-11-18  Kevin Buettner  <kevinb@redhat.com>

	* solib-null.c: New file.

2004-11-17  Andrew Cagney  <cagney@gnu.org>

	* MAINTAINERS: Drop MIPS and remote.

2004-11-15  Andrew Cagney  <cagney@gnu.org>

	* findvar.c (value_of_register): Set the frame ID.
	* value.c (value_primitive_field): Copy the frame ID.
	* valops.c (value_assign): Simplify lval_register case, there's
	always a frame.

2004-11-14  Daniel Jacobowitz  <dan@debian.org>

	* Makefile.in (mips-linux-tdep.o): Update dependencies.
	* mips-linux-tdep.c: Include "regcache.h".
	(fill_fpregset, mips64_fill_fpregset): Use regcache_raw_collect.

2004-11-14  Daniel Jacobowitz  <dan@debian.org>

	* Makefile.in (linux-thread-db.o): Fix typo in last change.

2004-11-14  Daniel Jacobowitz  <dan@debian.org>

	* linux-thread-db.c: New file, renamed from thread-db.c.
	* thread-db.c: Remove.
	* Makefile.in (linux-thread-db.o): Rename from thread-db.o rule.
	* config/alpha/alpha-linux.mh (NATDEPFILES): Rename thread-db.o
	to linux-thread-db.o.
	* config/arm/linux.mh (NATDEPFILES): Likewise.
	* config/i386/linux.mh (NATDEPFILES): Likewise.
	* config/i386/linux64.mh (NATDEPFILES): Likewise.
	* config/ia64/linux.mh (NATDEPFILES): Likewise.
	* config/m32r/linux.mh (NATDEPFILES): Likewise.
	* config/m68k/linux.mh (NATDEPFILES): Likewise.
	* config/mips/linux.mh (NATDEPFILES): Likewise.
	* config/pa/linux.mh (NATDEPFILES): Likewise.
	* config/powerpc/linux.mh (NATDEPFILES): Likewise.
	* config/powerpc/ppc64-linux.mh (NATDEPFILES): Likewise.
	* config/s390/s390.mh (NATDEPFILES): Likewise.
	* config/sparc/linux.mh (NATDEPFILES): Likewise.
	* config/sparc/linux64.mh (NATDEPFILES): Likewise.

2004-11-13  Andrew Cagney  <cagney@gnu.org>

	* config/i386/i386lynx.mh: Delete file.
	* config/i386/i386lynx.mt: Delete file.
	* Makefile.in (ALLDEPFILES, i386ly-tdep.o): Remove i386ly-tdep.c.
	* i386ly-tdep.c: Delete.

	* config/tm-lynx.h: Delete, inline contents ...
	* config/rs6000/tm-rs6000ly.h: ... here.

	* config/tm-sysv4.h: Delete file, inlining contents.
	* config/ia64/tm-aix.h (SKIP_TRAMPOLINE_CODE): Define.
	* config/tm-linux.h (SKIP_TRAMPOLINE_CODE): Define.
	* config/tm-nto.h (SKIP_TRAMPOLINE_CODE): Define.

	* regcache.h (deprecated_register_valid): Delete.
	(deprecated_registers): Delete.
	* regcache.c (deprecated_register_valid): Delete.
	(deprecated_registers): Delete.
	(deprecated_read_register_byte, _initialize_regcache)
	(deprecated_write_register_bytes, build_regcache): Update.
	* config/powerpc/ppc-sim.mt (TDEPFILES): Remove ppc-bdm.o and
	remote-sds.o.
	* config/powerpc/ppc-eabi.mt (TDEPFILES): Ditto.
	* config/mips/embed.mt (TDEPFILES): Remove remote-mips.o.

	* NEWS: List h8300*-*-*, mcore-*-*, mn10300-*-*, ns32k-*-*, and
	v850-*-* under removed.
	* configure.host: Delete ns32k-*-netbsd*.
	* configure.tgt: Delete h8300-*-*, mcore*-*-*, mn10300-*-*,
	ns32k-*-netbsd*, and v850*-*-*.
	* MAINTAINERS: Mark h8300, mcore, mn10300, ns32k, v850 as
	"Deleted"
	* config/h8300/tm-h8300.h, config/h8300/h8300.mt: Delete.
	* h8300-tdep.c, config/mcore/mcore.mt, mcore-rom.c: Delete.
	* mcore-tdep.c, config/mn10300/mn10300.mt: Delete.
	* mn10300-tdep.c, config/ns32k/nbsdaout.mh: Delete.
	* config/ns32k/nbsdaout.mt, config/ns32k/nm-nbsd.h: Delete.
	* config/ns32k/nm-nbsdaout.h, config/ns32k/tm-ns32k.h: Delete.
	* ns32knbsd-nat.c, ns32knbsd-tdep.c, ns32k-tdep.c: Delete.
	* ns32k-tdep.h, config/v850/v850.mt, v850ice.c: Delete.
	* v850-tdep.c: Delete.
	
2004-11-13  Joel Brobecker  <brobecker@gnat.com>

	* irix5-nat.c (fetch_core_registers): Replace use of
	deprecated_registers by equivalent code.

2004-11-13  Joel Brobecker  <brobecker@gnat.com>

	* irix5-nat.c (fill_gregset): Replace use of deprecated_registers
	with equivalent code.
	(fill_fpregset): Likewise.

2004-11-13  Andrew Cagney  <cagney@gnu.org>

	* MAINTAINERS: Do not list "Deleted" architectures.

	* configure.tgt: Delete i[34567]86-*-vxworks*, m68*-netx-*,
	m68*-*-vxworks*, mips*-*-vxworks*, powerpc-*-vxworks*, and
	sparc-*-vxworks*.
	* NEWS: Mention that vxworks was deleted.
	* config/m68k/tm-vx68.h, config/mips/tm-vxmips.h: Delete.
	* config/powerpc/tm-vxworks.h, config/tm-vxworks.h: Delete.
	* config/i386/vxworks.mt, config/m68k/vxworks68.mt: Delete.
	* config/mips/vxmips.mt, config/powerpc/vxworks.mt: Delete.
	* config/sparc/vxworks.mt, vx-share/dbgRpcLib.h: Delete.
	* vx-share/ptrace.h, vx-share/regPacket.h: Delete.
	* vx-share/vxTypes.h, vx-share/vxWorks.h: Delete.
	* vx-share/wait.h, vx-share/xdr_ld.c: Delete.
	* vx-share/xdr_ld.h, vx-share/xdr_ptrace.c: Delete.
	* vx-share/xdr_ptrace.h, vx-share/xdr_rdb.c: Delete.
	* vx-share/xdr_rdb.h, remote-vxsparc.c: Delete.
	* remote-vxmips.c, remote-vx.c: Delete.
	* remote-vx68.c: Delete.
	* config/m68k/tm-os68k.h: Remove reference to VxWorks.
	* config/m68k/os68k.mt, ada-lang.h: Ditto.
	* Makefile.in (HFILES_NO_SRCDIR, ALLDEPFILES, remote-vx68.o)
	(remote-vx.o, remote-vxmips.o, remote-vxsparc.o): Delete vx files.

2004-11-13  Eli Zaretskii  <eliz@gnu.org>

	* config/i386/xm-go32.h: Don't include fopen-bin.h.
	Don't define CRLF_SOURCE_FILES and DIRNAME_SEPARATOR.

	* source.c (OPEN_MODE, FDOPEN_MODE): Remove the definitions in the
	branch that doesn't define CRLF_SOURCE_FILES; always use
	binary-mode open.
	(print_source_lines_base, forward_search_command)
	(reverse_search_command): Enable the code that accepts DOS-style
	CRLF line endings on all platforms (this removes the need for
	CRLF_SOURCE_FILES).

	* defs.h: Fix wording of the comment before FOPEN_RB.
	(DIRNAME_SEPARATOR) [__MSDOS__]: Define to ';'.

	* config/djgpp/fnchange.lst: Group renames for opcode directory
	together.

	* config/djgpp/djconfig.sh: Replace file names that don't exist
	anymore with existing files, for checking the unpacked
	distribution.

	* config/djgpp/config.sed (am_cv_exeext, lt_cv_sys_max_cmd_len):
	Export pre-cooked values in configure-* targets that begin with
	"@test -f stage_last".

2004-11-12  Andrew Cagney  <cagney@gnu.org>

	* defs.h (enum lval_type): Delete lval_reg_frame_relative.
	* value.h (struct value): Update comment.
	* valops.c (value_assign): Fold lval_reg_fame_relative into
	lval_register.
	* findvar.c (value_from_register, locate_var_value): Ditto.

2004-11-12  Randolph Chung  <tausq@debian.org>

	* config/tm/tm-hppa.h (SYMBOLS_CAN_START_WITH_DOLLAR): Remove.
	* parse.c (SYMBOLS_CAN_START_WITH_DOLLAR): Remove.
	(write_exp_msymbol): Remove conditional check for symbols starting 
	with $.  Update comments.

2004-11-12  Randolph Chung  <tausq@debian.org>

	* pa64solib.c (pa64_solib_thread_start_addr): Rename from 
	so_lib_thread_start_addr.
	* pa64solib.h (so_list): Forward declare.
	(pa64_solib_thread_start_addr): Prototype.
	* somsolib.c (SHL_LOAD, SHL_UNLOAD): Define if not already defined.
	(no_shared_libraries): Remove.
	(som_solib_thread_start_addr): Rename from so_lib_thread_start_addr.
	* somsolib.h (som_solib_thread_start_addr): Likewise; prototype.
	* hpread.c (hpread_process_one_debug_symbol): Use either the som or
	the elf solib handler to find the start address.

	* config/pa/hppahpux.mh (NATDEPFILES): Move target-specific support 
	files to the target makefile.
	* config/pa/hpux1020.mh (NATDEPFILES):  Likewise.
	* config/pa/hpux11.mh (NATDEPFILES): Likewise.
	* config/pa/hpux11w.mh (NATDEPFILES): Likewise.

	* config/pa/hppa64.mt (TDEPFILES): Put target-specific support 
	files for symbol reading and shared library handling here.
	* config/pa/hppahpux.mt (TDEPFILES): Likewise.  
	(PA_SOM_ONLY): Define so we can build a 32-bit SOM only target 
	without bringing in 64-bit support.

2004-11-12  Andrew Cagney  <cagney@gnu.org>

	* sparc-tdep.c: Replace VALUE_TYPE with value_type.
	* v850-tdep.c, sparc64-tdep.c, sh-tdep.c: Ditto.
	* sh64-tdep.c, s390-tdep.c, mcore-tdep.c: Ditto.
	* h8300-tdep.c, arm-linux-tdep.c, amd64-tdep.c: Ditto.
	* hppa-tdep.c, mips-tdep.c, m88k-tdep.c: Ditto.
	* m68hc11-tdep.c, m32r-tdep.c, ia64-tdep.c: Ditto.
	* frv-tdep.c, cris-tdep.c, avr-tdep.c, alpha-tdep.c: Ditto.

	Merge VALUE_REGNO and VALUE_FRAME_REGNUM into VALUE_REGNUM.
	* value.h (VALUE_REGNO, VALUE_FRAME_REGNUM): Delete.
	(VALUE_REGNUM): Define.
	(struct value): Delete location.regnum, rename "regno" to
	"regnum".
	* value.c, valops.c, valarith.c, findvar.c: Update.

	* value.h (VALUE_TYPE, VALUE_NEXT, VALUE_OFFSET, VALUE_BITSIZE)
	(VALUE_BITPOS): Delete.
	(value_type, value_offset, value_bitsize, value_bitpos): Declare.
	* value.c (value_type, value_offset, value_bitpos)
	(value_bitsize): New functions.  Update references.
	* arm-tdep.c, gnu-v3-abi.c, hpacc-abi.c, gnu-v2-abi.c: Update.
	* f-valprint.c, cp-valprint.c, c-valprint.c: Update.
	* ada-valprint.c, typeprint.c, scm-valprint.c, scm-exp.c: Update.
	* p-valprint.c, jv-valprint.c, jv-lang.c, varobj.c: Update.
	* objc-lang.c, ada-lang.c, std-regs.c, stack.c: Update.
	* infcall.c, linespec.c, printcmd.c, valarith.c: Update.
	* valops.c, eval.c, findvar.c, breakpoint.c: Update.
	* tracepoint.c, ax-gdb.c, mi/mi-main.c, cli/cli-dump.c:
	* rs6000-tdep.c, ppc-sysv-tdep.c: Update.

2004-11-12  Andrew Cagney  <cagney@gnu.org>

	* cris-tdep.c (cris_register_offset): Delete, never called.
	(cris_spec_reg_applicable): Delete cris_ver_sim.
	* MAINTAINERS: List d10v as OBSOLETE.
	* rdi-share/host.h (FOPEN_WB): #ifdef 0 out definitions of
	FOPEN_WB et.al., defined by "fopen-bin.h".

2004-11-12  Randolph Chung  <tausq@debian.org>

	* hppa-tdep.c (hppa_skip_permanent_breakpoint): Move definition ...
	* hppa-hpux-tdep.c (hppa_skip_permanent_breakpoint): ... to here.
	* config/pa/tm-hppa.h (SKIP_PERMANENT_BREAKPOINT): Move definition ...
	* config/pa/tm-hppah.h (SKIP_PERMANENT_BREAKPOINT): ... to here.

2004-11-12  Mark Kettenis  <kettenis@jive.nl>

	* tui/tui-io.c: Don't include "terminal.h".
	* Makefile.in (tui-io.o): Update dependencies.

2004-11-12  Kei Sakamoto  <sakamoto.kei@renesas.com>

	* Makefile.in (m32r-linux-tdep.o): Update dependencies.
	* m32r-linux-tdep.c (m32r_linux_init_abi): Call
	set_gdbarch_regset_from_core_section for core file support.
	(m32r_linux_supply_gregset, m32r_linux_regset_from_core_section):
	New functions.

2004-11-11  Randolph Chung  <tausq@debian.org>

	* hppa-tdep.c (skip_prologue_hard_way): Make static, add
	stop_after_branch parameter and use it to determine if we should look
	at the delay slot of the first branch insn to find prologue insns.
	(hppa_skip_prologue): Update comment and call to skip_prologue_hard_way.
	(hppa_frame_cache): Likewise.

2004-11-11  Randolph Chung  <tausq@debian.org>

	* hppa-tdep.c (hppa_frame_cache): Properly handle the frame pointer
	register so that it can be unwound from anywhere in the prologue.

2004-11-10  msnyder  <msnyder@redhat.com>

	* rs6000-tdep.c (skip_prologue): After saving lr_offset, 
	must invalidate lr_reg (so we don't try to save it again).  
	Ditto for cr_offset and cr_reg.

2004-11-05  Jon Beniston <jon@beniston.com>

	Committed by Andrew Cagney.
	* remote.c (putpkt_binary) Fix PR gdb/1806. Send an ACK 
	when an unexpected packet is received, as the target stubs 
	continually retransmit the same packet until ACKed.
	
2004-11-10  Randolph Chung  <tausq@debian.org>

	* frame.c (get_prev_frame): Use get_frame_type to retrieve the 
	frame's type.

2004-11-10  Randolph Chung  <tausq@debian.org>

	* blockframe.c (inside_entry_func): Move to .....
	* frame.c (inside_entry_func): ... here, and make static.
	(backtrace_past_entry): New flag.
	(get_prev_frame): Stop backtrace at the entry function if enabled
	by flag.  Update comments.
	(_initialize_frame): Add command to set backtrace_past_entry flag.
	* defs.h (inside_entry_func): Remove prototype.

2004-11-10  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2read.c: Fix formatting.

2004-11-10  Andrew Cagney  <cagney@gnu.org>

	* value.h (COERCE_REF, COERCE_ARRAY, COERCE_NUMBER, COERCE_ENUM)
	(coerce_ref, coerce_array, coerce_number, coerce_enum): Replace
	macros with function declarations.
	* value.c (coerce_ref, coerce_array, coerce_number)
	(coerce_enum): New functions.
	(value_as_long, value_as_address): Update.
	* ada-lang.c (ada_coerce_ref, ada_value_binop) 
	(ada_evaluate_subexp, ada_value_assign, ada_value_struct_elt): Update.
	* jv-lang.c (evaluate_subexp_java): Update.
	* valarith.c (value_less, value_neg, value_complement)
	(value_binop, value_add, value_subscript, value_x_binop) 
	(value_logical_not, value_sub): Update.
	* valops.c (check_field, value_struct_elt, value_ind)
	(value_find_oload_method_list, value_cast, value_assign): Update.
	* eval.c (evaluate_subexp_standard): Update.

2004-11-10  Mark Kettenis  <kettenis@gnu.org>

	* mips-tdep.c (mips32_relative_offset): Change return type to
	LONGEST, change argument type to ULONGEST.  Fix sign-extension.

2004-11-10  Randolph Chung  <tausq@debian.org>

	* hppa-tdep.c (hppa32_register_name, hppa64_register_name): Make static.
	(hppa32_push_dummy_call, hppa64_push_dummy_call): Likewise.
	(hppa_fetch_pointer_argument): Likewise.
	(hppa_frame_cache): Use safe_frame_unwind_memory instead of 
	deprecated_read_memory_nobpt.
	(_initialize_hppa_tdep): Replace deprecated_add_show_from_set/
	add_set_cmd sequence with add_setshow_boolean_cmd.

2004-11-09  Andrew Cagney  <cagney@gnu.org>

	GDB 6.3 released from GDB 6.3 branch.

2004-11-09  Andrew Cagney  <cagney@gnu.org>

	* values.c: Rename to ...
	* value.c: ..., new file.
	* Makefile.in: Update.

2004-11-09  Daniel Jacobowitz  <dan@debian.org>

	* dwarf2-frame.c (dwarf2_frame_state_alloc_regs): Correct allocated
	size.

2004-11-09  Andrew Cagney  <cagney@gnu.org>

	* TODO: Delete.

	* value.h (struct value): Delete field bfd_section.
	(VALUE_BFD_SECTION): Delete macro.
	(COERCE_REF): Update.
	(value_at, value_at_lazy): Delete asection parameter.
	* printcmd.c (print_formatted, x_command): Update.
	(do_examine): Delete asection parameter.
	(next_section): Delete variable.
	* valops.c (value_cast, value_at, value_at_lazy)
	(value_coerce_function, value_addr, value_ind, value_string) 
	(find_rt_vbase_offset, value_full_object): Update.
	* hpacc-abi.c (hpacc_virtual_fn_field)
	(hpacc_value_rtti_type): Update.
	* gnu-v3-abi.c (gnuv3_rtti_type, gnuv3_virtual_fn_field) 
	(gnuv3_baseclass_offset): Update.
	* f-valprint.c (f_val_print): Update.
	* c-valprint.c (c_val_print): Update.
	* p-valprint.c (pascal_val_print): Update.
	* jv-valprint.c (java_value_print): Update.
	* jv-lang.c (java_class_from_object, evaluate_subexp_java): Update.
	* ada-lang.c (ada_value_primitive_packed_val)
	(ada_evaluate_subexp): Update.
	* dwarf2loc.c (dwarf2_evaluate_loc_desc): Update.
	* expprint.c (print_subexp_standard): Update.
	* infcall.c (call_function_by_hand): Update.
	* valarith.c (value_add): Update.
	* eval.c (evaluate_subexp_standard): Update.
	* values.c (allocate_value, value_copy, value_static_field): Update.
	* findvar.c (read_var_value, locate_var_value): Update.
	
2004-11-09  Andrew Cagney  <cagney@gnu.org>

	* i386-linux-tdep.c: Include "dwarf2-frame.h".
	* Makefile.in: Update all dependencies.

2004-11-08  Andrew Cagney  <cagney@gnu.org>

	* sentinel-frame.c (sentinel_frame_prev_pc): New function.
	(sentinel_frame_unwinder): Add the prev_pc method.
	* frame.c (frame_pc_unwind): Use the per-frame pc unwinder when
	available.  Do not handle the sentinel-frame case.
	* frame-unwind.h (frame_prev_register_ftype): Define.
	(struct frame_unwind): Add prev_pc;

2004-11-08  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>

	* configure.in: Check for ncurses/term.h.
	* gdb_curses.h: Include term.h here, prefering ncurses/term.h.
	* utils.c: Include gdb_curses.h instead of curses.h and term.h.
	* tui/tui.c: Don't include term.h.
	* configure, config.in: Rebuilt.

2004-11-08  Mark Kettenis  <kettenis@gnu.org>

	* m68kbsd-nat.c: Include "inf-ptrace.h".
	(_initialize_m68kbsd_nat): Fix pasto.
	* Makefile.in (m68kbsd-nat.o): Update dependencies.

2004-11-08  Randolph Chung  <tausq@debian.org>

	* infrun.c (debug_infrun): New variable.
	(resume, proceed, wait_for_inferior): Annotate with debug messages.
	(handle_inferior_event, keep_going): Likewise.
	(_initialize_infrun): Register "set debug infrun" command.

2004-11-08  Andreas Schwab  <schwab@suse.de>

	* linux-nat.c (PTRACE_EVENT_VFORK_DONE): Renamed from
	PTRACE_EVENT_VFORKDONE.
	(child_follow_fork): Adjust.

2004-11-08  Andrew Cagney  <cagney@gnu.org>

	* README: Refer to 6.3, not 6.2, update directory listing droppng
	references to intl/ and mmalloc/.
	* PROBLEMS: Refer to 6.3 not 6.2.

	* PROBLEMS: Delete no-longer applicable problems.

2004-11-07  Andrew Cagney  <cagney@redhat.com>
	    Daniel Jacobowitz  <dan@debian.org>
	    Roland McGrath  <roland@redhat.com>

	* Makefile.in (symfile-mem.o): Update dependencies.
	* i386-linux-tdep.c (i386_linux_dwarf_signal_frame_p): New.
	(i386_linux_init_abi): Call dwarf2_frame_set_signal_frame_p.
	* inf-ptrace.c (inf_ptrace_attach): Call
	observer_notify_inferior_created.
	* inftarg.c (child_attach): Likewise.
	* symfile-mem.c: Include "observer.h", "auxv.h", and "elf/common.h".
	(symbol_file_add_from_memory): Take NAME argument.  Use it for
	the new BFD's filename.
	(add_symbol_file_from_memory_command): Update call to
	symbol_file_add_from_memory.
	(struct symbol_file_add_from_memory_args, add_vsyscall_page)
	(symbol_file_add_from_memory_wrapper): New.
	(_initialize_symfile_mem): Register add_vsyscall_page as an
	inferior_created observer.

2004-11-07  Mark Kettenis  <kettenis@gnu.org>

	* m68kbsd-nat.c (m68kbsd_fetch_inferior_registers): Rename from
	fetch_inferior_registers.  Make static.
	(m68kbsd_store_inferior_registers): Rename from
	store_inferior_registers.  Make static.
	(_initialize_m68kbsd_nat): Construct and add target vector.
	* config/m68k/nbsdaout.mh (NATDEPFILES): Remove infptrace.o and
	inftarg.o.  Add inf-ptrace.o.
	(NAT_FILE): Set to tm-solib.h.
	(LOADLIBES): New variable.
	* config/m68k/nbsdelf.mh (NATDEPFILES): Remove infptrace.o and
	inftarg.o.  Add inf-ptrace.o.
	(NAT_FILE): Delete variable.
	* config/m68k/obsd.mh (NATDEPFILES): Remove infptrace.o and
	inftarg.o.  Add inf-ptrace.o.
	(NAT_FILE): Set to tm-solib.h.
	* config/m68k/nm-nbsdaout.h: Remove file.

2004-11-07  Daniel Jacobowitz  <dan@debian.org>

	* dwarf2-frame.c (struct dwarf2_frame_ops): Add signal_frame_p.
	(dwarf2_frame_set_signal_frame_p, dwarf2_frame_signal_frame_p)
	(dwarf2_signal_frame_unwind): New.
	(dwarf2_frame_sniffer): Use dwarf2_frame_signal_frame_p.
	* dwarf2-frame.h (dwarf2_frame_set_signal_frame_p): New prototype.

2004-11-07  Mark Kettenis  <kettenis@gnu.org>

	* Makefile.in (mips64obsd-tdep.o): Fix typo.

	* mipsnbsd-tdep.c (mipsnbsd_ilp32_fetch_link_map_offsets): Renamed
	from mipsnbsd_ilp32_solib_svr4_fetch_link_map_offsets.  Trim sizes
	to only include the structure members we actually need.
	(mipsnbsd_lp64_fetch_link_map_offsets): Renamed from
	mipsnbsd_lp64_solib_svr4_fetch_link_map_offsets.  Trim sizes to
	only include the structure members we actually need.
	(mipsnbsd_init_abi): Update.

	* mips64obsd-nat.c: Include "mips-tdep.h".
	(MIPS64OBSD_NUM_REGS): Remove define.
	(MIPS_PC_REGNUM, MIPS_FP0_REGNUM, MIPS_FSR_REGNUM): New defines.
	(mips64obsd_supply_gregset, mips64obsd_collect_gregset): Handle
	floating-point registers correctly.
	* Makefile.in (mips64obsd-nat.o): Update dependencies.

	* mips64obsd-tdep.c: Include "trad-frame.h", "tramp-frame.h" and
	"gdb_assert.h".
	(mips64obsd_sigframe_init): New function.
	(mips64obsd_sigframe): New variable.
	(mips64obsd_init_abi): Add comments.  Prepend mips64obsd_sigrame
	unwinder.
	* Makefile.in (mips64obsd-tdep.o): Update dependencies.

2004-11-06  Joel Brobecker  <brobecker@gnat.com>

	* alpha-mdebug-tdep.c: #include mdebugread.h.
	Replace alpha_extra_func_info_t by struct mdebug_extra_func_info *.
	* Makefile.in (alpha-mdebug-tdep.o): Add dependency on mdebugread.h.

2004-11-05  Andrew Cagney  <cagney@gnu.org>

	* dwarf2-frame.c (dwarf2_frame_cache): Only complain when both the
	CFI and the init_reg method leave the register unspecified.
	Include the register name in the "Incomplete CFI data" complaint.
	Supress leading zeros in the address.

2004-11-05  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2-frame.c (decode_frame_entry_1): Avoid indirection when
	skipping a personality routine in a CIE augmentation.

2004-11-05  Jeff Johnston  <jjohnstn@redhat.com>

	* defs.h (fatal, vfatal): New function prototypes.
	* stack.c (backtrace_command_stub): Stub to call backtrace_command_1
	via catch_errors.
	(backtrace_command): Change to call backtrace_command_stub via
	catch_errors instead of calling backtrace_command_1 directly.
	(backtrace_full_command): Ditto.
	* utils.c (error_stream_1): New static function.
	(verror): Change to call error_stream_1 instead of error_stream.
	(error_stream): Call error_stream_1 with RETURN_ERROR argument.
	(vfatal, fatal): New functions.

2004-11-05  Andrew Cagney  <cagney@gnu.org>

	* stack.c (parse_frame_specification_1): Clear selected_frame_p
	when not using selected frame.

2004-11-05  Mark Kettenis  <kettenis@jive.nl>

	* dwarf2-frame.c (decode_frame_entry_1): Correctly skip
	personality routine in a CIE augmentation.

2004-11-05  Felix Lee  <felix+log1@specifixinc.com>

	* stack.c (set_current_sal_from_frame): New function.
	(print_args_stub): Use it.
	(print_frame_info): Don't set sal here.

2004-11-04  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2-frame.c (read_encoded_value): Change type of third
	argument to `unsigned char *'.  Add support for LEB128 encodings.

2004-11-04  Jim Blandy  <jimb@redhat.com>

	* gdbtypes.c (make_qualified_type): Doc fix.  Add assertion to
	prevent cross-objfile references.
	(make_cv_type): Doc fix.  Don't create cross-objfile references,
	even for stub types.
	(replace_type): Add assertion to prevent cross-objfile references.
	(check_typedef): Never resolve a stub type by copying over a type
	from another file.

2004-11-04  Kei Sakamoto  <sakamoto.kei@denesas.com>

	* Makefile.in (m32r-tdep.o): Update dependencies.
	* m32r-tdep.c (m32r_gdbarch_init): Call gdbarch_init_osabi for
	ABI-specific overrides.

2004-11-04  Kei Sakamoto  <sakamoto.kei@denesas.com>

	* m32r-tdep.c (m32r_memory_insert_breakpoint): Remove
	unnecessary parallel execution bit.
	(m32r_memory_remove_breakpoint): Ditto.
	(m32r_breakpoint_from_pc): Update.

2004-11-03  Randolph Chung  <tausq@debian.org>

	* hppa-tdep.c (hppa_frame_cache): Use frame_pc_unwind instead of
	frame_func_unwind to locate the unwind entry.
	(hppa_frame_this_id): Likewise.

2004-11-03  Andrew Cagney  <cagney@gnu.org>

	* gdb/NEWS: Mention internationalization, m32r-*-linux-gnu, 'p'
	packet, obsolete configurations, end-of-life deprecated_registers.

2004-11-02  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2-frame.c (read_encoded_value): Set proper size for signed
	encodings as well as unsigned encodings.

2004-11-02  Andrew Cagney  <cagney@gnu.org>

	* value.h (COERCE_VARYING_ARRAY): Delete.
	* valops.c (value_cast, value_slice): Delete use.
	* valarith.c (value_subscript, value_concat): Delete use.

2004-11-02  Paul Hilfinger  <hilfingr@nile.gnat.com>

	* NEWS: GDB understands GNAT Ada.

2004-11-01  Joseph S. Myers  <joseph@codesourcery.com>

	* Makefile.in (ALLDEPFILES): Add amd64-sol2-tdep.c.
	(amd64-sol2-tdep.o): Add dependencies.
	* amd64-sol2-tdep.c, config/i386/sol2-64.mh,
	config/i386/sol2-64.mt: New files.
	* i386-sol2-nat.c (amd64_sol2_gregset64_reg_offset,
	amd64_sol2_gregset32_reg_offset, _initialize_amd64_sol2_nat): New.
	(supply_gregset): Correct order of arguments to
	amd64_supply_native_gregset.
	(fill_gregset): Correct order of arguments to
	amd64_collect_native_gregset.
	* configure.host (i[34567]86-*-solaris2.1[0-9]*): Add new case.
	* configure.tgt (i[34567]86-*-solaris2.1[0-9]*): Likewise.
	* configure.in (*-*-solaris2.[[6789]]): Add *-*-solaris2.1[[0-9]]
	for definition of NEW_PROC_API.
	* configure: Regenerate.

2004-11-01  Joseph S. Myers  <joseph@codesourcery.com>

	* MAINTAINERS (Write After Approval): Add myself.

2004-11-01  Andrew Cagney  <cagney@gnu.org>

	* configure.tgt: Mark d10v-*-* as obsolete.
	* config/d10v/d10v.mt, d10v-tdep.c: Obsolete files.

2004-11-01  Paul N. Hilfinger  <Hilfinger@gnat.com>

	* values.c (modify_field): Correct handling of bit-fields that
	don't fit in 32 bits.  Use unsigned operations throughout and 
	simplify the code a bit.  Document preconditions.

2004-10-31  Andrew Cagney  <cagney@gnu.org>

	* config/pa/tm-linux.h: Delete #undef IN_SOLIB_CALL_TRAMPOLINE.
	* config/tm-sysv4.h (IN_SOLIB_CALL_TRAMPOLINE): Delete.
	(in_plt_section): Delete.

	* mips-tdep.c (mips_in_solib_return_trampoline): Delete.
	(mips_gdbarch_init): Do not set same.

	* arch-utils.c (generic_in_solib_call_trampoline): Delete.
	* arch-utils.h (generic_in_solib_call_trampoline): Delete.

	* gdbarch.sh (in_solib_call_trampoline): Delete.
	* gdbarch.h, gdbarch.c: Re-generate.

	* hppa-tdep.c (hppa_stub_unwind_sniffer): Replace
	IN_SOLIB_CALL_TRAMPOLINE with tdep.in_solib_call_trampoline.
	* hppa-tdep.h (struct gdbarch_tdep): Add in_solib_call_trampoline.
	* hppa-hpux-tdep.c (hppa_hpux_init_abi): Set same.
	* hppa-linux-tdep.c (hppa_linux_init_abi): Ditto.

2004-10-31  Mark Kettenis  <kettenis@gnu.org>

	* mipsnbsd-nat.c: Include "target.h" and "inf-ptrace.h".
	(mipsnbsd_fetch_inferior_registers): Rename from
	fetch_inferior_registers.  Make static.
	(mipsnbsd_store_inferior_registers): Rename from
	store_inferior_registers.  Make static.
	(_initialize_mipsnbsd_nat): New function and prototype.
	* Makefile.in (mipsnbsd-nat.o): Update dependencies.
	* config/mips/nbsd.mh (NAT_CLIBS, NAT_FILE): Remove variables.
	(NATDEPFILES): Remove infptrace.o and inftarg.o.  Add
	inf-ptrace.o.

2004-10-31  Andrew Cagney  <cagney@gnu.org>

	* xstormy16-tdep.c (xstormy16_in_solib_call_trampoline)
	(xstormy16_gdbarch_init): Do not set in_solib_call_trampoline,
	delete corresponding unused function.
	* armnbsd-tdep.c (arm_netbsd_aout_init_abi): Really do not set
	in_solib_call_trampoline.
	* config/arm/tm-embed.h (IN_SOLIB_CALL_TRAMPOLINE): Delete.
	* config/powerpc/tm-linux.h: Delete #undef IN_SOLIB_CALL_TRAMPOLINE.
	* config/mips/tm-nbsd.h: Ditto.
	* config/arm/tm-linux.h: Ditto.
	* config/mips/tm-linux.h: Ditto.

	* armnbsd-tdep.c (arm_netbsd_aout_init_abi)
	(arm_netbsd_aout_in_solib_call_trampoline): Do not set
	in_solib_call_trampoline, delete corresponding unused function.
	* vaxnbsd-tdep.c (vaxnbsd_aout_in_solib_call_trampoline) 
	(vaxnbsd_aout_init_abi): Ditto.
	* sparcnbsd-tdep.c (sparcnbsd_aout_in_solib_call_trampoline) 
	(sparc32nbsd_aout_init_abi): Ditto.
	* ppc-linux-tdep.c (ppc64_in_solib_call_trampoline) 
	(ppc_linux_init_abi): Ditto.
	* ns32knbsd-tdep.c (ns32knbsd_aout_in_solib_call_trampoline) 
	(ns32knbsd_init_abi_aout): Ditto.
	* mips-tdep.c (mips_in_call_stub, mips_gdbarch_init): Ditto.
	* mips-linux-tdep.c (mips_linux_init_abi): Ditto.
	* m68kbsd-tdep.c (m68kbsd_aout_in_solib_call_trampoline) 
	(m68kbsd_aout_init_abi): Ditto.
	* i386-cygwin-tdep.c (i386_cygwin_in_solib_call_trampoline) 
	(i386_cygwin_init_abi): Ditto.
	* i386bsd-tdep.c (i386bsd_aout_in_solib_call_trampoline) 
	(i386bsd_init_abi): Ditto.

	* sparc-sol2-tdep.c (sparc32_sol2_init_abi): Do not set
	in_solib_call_trampoline to in_plt_entry, IN_SOLIB_CALL_TRAMPOLINE
	isn't used by this architecture.
	* sparc64-sol2-tdep.c (sparc64_sol2_init_abi): Ditto.
	* sparc64obsd-tdep.c (sparc64obsd_init_abi): Ditto.
	* sparc64nbsd-tdep.c (sparc64nbsd_init_abi): Ditto.
	* s390-tdep.c (s390_gdbarch_init): Ditto.
	* ppc-linux-tdep.c (ppc_linux_init_abi): Ditto.
	* m68klinux-tdep.c (m68k_linux_init_abi): Ditto.
	* i386-tdep.c (i386_svr4_init_abi): Ditto.
	* i386-nto-tdep.c (i386nto_init_abi): Ditto.
	* arm-linux-tdep.c (arm_linux_init_abi): Ditto.
	* amd64-tdep.c (amd64_init_abi): Ditto.

	* vaxnbsd-tdep.c (vaxnbsd_elf_init_abi): Do not set
	in_solib_call_trampoline to its default value of
	generic_in_solib_call_trampoline.
	* ppcobsd-tdep.c (ppcobsd_init_abi): Ditto.
	* m68kbsd-tdep.c (m68kbsd_elf_init_abi): Ditto.
	* i386obsd-tdep.c (i386obsd_elf_init_abi): Ditto.
	* i386nbsd-tdep.c (i386nbsdelf_init_abi): Ditto.
	* i386fbsd-tdep.c (i386fbsd_init_abi): Ditto.
	* hppabsd-tdep.c (hppabsd_init_abi): Ditto.

	* mips-tdep.c (mips_dump_tdep): Don't print any of the macros.

	* config/mips/obsd64.mt (DEPRECATED_TM_FILE): Delete.

	* config/mips/tm-mips.h: Delete file.
	* remote-mips.c: Delete tm-mips.h from comment.
	* config/mips/embed.mt (DEPRECATED_TM_FILE): Delete.
	* config/mips/tm-nbsd.h: Don't include tm-mips.h.
	* config/mips/irix6.mt (DEPRECATED_TM_FILE): Delete.
	* config/mips/tm-linux.h: Don't include tm-mips.h.
	* config/mips/tm-vxmips.h: Don't include tm-mips.h.
	* config/mips/irix5.mt (DEPRECATED_TM_FILE): 
	* config/mips/tm-wince.h: Don't include.

	* mdebugread.h (MDEBUG_EFI_SYMBOL_NAME): Define.
	* mdebugread.c (MDEBUG_EFI_SYMBOL_NAME): Delete.
	* config/alpha/tm-alpha.h (MDEBUG_EFI_SYMBOL_NAME): Delete.
	* config/mips/tm-mips.h (MDEBUG_EFI_SYMBOL_NAME): Delete.

	* mdebugread.h (ecoff_relocate_efi): Delete declaration.
	* mdebugread.c (ecoff_relocate_efi): Delete function.
	* objfiles.c (objfile_relocate): Delete #ifdef
	MDEBUG_EFI_SYMBOL_NAME code.

2004-10-31  Orjan Friberg <organ.friberg@axis.com>
	    Andrew Cagney  <cagney@gnu.org>

	* gdbarch.sh (single_step_through_delay): Add.
	* gdbarch.h, gdbarch.c: Re-generate.
	* config/mips/tm-mips.h (STEP_SKIPS_DELAY_P, STEP_SKIPS_DELAY)
	(mips_step_skips_delay): Delete.
	* mips-tdep.c (mips_single_step_through_delay): Replace
	mips_step_skips_delay.
	(mips_gdbarch_init): Set single_step_through_delay.
	(mips_dump_tdep): Do not print STEP_SKIPS_DELAY.
	
2004-10-31  Mark Kettenis  <kettenis@gnu.org>

	* tramp-frame.c (tramp_frame_prepend_unwinder): Set unwinder type
	from TRAMP_FRAME frame type.

2004-10-31  Andrew Cagney  <cagney@gnu.org>

	* mdebugread.c (parse_procedure): Wrap use of RA_REGNUM in #ifdef.

	* mips-tdep.c (mips_ignore_helper): Delete.
	* config/mips/tm-mips.h (DEPRECATED_IGNORE_HELPER_CALL): Delete.
	* infrun.c (handle_inferior_event): Delete #ifdef
	DEPRECATED_IGNORE_HELPER_CALL code.

	* config/mips/tm-mips.h (RA_REGNUM): Delete.

2004-10-31  Mark Kettenis  <kettenis@gnu.org>

	* i386v4-nat.c (supply_gregset, supply_fpregset, fill_gregset)
	(fill_fpregset): Do not compile for 64-bit systems.
	* i386-sol2-nat.c: Don't include "i386v4-nat.c".
	* Makefile.in (i386-sol2-nat.o): Update dependencies.
	* config/i386/i386sol2.mh (NATDEPFILES): Add back i386v4-nat.c.

2004-10-30  Andrew Cagney  <cagney@gnu.org>

	* mdebugread.h: Include "coff/sym.h" and "coff/symconst.h".
	(struct mdebug_extra_func_info): Define.
	* config/alpha/tm-alpha.h: Delete same.
	* config/mips/tm-mips.h: Delete same.
	* mdebugread.c: Delete same.
	* Makefile.in: Update dependencies.
	* mips-mdebug-tdep.c: Include "mdebugread.h".

	* objfiles.c: Include "mdebugread.h".
	* mdebugread.c: Include "mdebugread.h".
	(ecoff_relocate_cfi): Delete.
	* config/alpha/tm-alpha.h (ecoff_relcate_cfi): Delete.
	* config/mips/tm-mips.h (ecoff_relcate_cfi): Delete.
	* mdebugread.h (ecoff_relocate_efi): New file.
	* Makefile.in: Update dependencies.
	
	* mips-tdep.c (struct frame_extra_info): Delete.
	(temp_proc_desc): Delete.

	* config/alpha/tm-alpha.h (MDEBUG_EFI_SYMBOL_NAME): Rename
	MIPS_EFI_SYMBOL_NAME.
	(mips_extra_func_info_t, mips_extra_func_info): Delete.
	(struct mdebug_extra_func_info): Replace struct
	alpha_extra_func_info and alpha_extra_func_info_t.
	* config/mips/tm-mips.h (MDEBUG_EFI_SYMBOL_NAME): Rename
	MIPS_EFI_SYMBOL_NAME.
	(struct mdebug_extra_func_info): Replace struct
	alpha_extra_func_info and alpha_extra_func_info_t.
	* objfiles.c, mips-tdep.c, mips-mdebug-tdep.c: Update.
	* mdebugread.c, alpha-mdebug-tdep.c: 

	Suggested by Mark Kettenis.
	* config/mips/tm-mips.h (struct mips_extra_func_info): Delete
	fields frame_adjust and high_addr.
	* mips-mdebug-tdep.c (PROC_HIGH_ADDR, PROC_FRAME_ADJUST): Delete.
	(non_heuristic_proc_desc): Delete references.

	* mips-tdep.h (MIPS_PRID_REGNUM): Add.
	* config/mips/tm-mips.h (PRID_REGNUM): Delete.
	* mips-tdep.c: Update.

	* mips-tdep.h (MIPS_FIRST_EMBED_REGNUM)
	(MIPS_LAST_EMBED_REGNUM): Add.
	* config/mips/tm-mips.h (FIRST_EMBED_REGNUM)
	(LAST_EMBED_REGNUM): Delete.
	* mipsv4-nat.c, mips-tdep.c, mips-linux-tdep.c: Update.

	* config/mips/tm-mips.h (PS_REGNUM): Delete.
	* mips-tdep.h (MIPS_PS_REGNUM): Add.
	* remote-vxmips.c, mipsv4-nat.c, mips-tdep.c: Update.
	* mips-linux-nat.c: Update.

	* mips-tdep.h: Add comments on registers.
	(MIPS_UNUSED_REGNUM): Define.
	* config/mips/tm-mips.h (ZERO_REGNUM, UNUSED_REGNUM)
	(T9_REGNUM, V0_REGNUM, A0_REGNUM): Delete.
	* irix5-nat.c, mipsv4-nat.c, mips-linux-tdep.c: Update.
	* mips-linux-nat.c, remote-mips.c: Update.

	* config/mips/tm-mips.h (t_insn): Delete.
	* mips-tdep.c (mips_fetch_instruction, mips_skip_trampoline_code):
	Replace t_insn with ULONGEST.

2004-10-30  Mark Kettenis  <kettenis@gnu.org>

	* mipsnbsd-tdep.c: Include "regset.h" and "gdb_assert.h".
	(MIPS_PC_REGNUM, MIPS_FP0_REGNUM, MIPS_FSR_REGNUM)
	(MIPSNBSD_NUM_GREGS, MIPSNBSD_NUM_FPREGS): New defines.
	(fetch_core_registers, fetch_elfcore_registers): Remove functions.
	(mipsnbsd_core_fns, mipsnbsd_elfcore_fns): Remove variables.
	(mipsnbsd_core_osabi_sniffer): New function.
	(mipsnbsd_init_abi): Set regset_from_core_section.
	(_initialize_mipsnbsd_tdep): Remove calls to
	deprecated_add_core_fns.
	(mipsnbsd_supply_fpregset, mipsnbsd_supply_gregset)
	(mipsnbsd_regset_from_core_section): New functions.
	(mipsnbsd_gregset, mipsnbsd_fpregset): New variables.
	* Makefile.in (mipsnbsd-tdep.o): Update dependencies.

	* procfs.c (procfs_fetch_registers, procfs_store_registers): Like
	Remove optimization for DEPRECATED_FP_REGNUM.

2004-10-30  Andrew Cagney  <cagney@gnu.org>

	* alpha-tdep.c (alpha_setup_arbitrary_frame): Delete.
	* config/alpha/tm-alpha.h (SETUP_ARBITRARY_FRAME): Delete.
	(alpha_setup_arbitrary_frame): Delete.
	* mips-tdep.c (setup_arbitrary_frame): Delete.
	* config/mips/tm-mips.h (SETUP_ARBITRARY_FRAME): Delete.
	(setup_arbitrary_frame): Delete.
	* stack.c (parse_frame_specification_1): When specified, call
	create_new_frame with two parameters.  Delete #ifdef
	SETUP_ARBITRARY_FRAME.

	* config/mips/tm-mips.h (MIPS16_INSTLEN, MIPS_NUMREGS)
	(MIPS_INSTLEN): Delete.
	* mips-tdep.h (enum mips_insn_size): Rename MIPS32_INSN_SIZE and
	MIPS16_INSN_SIZE to MIPS_INSN32_SIZE and MIPS_INSN16_SIZE.
	* remote-mips.c, mips-tdep.c: Update.

	* config/mips/embed.mt (TDEPFILES): Add mips-mdebug-tdep.o.
	* mips-mdebug-tdep.h, mips-mdebug-tdep.c: New files.
	* mips-tdep.c (mips_mdebug_frame_cache)
	(mips_mdebug_frame_this_id, mips_mdebug_frame_prev_register)
	(mips_mdebug_frame_unwind, mips_mdebug_frame_sniffer)
	(mips_mdebug_frame_base_address, mips_mdebug_frame_sniffer)
	(mips_mdebug_frame_base_sniffer, non_heuristic_proc_desc)
	(compare_pdr_entries, the_bfd, mips16_fetch_instruction): Delete.
	(mips_gdbarch_init): Do not append mdebug sniffers.
	(PROC_LOW_ADDR, PROC_HIGH_ADDR, PROC_FRAME_OFFSET) 
	(PROC_FRAME_REG, PROC_FRAME_ADJUST, PROC_REG_MASK) 
	(PROC_FREG_MASK, PROC_REG_OFFSET, PROC_FREG_OFFSET, PROC_PC_REG) 
	(PROC_SYMBOL, _PROC_MAGIC_): Delete.
	* Makefile.in: Update dependencies.

	* mips-tdep.h (mips_abi_regsize): Declare.
	* mips-tdep.c (mips_abi_regsize): Make non-static.

	* mips-tdep.c (gdb_print_insn_mips): Simplify.
	(make_mips16_addr): Delete.

2004-10-30  Mark Kettenis  <kettenis@gnu.org>

	* i386-sol2-nat.c: New file.
	* Makefile.in (ALLDEPFILES): Add i386-sol2-nat.c and
	i386-sol2-tdep.c.
	(i386-sol2-nat.o): Update dependencies.
	* config/i386/i386sol2.mh (NATDEPFILES): Remove i386v4.o, add
	i386-sol2-nat.o.

2004-10-30  Andrew Cagney  <cagney@gnu.org>

	Total breakage identified by Joel Brobecker.
	* mips-tdep.c (after_prologue): Delete.
	(mips_skip_prologue): Use skip_prologue_using_sal.
	(heuristic_proc_desc): Delete, unused.

2004-10-30  Mark Kettenis  <kettenis@gnu.org>

	* procfs.c (proc_get_gregs, proc_get_fpregs, proc_set_gregs)
	(proc_set_fpregs, procfs_fetch_registers, procfs_store_registers):
	Cleanup coding style.

2004-10-30  Andrew Cagney  <cagney@gnu.org>

	* mips-tdep.h (mips_pc_is_mips16): Declare.
	* mips-tdep.c (mips_pc_is_mips16): Rename pc_is_mips16, make
	non-static.  Update calls.

	* cli/cli-decode.c (add_setshow_enum_cmd): New function.
	* command.h (add_setshow_enum_cmd): Declare.
	* mips-tdep.c (_initialize_mips_tdep): Use add_setshow_enum_cmd.

	* mips-tdep.c (_initialize_mips_tdep): Use
	add_setshow_zinteger_cmd.
	
	* mips-tdep.c (mips_eabi_extract_return_value)
	(mips_o64_extract_return_value, mips_o64_store_return_value)
	(return_value_location, mips_eabi_reg_struct_has_addr)
	(mips_eabi_use_struct_convention)
	(mips_eabi_store_return_value): Delete.
	(mips_eabi_store_return_value): New function.
	(mips_eabi_return_value): New function.
	(mips_gdbarch_init): For O64 and EABI, delete
	extract_return_value, store_return_value, use_struct_convention
	and reg_struct_has_addr, add return_value.

	* mips-tdep.c (read_signed_register): Use
	regcache_cooked_read_signed.

2004-10-30  Mark Kettenis  <kettenis@gnu.org>

	* mipsread.c: Cleanup coding style.
	(mipscoff_new_init, mipscoff_symfile_init, mipscoff_symfile_read)
	(mipscoff_symfile_finish): Remove prototypes.

2004-10-29  Mark Kettenis  <kettenis@gnu.org>

	* mips-tdep.c (mips_fetch_instruction, mips16_fetch_instruction)
	(mips_mdebug_frame_cache, mips16_scan_prologue)
	(mips32_scan_prologue, mips_stub_frame_cache)
	(heuristic_proc_start, heuristic_proc_desc)
	(mips_eabi_push_dummy_call, mips_n32n64_push_dummy_call)
	(mips_n32n64_return_value, mips_o32_push_dummy_call)
	(mips_o32_return_value, mips_o64_push_dummy_call)
	(mips_step_skips_delay, mips_skip_trampoline_code)
	(mips_gdbarch_init): Use MIPS_A0_REGNUM instead of A0_REGNUM,
	MIPS_RA_REGNUM instead of RA_REGNUM, MIPS_T9_REGNUM instead of
	T9_REGNUM, MIPS_V0_REGNUM instead of V0_REGNUM, MIPS_ZERO_REGNUM
	instead of ZERO_REGNUM, MIPS32_SIZE_INSN instead of MIPS_INSTLEN
	and MIPS16_INSN_SIZE instead of MIPS16_INSTLEN.
	(mips_dump_tdep): Don't print A0_REGNUM, RA_REGNUM,
	T9_REGNUM, V0_REGNUM, ZERO_REGNUM, MIPS_INSTLEN and
	MIPS16_INSTLEN.  Use MIPS_A0_REGNUM instead of A0_REGNUM.
	* mips-linux-tdep.c (mips_linux_o32_sigframe_init)
	(mips_linux_n32n64_sigframe_init): Use MIPS_ZERO_REGNUM instead of
	ZERO_REGNUM.
	* mipsnbsd-tdep.c (mipsnbsd_cannot_fetch_register)
	(mipsnbsd_cannot_store_register): Use MIPS_ZERO_REGNUM instead of
	ZERO_REGNUM.
	(mipsnbsd_get_longjmp_target): Use MIPS_A0_REGNUM instead of
	A0_REGNUM.
	* mipsnbsd-nat.c: Include "mips-tdep.h".
	(getregs_supplies): Use MIPS_ZERO_REGNUM instead of ZERO_REGNUM.
	* Makefile.in (mipsnbsd-nat.o): Update dependencies.

2004-10-29  Andrew Cagney  <cagney@gnu.org>

	* stack.c (parse_frame_specification_1): New function based on
	parse_frame_specification.  Add message and selected_frame_p
	paramters.  Truely always return non-NULL.
	(parse_frame_specification): Call parse_frame_specification_1.
	(frame_info): Update.  Eliminate target_has_stack check.
	(select_frame_command): Update.

2004-10-29  Andrew Cagney  <cagney@gnu.org>

	* frame.h (get_selected_frame): Add message parameter.
	* frame.c (get_selected_frame): Add and use message parameter.
	* stack.c (current_frame_command, return_command, locals_info)
	(catch_info, args_info, up_silently_base, down_silently_base): Use
	get_selected_frame with an explicit message.
	* thread.c, stack.c, sh-tdep.c, sh64-tdep.c: Update.
	* remote-rdp.c, remote-mips.c, remote-e7000.c: Update.
	* ocd.c, mi/mi-main.c, mi/mi-cmd-stack.c: Update.
	* infrun.c, inflow.c, infcmd.c, frame.c: Update.
	* findvar.c, eval.c, corelow.c, bsd-kvm.c: Update.
	* breakpoint.c: Update.

2004-10-29  Andrew Cagney  <cagney@gnu.org>

	* trad-frame.c (trad_frame_get_prev_register): Use
	frame_unwind_register instead of frame_register_unwind, do not
	recurse the register's location.
	* xstormy16-tdep.c (xstormy16_frame_prev_register): 
	* sparc-tdep.c (sparc32_frame_prev_register): Ditto.
	* sparc64-tdep.c (sparc64_frame_prev_register): Ditto.
	* sh-tdep.c (sh_frame_prev_register): Ditto.
	* m68k-tdep.c (m68k_frame_prev_register): Ditto.
	* i386-tdep.c (i386_frame_prev_register): Ditto.
	* dwarf2-frame.c (dwarf2_frame_prev_register): Ditto.
	* amd64-tdep.c (amd64_frame_prev_register): Ditto.

2004-10-28  Mark Kettenis  <kettenis@jive.nl>

	* proc-events.c: Fix several coding-style issues.  Consistently
	use #ifdef instead of #if defined().
	(proc_prettyfprint_fault, proc_prettyfprint_faultset): Use
	ARRAY_SIZE.
	(_initialize_proc_events): New prototype.

	* proc-why.c: Fix several coding-style issues.
	(proc_prettyfprint_why): Use ARRAY_SIZE.

2004-10-27  Jim Blandy  <jimb@redhat.com>

	* remote.c (fetch_register_using_p): Construct 'p' packet in a
	manner independent of the host byte order.

2004-10-27  Mark Kettenis  <kettenis@gnu.org>

	* mips-tdep.c (id_delayed): Remove prototype.

2004-10-26  Mark Kettenis  <kettenis@gnu.org>

	* mips-tdep.h: Add MIPS_ZERO_REGNUM, MIPS_AT_REGNUM,
	MIPS_V0_REGNUM. MIPS_A0_REGNUM, MIPS_T9_REGNUM and MIPS_RA_REGNUM
	to enum with register numbers.
	(enum mips_insn_size): New enum.

2004-10-26  Andrew Cagney  <cagney@gnu.org>

	* config/mips/tm-linux.h: Delete #undef SKIP_TRAMPOLINE_CODE.
	* mips-tdep.c (mips_skip_trampoline_code): Rename mips_skip_stub.
	(mips_gdbarch_init): Update.
	(mips_dump_tdep): Do not print SKIP_TRAMPOLINE_CODE.

	* config/arm/tm-linux.h (IN_SOLIB_RETURN_TRAMPOLINE): Delete.
	* config/mips/tm-nbsd.h, config/mips/tm-linux.h: Delete #undef
	IN_SOLIB_RETURN_TRAMPOLINE.
	* mips-tdep.c (mips_dump_tdep): Do not print
	IN_SOLIB_RETURN_TRAMPOLINE.
	(mips_in_solib_return_trampoline): Rename mips_in_return_stub.
	(mips_gdbarch_init): Update.

	* mips-tdep.h (mips_software_single_step): Move to here ...
	* config/mips/tm-mips.h: ... from here.
	* config/mips/tm-linux.h (SOFTWARE_SINGLE_STEP_P) 
	(SOFTWARE_SINGLE_STEP): Delete.
	* mips-linux-tdep.c (mips_linux_init_abi): Set software_single_step.

2004-10-25  Andrew Cagney  <cagney@gnu.org>

	* NEWS: Add Changes since GDB 6.3 section.

2004-10-23  Andreas Schwab  <schwab@suse.de>

	* ada-lang.c (grow_vect): Return the new array instead of
	expecting pointer to pointer to avoid violation of aliasing rules.
	* ada-lang.h (GROW_VECT): Adapt call to grow_vect.

2004-10-23  Ulrich Weigand  <uweigand@de.ibm.com>

	* s390-tdep.c (enum pv_boolean): Remove.
	(pv_is_array_ref): Remove.
	(s390_on_stack): Remove.
	(S390_NUM_SPILL_SLOTS): Remove.
	(struct s390_prologue_data): Remove members 'spill' and 'back_chain',
	add members 'gpr_slot', 'fpr_slot', and 'back_chain_saved_p'.
	(s390_store): Track all stores of orginal incoming registers to the
	stack constant offsets relative to the CFA, instead of only tracking
	stores into specific spill slots.
	(s390_load): Likewise.
	(s390_analyze_prologue): Adapt to struct s390_prologue_data changes.
	(s390_prologue_frame_unwind_cache): Likewise.  Only track registers
	defined as call-saved by the ABI.
	(s390_push_dummy_call): Use bottom of dummy call argument save area
	as return value, not the top.  Do not store to the called function's
	register save area.
	(s390_unwind_dummy_id): Adapt accordingly.

2004-10-23  Andrew Cagney  <cagney@gnu.org>

	* objfiles.h (struct objfile): Rename obj_private to
	deprecated_obj_private, sym_private to deprecated_sym_private, and
	sym_stab_info to deprecated_sym_stab_info.
	* gdb-stabs.h: Update.
	* elfread.c: Update.
	* dbxread.c: Update.
	* coffread.c: Update.
	* xcoffread.c: Update.
	* symfile.c: Update.
	* somread.c: Update.
	* nlmread.c: Update.
	* mdebugread.c: Update.
	* hpread.c: Update.
	* coffread.c: Update.

2004-10-23  Mark Kettenis  <kettenis@gnu.org>

	* mips64obsd-nat.c, mips64obsd-tdep.c: New files.
	* configure.host: Add mips64*-*-openbsd*.
	* configure.tgt: Add mips64*-*-openbsd*.
	* Makefile.in (ALLDEPFILES): Add mips64obsd-nat.o,
	mips64obsd-tdep.c.
	(mips64obsd-nat.o, mips64obsd-tdep.o): New dependecies.
	* config/mips/obsd64.mh, config/mips/obsd64.mt: New files.

2004-10-21  Joel Brobecker  <brobecker@gnat.com>

	* symtab.c (symbol_search_name): Minor reformatting.

2004-10-20  Joel Brobecker  <brobecker@gnat.com>

	* symtab.h: Fix typo in comment.

2004-10-19  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2read.c (struct comp_unit_head): Fix coding style.
	(dwarf_decode_line_header): Likewise.

2004-10-19  Michael Chastain  <mec.gnu@mindspring.com>

	* NEWS: GDB works with GCC -feliminate-dwarf2-dups.

2004-10-19  Andrew Cagney  <cagney@gnu.org>

	GDB 6.3 branch created.
	* version.in: Bump to version 6.3.50_2004-10-19-cvs.

2004-10-15  Joel Brobecker  <brobecker@gnat.com>

	* dwarf2read.c (set_cu_language): Set language to Ada for
	DW_LANG_Ada83 and DW_LANG_Ada95.

2004-10-15  Michael Chastain  <mec.gnu@mindspring.com>

	From Andreas Schwab <schwab@suse.de>:
	* Makefile.in (.y.c, .l.c.): Fix the substitutions for
	for xmalloc and xrealloc.

2004-10-15  Andrew Cagney  <cagney@gnu.org>

	* ada-exp.y, ada-lex.l: Use xmalloc and xrealloc through out.
	* inf-ptrace.c: Include "gdb_wait.h" instead of <wait.h>.
	* Makefile.in (.y.c, .l.c): Don't replace xmalloc with xxmalloc.
	Update dependencies.

2004-10-15  Paul Hilfinger  <Hilfinger@gnat.com>

	* ada-lang.c (ada_lookup_symbol): Correct comment.
	(ada_evaluate_subexp): Change error message for
	OP_FUNCALL case so as not to indicate an internal error.
	
2004-10-15  Joel Brobecker  <brobecker@gnat.com>

	Committed by Paul Hilfinger.
	* ada-lang.c (ada_template_to_fixed_record_type_1): Detect bogus
	type sizes in XVE/XVU types, and emit a warning when that happens,
	instead of rounding up the size of the resulting type.
	Some minor reformatting.
	(ada_is_aligner_type): Do not consider a type as an aligner type 
	if there is a corresponding XVS type as well.
	(ada_evaluate_subexp): For TERNOP_SLICE, handle cases where we 
	have several levels of pointer indirection to the array.
	
2004-10-15  Jerome Guitton  <guitton@gnat.com>

	Committed by Paul Hilfinger.
	* ada-lang.c (check_size): New function.
	(coerce_unspec_val_to_type): call check_size to make sure
	that the object size is reasonable.
	(ada_evaluate_subexp): in UNOP_IND: Ditto. In TERNOP_SLICE:
	Implements the case when we get a reference when we evaluate
	the expression of one of the bounds of the slice.
	(ada_value_struct_elt): when a packed array field is
	a reference, use ada_coerce_ref to dereference it; use 
	ada_value_ind only if it is a pointer.

2004-10-15  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips32_scan_prologue): Move the implementation up
	a bit to avoid the necessity of an advance declaration. Remove
	declaration.
	(set_reg_offset): Move implemenation up.
	(mips16_get_imm): Likewise.
	(mips16_scan_prologue): Likewise.
	(reset_saved_regs): Likewise.
	(mips32_scan_prologue): Likewise.

2004-10-14  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips32_scan_prologue): Add advance declaration.
	Remove sp as a parameter, compute it internally instead. Move
	prologue scanning limit from heuristic_proc_desc to here.
	(mips16_scan_prologue): Likewise.
	(mips_insn16_frame_cache): Replace call to heuristic_proc_desc
	by call to mips16_scan_prologue.
	(mips_insn32_frame_cache): Replace call to heuristic_proc_desc
	by call to mips32_scan_prologue.
	(heuristic_proc_desc): Remove code that's no longer necessary.
	Update calls to mips16_scan_prologue and mips32_scan_prologue.
	(mips_skip_prologue): Update calls to mips16_scan_prologue
	and mips32_scan_prologue.

2004-10-14  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips16_scan_prologue): Merge code from
	mips16_skip_prologue.  Now return the address of the first
	instruction past the function prologue.
	(mips16_skip_prologue): Remove, no longer necessary.
	(mips_skip_prologue): Replace call to mips16_skip_prologue
	by call to mips16_scan_prologue.

2004-10-14  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips32_scan_prologue): Merge code from
	mips32_skip_prologue.  Now return the address of the first
	instruction past the function prologue.
	(mips32_skip_prologue): Remove.  No longer necessary.
	(mips16_skip_prologue): Add parameter end_pc instead of
	computing it.
	(mips_skip_prologue): Compute the upper limit for the
	prologue scanning. Update call to mips16_skip_prologue.
	Replace call to mips32_skip_prologue by call to
	mips32_scan_prologue.

2004-10-14  Mark Kettenis  <kettenis@gnu.org>

	* hppa-tdep.c (hppa_frame_cache): Add support for OpenBSD and
	NetBSD system call stubs that store %rp in the ERP slot of the
	stack frame.

	* source.c: Always define O_BINARY to 0 if not defined already.
	(openp): Unconditionally use O_BINARY.

	* top.c (gdb_readline): Always accept "\r\n" as a line-ending.
	* event-top.c (gdb_readline2): Likewise.

2004-10-14  Orjan Friberg  <orjanf@axis.com>

	* cris-tdep.c (_initialize_cris_tdep): Re-add call to
	deprecated_add_core_fns which was removed by mistake.

2004-10-13  Kevin Buettner  <kevinb@redhat.com>

	* ia64-linux-nat.c (fill_gregset, fill_fpregset): Replace
	references to deprecated_registers[] with equivalent code.

2004-10-13  Kevin Buettner  <kevinb@redhat.com>

	* rs6000-tdep.c (rs6000_push_dummy_call): Replace references to
	``deprecated_registers'' with equivalent code.  Use gdb_assert()
	instead of explicit test and print statement.

2004-10-12  Mark Kettenis  <kettenis@gnu.org>

	* sparc-nat.c: Include "inf-ptrace.h".
	(sparc_target): New function.
	* sparc-nat.h: Update copyright year.
	(sparc_target): New prototype.
	* sparcnbsd-nat.c: Don't include "gdbcore.h", include "target.h".
	(_initialize_sparcnbsd_nat): Construct and add target vector.
	* sparc64nbsd-nat.c: Include "target.h".
	(_initialize_sparc64nbsd_nat): Construct and add target vector.
	* Makefile.in (sparc-nat.o, sparcnbsd-nat.o, sparc64nbsd-nat.o):
	Update dependencies.
	* config/sparc/nbsd64.mh (NATDEPFILES): Remove infptrace.o and
	inftarg.o, add inf-ptrace.o.
	* config/sparc/nbsdaout.mh (NATDEPFILES): Remove infptrace.o and
	inftarg.o, add inf-ptrace.o and bsd-kvm.o.
	(NAT_FILE): Set to nm-bsd.h.
	(LOADLIBES): New variable.
	* config/sparc/nbsdelf.mh (NATDEPFILES): Remove infptrace.o and
	infarg.o, add inf-ptrace.o.
	* config/sparc/nm-nbsdaout.h: Remove file.
	* config/sparc/fbsd.mh (NATDEPFILES): Add inf-ptrace.o.
	* config/sparc/linux.mh (NATDEPFILES): Add inf-ptrace.o.
	* config/sparc/linux64.mh (NATDEPFILES): Add inf-ptrace.o.

	* defs.h [!FOPEN_RB]: Include "fopen-bin.h" instead of
	"fopen-same.h".  Update comment.

2004-10-11  Mark Kettenis  <kettenis@gnu.org>

	* i386gnu-nat.c: Include "gdb_string.h".
	(fetch_fpregs): Use i387_supply_fxsave to fill the floating-point
	registers when the floating-point state isn't initialized.
	* Makefile.in (i386gnu-nat.o): Update dependencies.

2004-10-11  David Anderson  <davea@sgi.com>

	* regcache.c (regcache_raw_read): Comment was missing "to".
	Extraneous ' removed.
	* gdb_thread_db.h (struct td_thrinfo): ti_lid field
	comment now describes use.

2004-10-11  Orjan Friberg  <orjanf@axis.com>

	* cris-tdep.c (cris_sigtramp_start, cris_rt_sigtramp_start)
	(cris_sigcontext_addr, cris_sigtramp_frame_unwind_cache)
	(cris_sigtramp_frame_this_id, cris_sigtramp_frame_prev_register)
	(cris_sigtramp_frame_sniffer): New functions.
	(cris_gdbarch_init): Hook in signal trampoline unwinder.
	(cris_dwarf2_reg_to_regnum, cris_dwarf2_frame_init_reg): New functions.
	(cris_gdbarch_init): Hook in Dwarf-2 unwinder.
	(struct gdbarch_tdep, set_cris_dwarf2_cfi, cris_dump_tdep)
	(cris_gdbarch_init, _initialize_cris_tdep): Add CRIS Dwarf-2 CFI usage
	command.
	(cris_version_update): Remove, replace with ...
	(set_cris_version): New function.
	(struct gdbarch_tdep, cris_mode, cris_mode_update)
	(cris_cannot_store_register, cris_dump_tdep, cris_gdbarch_init)
	(_initialize_cris_tdep): Remove CRIS mode command.
	(cris_fpless_backtrace, _initialize_cris_tdep): Remove 
	cris-fpless-backtrace command.
	(cris_scan_prologue): Fix prologue scanning limit.
	(cris_register_type): Update to reflect actual registers.
	(cris_register_bytes_ok) Remove.
	(cris_gdbarch_init): Remove support for CRIS v8 and v9.
	Remove set_gdbarch_deprecated_register_size,
	set_gdbarch_deprecated_register_byte, set_gdbarch_register_bytes_ok.
	
2004-10-10  Andrew Cagney  <cagney@gnu.org>

	* ada-lang.c (lim_warning): Add ATTR_FORMAT prototype and FIXME
	comment.

2004-10-10  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips16_scan_prologue): Remove redundant code.

2004-10-10  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips16_scan_prologue): Renames
	mips16_heuristic_proc_desc. Update comment.
	(mips32_scan_prologue): Renames mips32_heuristic_proc_desc.
	(heuristic_proc_desc): Update calls to the 2 functions above.

2004-10-10  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips_insn16_frame_cache): Remove unused variables.
	Update comments. Also immediately return empty cache when the start
	address of our function could not be found.
	(mips_insn32_frame_cache): Likewise.

2004-10-10  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips16_decode_reg_save): Delete, no longer used.
	(mips_insn16_frame_cache): Pass frame cache in call to
	heuristic_proc_desc. Move some code to mips16_heuristic_proc_desc.
	Remove code that became redundant as a consequence.
	(mips32_heuristic_proc_desc): No longer compute a fake
	procedure descriptor. Compute the full frame cache instead.
	Some minor comment reformatting.

2004-10-10  Jim Blandy  <jimb@redhat.com>

	* MAINTAINERS (generic symtabs, dwarf readers, elf reader, stabs
	reader, tracing bytecode stuff): Remove self.

2004-10-10  Mark Kettenis  <kettenis@gnu.org>

	* sparc64-linux-tdep.c: Update copyright year.  Don't include
	"solib-svr4.h".
	(sparc64_linux_svr4_fetch_link_map_offsets): Remove function.
	(sparc64_linux_init_abi): Don't set solib_svr4_link_map_offsets.
	* Makefile.in (sparc64-linux-tdep.o): Update dependencies.

	* sparc-linux-tdep.c: Update copyright year.
	(sparc_linux_sigtramp_start): Change first argument from CORE_ADDR
	to struct frame_info *.  Use safe_frame_unwind_memory instead of
	deprecated_read_memory_nobpt.
	(sparc32_linux_sigtramp_start, sparc32_linux_rt_sigtramp_start):
	Change argumen from CORE_ADDR to struct frame_info *.  Adjust for
	changed signature of sparc_linux_sigtramp_start.
	(sparc32_linux_pc_in_sigtramp): Remove function.
	(sparc32_linux_sigtramp_p): New function.
	(sparc32_linux_sigtramp_frame_sniffer): Use
	sparc32_linux_sigtramp_p instead of sparc32_linux_pc_in_sigtramp.

	* sparc-linux-tdep.c (sparc32_linux_svr4_fetch_link_map_offsets):
	Remove function.
	(sparc32_linux_init_abi): Don't set solib_svr4_link_map_offsets.

	* ada-lang.c (lim_warning): Re-implement as a varargs function.
	(decode_packed_array_type, value_subscript_packed)
	(ada_evaluate_subexp, to_fixed_range_type): Remove redundant
	argument in call to lim_warning.

	* configure.in: Really disable the TUI if an enhanced curses
	library isn't found.
	* configure: Regenerate.

2004-10-09  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/nbsdaout.mh (NAT_FILE): Set to solib.h.
	* config/i386/nbsdelf.mh (NAT_FILE): Set to solib.h.
	* config/i386/nm-nbsdaout.h: Remove file.
	* config/i386/nm-fbsd.h (link_object, lo_name, lo_library)
	(lo_unused, lo_major, lo_minor, lo_next, link_map, lm_addr)
	(lm_name, lm_next, lm_lop, lm_lob, lm_rwt, lm_ld, lm_lpd)
	(link_dynamic_2, ld_loaded, ld_need, ld_rules, ld_got, ld_plt)
	(ld_rel, ld_hash, ld_stab, ld_stab_hash, ld_buckets, ld_symbols)
	(ld_symb_size, ld_text, ld_plt_sz, rtc_symb, rtc_sp, rtc_next)
	(ld_debug, ldd_version, ldd_in_debugger, ldd_sym_loaded)
	(ldd_bp_addr, ldd_bp_inst, ldd_cp, link_dynamic, ld_version)
	(ldd, ld_un, ld_2): Remove defines.
	* config/i386/nm-obsd.h: Likewise.

2004-10-09  Paul Hilfinger  <hilfingr@nile.gnat.com>

	* ada-lex.l: Remove useless rule whose right-context clause
	causes unreferenced static function warning for yyrealloc.
	(ada_flex_use): Remove the artificial reference to yyrealloc.

2004-10-08  Andrew Cagney  <cagney@gnu.org>

	* target.h (struct target_ops): Rename to_xfer_memory to
	deprecated_xfer_memory.
	* target.c: Update.
	(deprecated_debug_xfer_memory): Rename debug_to_xfer_memory.
	* wince.c: Update.
	* win32-nat.c: Update.
	* v850ice.c: Update.
	* uw-thread.c: Update.
	* thread-db.c: Update.
	* sol-thread.c: Update.
	* remote.c: Update.
	* remote-vx.c: Update.
	* remote-st.c: Update.
	* remote-sim.c: Update.
	* remote-sds.c: Update.
	* remote-rdp.c: Update.
	* remote-rdi.c: Update.
	* remote-mips.c: Update.
	* remote-m32r-sdi.c: Update.
	* remote-e7000.c: Update.
	* procfs.c: Update.
	* ppc-bdm.c: Update.
	* nto-procfs.c: Update.
	* monitor.c: Update.
	* linux-nat.c: Update.
	* inftarg.c: Update.
	* hpux-thread.c: Update.
	* go32-nat.c: Update.
	* gnu-nat.c: Update.
	* exec.c: Update.
	* corelow.c: Update.
	* bsd-kvm.c: Update.
	* aix-thread.c: Update.

2004-10-08  Andrew Cagney  <cagney@gnu.org>

	* target.c (debug_target): Move to near start of file.
	(target_stopped_data_address_p): Re-org logic, add casts.

2004-10-02  Mark Kettenis  <kettenis@gnu.org>

	* solib-sunos.c [HAVE_STRUCT_SO_MAP_WITH_SOM_MEMBERS] (link_map)
	(lm_addr, lm_name, lm_next, link_dynamic_2, ld_loaded, rtc_symb)
	(rtc_sp, rtc_next, ld_debug, ldd_in_debugger, ldd_bp_addr)
	(ldd_bp_inst, ldd_cp, link_dynamic, ld_version, ldd, ld_un, ld_2):
	New defines.

2004-10-08  Jeff Johnston  <jjohnstn@redhat.com>

	* target.h (to_stopped_data_address): Change prototype to
	take a CORE_ADDR pointer and return an int.
	* target.c (update_current_target): Change to_stopped_data_address
	to match new prototype.
	(debug_to_stopped_data_address): Change appropriately.
	* breakpoint.c (bpstat_stop_status): Change call to
	target_stopped_data_address to use new prototype.
	* frv-tdep.c (frv_have_stopped_data_address): New function.
	(frv_stopped_data_address): Change to new prototype and
	functionality.
	* ia64-linux-nat.c (ia64_stopped_data_address): Change to new
	prototype and functionality.
	(ia64_stopped_by_watchpoint): New function.
	* i386-nat.c (i386_stopped_data_address): Change to new
	prototype and functionality.
	(i386_stopped_by_watchpoint): New function.
	* remote.c (remote_stopped_data_address): Change to new prototype
	and functionality.
	* remote-m32r-sdi.c (m32r_stopped_data_address): Ditto.
	* config/frv/tm-frv.h (frv_stopped_data_address): Change prototype.
	(STOPPED_BY_WATCHPOINT): Change to use frv_have_stopped_data_address.
	* config/i386/nm-i386.h (STOPPED_BY_WATCHPOINT): Change to use
	new i386_stopped_by_watchpoint function.
	(i386_stopped_by_watchpoint): New prototype.
	(i386_stoppped_data_address): Change to new prototype.
	* config/ia64/nm-linux.h (STOPPED_BY_WATCHPOINT): Change to use
	new ia64_stopped_by_watchpoint function.
	(ia64_stopped_by_watchpoint): New prototype.
	(ia64_stopped_data_address): Ditto.

2004-10-08  Paul Hilfinger  <Hilfinger@gnat.com>

	* ada-typeprint.c (ada_print_type): Use int_string for printing
	modulus of modular type.
	* ada-lang.h (ada_modulus): Change return type to unsigned.
	* ada-lang.c (ada_language_arch_info): Correct type of 
	string_char_type.
	(ada_modulus): Return unsigned result.
	(ada_lookup_symbol): Remove user disambiguation and modify comment 
	accordingly.
	
2004-10-08 Eric Botcazou  <ebotcazou@act-europe.fr>	

	Committed by Paul Hilfinger.
	* ada-lang.c (decode_packed_array): On big-endian targets, 
	left-justify the value if it comes with a modular type.

2004-10-08  Joel Brobecker  <brobecker@gnat.com>	

	Committed by Paul Hilfinger.
        * ada-lang.c (template_to_static_fixed_type): Fix a small typo.
	(is_name_suffix): Add support for "___JM" suffixes.
	(ada_check_typedef): Renames ada_completed_type. 
	Update all users of CHECK_TYPEDEF, check_typedef, and 
	ada_complete_type to call ada_check_typedef.
	* ada-typeprint.c: Likewise.
	* ada-valprint.c: Likewise.

2004-10-08  Corinna Vinschen  <vinschen@redhat.com>

	* infcall.c (call_function_by_hand): Use correct VALUE_TYPE macro.

2004-10-08  Nick Roberts  <nickrob@snap.net.nz>

	* MAINTAINERS: Update e-mail address.

2004-10-07  Daniel Jacobowitz  <dan@debian.org>

	From Maciej W. Rozycki  <macro@mips.com>:
	* mips-tdep.c (mips32_next_pc): Check the register's contents,
	not its number for BLEZ/BLEZL and BGTZ/BGTZL.

2004-10-07  Kei Sakamoto  <sakamoto.kei@renesas.com>

	* m32r-tdep.c (decode_prologue): Support functions written
	in assembler language. Recognize trap instructions as the
	end of prologue.
	(m32r_frame_unwind_cache): Ditto.
	(m32r_skip_prologue): Extend search limit. Quit analyzing
	prologue if pc's location is not readable.

2004-10-06  Paul N. Hilfinger  <Hilfinger@gnat.com>

	* Makefile.in (.l.c): Do conversions of names of alloc and free 
	functions that are done for .y.c files, plus special one
	for yy_flex_realloc.  Also, correct missing-file tests here.
	* ada-lex.l (malloc, free): Remove macros.
	(resize_tempbuf): Use "realloc"; rely on sed changes to convert to
	xrealloc.
	(ada_flex_use): Dummy definition to remove warnings about unused
	functions.
	* ada-exp.y (dummy_string_to_ada_operator): Temporary definition
	to suppress warning.
	
2004-10-06  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (sh_return_value_nofpu): New function, implementing
	RETURN_VALUE.
	(sh_return_value_fpu): Ditto for CPUs with FPU.
	(sh_gdbarch_init): Remove STORE_RETURN_VALUE, EXTRACT_RETURN_VALUE,
	RETURN_VALUE_ON_STACK and USE_STRUCT_CONVENTION throughout.
	Install sh_return_value_nofpu resp. sh_return_value_fpu as
	RETURN_VALUE functions.

2004-10-06  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (sh_pseudo_register_read): Add PSEUDO_BANK_REGNUM handling. 
	(sh_pseudo_register_write): Ditto.

2004-10-06  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (IS_MACL_STS): New define.
	(IS_MOVI20): Ditto.
	(IS_MACL_LDS): Ditto.
	(sh_analyze_prologue): Recognize STS.L MACL,@-r15 and MOVI20
	instructions in prologue.
	(sh_in_function_epilogue_p): Recognize LDS.L @r15+,MACL and MOVI20
	instructions in epilogue.

2004-10-06  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (SH_NUM_REGS): Define as 67.
	(sh_sh_register_name): Add eight empty register names.
	(sh_sh3_register_name): Ditto.
	(sh_sh3e_register_name): Ditto.
	(sh_sh2e_register_name): Ditto.
	(sh_sh2a_register_name): New function, defining SH2A register set.
	(sh_sh2a_nofpu_register_name): New function, defining SH2A register set
	in nofpu case.
	(sh_sh_dsp_register_name): Add eight empty register names.
	(sh_sh3_dsp_register_name): Ditto.
	(sh_sh4_register_name): Ditto.
	(sh_sh4_nofpu_register_name): Ditto.
	(sh_sh4al_dsp_register_name): Ditto.
	(sh2a_show_regs): New function.
	(sh2a_nofpu_show_regs): New function.
	(sh_sh2a_register_type): New function.
	(do_bank_register_info): New function.
	(sh_print_pseudo_register): Call do_bank_register_info.
	Call sh_print_pseudo_register for valid "bank" register.
	(sh_sh2a_register_sim_regno): New function.
	(sh_gdbarch_init): Add bfd_mach_sh2a and bfd_mach_sh2a_nofpu handling.
	Increment pseudo register count by one for all sh variants with
	pseudo registers to accomodate pseudo bank register.
	* sh-tdep.h: Add register numbers for R0_BANK0_REGNUM, MACHB_REGNUM,
	IVNB_REGNUM, PRB_REGNUM, GBRB_REGNUM, MACLB_REGNUM, BANK_REGNUM,
	IBCR_REGNUM, IBNR_REGNUM, TBR_REGNUM and PSEUDO_BANK_REGNUM. 
	Increment pseudo register numbers.

2004-10-06  Corinna Vinschen  <vinschen@redhat.com>

	* dwarf2read.c (read_subroutine_type): Call make_function_type
	instead of lookup_function_type.

2004-10-05  Jim Blandy  <jimb@redhat.com>

	* linux-nat.c (_initialize_linux_nat): Rename child_ops.
	(Previous change missed some uses.)

2004-10-05  Andrew Cagney  <cagney@gnu.org>

	* target.h (deprecated_child_ops): Rename child_ops.
	* wince.c: Update copyright.  Rename child_ops.
	* win32-nat.c: Rename child_ops.
	* target.c: Rename child_ops.
	* rs6000-nat.c: Rename child_ops.
	* linux-nat.c: Rename child_ops.
	* infttrace.c: Rename child_ops.
	* inftarg.c: Rename child_ops.
	* infptrace.c: Rename child_ops.
	* hppah-nat.c: Update copyright.  Rename child_ops.
	* hpux-thread.c: Update copyright.  Rename child_ops.

2004-10-05  Daniel Jacobowitz  <dan@debian.org>

	* remote.c (remote_xfer_partial): Handle TARGET_OBJECT_MEMORY.

2004-10-05  Andrew Cagney  <cagney@gnu.org>

	* version.in: Bump to version 6.2.50_YYYY-MM-DD-cvs.

2004-10-05  Daniel Jacobowitz  <dan@debian.org>

	* dwarf2read.c (REF_HASH_SIZE): Move earlier.
	(die_ref_table): Remove.
	(struct dwarf2_cu): Add DIES, DEPENDENCIES, and DIE_REF_TABLE.
	(struct dwarf2_per_cu_data): Add PSYMTAB.  Add a comment describing
	the usage of this type.
	(struct dwarf2_per_objfile): Update comment for ALL_COMP_UNITS.
	(struct dwarf2_pinfo, PST_PRIVATE, DWARF_INFO_OFFSET): Remove.
	(struct dwarf2_queue_item, dwarf2_queue, dwarf2_queue_tail): New.
	(dwarf2_create_include_psymtab): Update comment.
	(find_partial_die): Remove third argument.  Remove unreachable call
	to error ().
	(dwarf2_find_containing_comp_unit): Update comments.  Change one
	assertion to an error.  Remove an unreachable error.
	(dwarf2_find_comp_unit): Update comments.
	(type_at_offset): Remove dead code.
	(make_cleanup_free_die_list, dwarf2_empty_hash_tables): Remove.
	(store_in_ref_table): Add CU argument.
	(follow_die_ref): Take DIE, attribute, and CU arguments.  Handle
	inter-compilation-unit references.
	(load_full_comp_unit, process_full_comp_unit): New functions, based
	on psymtab_to_symtab_1.
	(psymtab_to_symtab_1): Use them.
	(dwarf2_add_dependence): New function.
	(dwarf2_build_psymtabs_hard): Set the psymtab in per_cu.  Always create
	a per_cu structure, and save it in READ_PSYMTAB_PRIVATE.
	(partial_die_parent_scope, guess_structure_name): Update for changes
	to find_partial_die.
	(dwarf2_psymtab_to_symtab): Initialize dwarf2_per_objfile here.
	(queue_comp_unit, process_queue, dwarf2_release_queue): New.
	(read_comp_unit): Don't call dwarf2_empty_hash_tables.
	(read_die_and_children): Update call to store_in_ref_table.
	(do_free_die_list_cleanup): Remove.
	(fixup_partial_die): Update for changes to find_partial_die.
	(read_full_die): Handle queueing absolute references.
	(read_attribute_value): Use DW_ADDR for all DW_FORM_ref* forms.
	(dwarf2_attr, die_specification, die_type)
	(die_containing_type, dwarf2_extension): Update calls to
	follow_die_ref.
	(dump_die): Update DW_FORM_ref* handling.
	(dwarf2_get_ref_die_offset): Likewise.
	(free_one_comp_unit): Release the dies list.
	(dwarf2_mark_helper): New function.
	(dwarf2_mark): Use it.

2004-10-05  Mark Kettenis  <kettenis@jive.nl>

	* procfs.c (procfs_xfer_partial): Use WRITEBUF instead of READBUF
	when writing to memory.

2004-10-05  Kei Sakamoto  <sakamoto.kei@renesas.com>

	* m32r-tdep.c (m32r_use_struct_convention): Delete function.
	(m32r_extract_struct_value_address): Delete function.
	(m32r_return_value): New function.
	(m32r_gdbarch_init): Instead of store_return_value,
	extract_return_value, deprecated_extract_struct_value_address
	and deprecated_use_struct_convention, set return_value.

2004-10-03  Daniel Jacobowitz  <dan@debian.org>

	* dwarf2read.c (read_subrange_type): Add comment for variable
	sized arrays.

2004-10-03  Paul Hilfinger  <hilfingr@nile.gnat.com>

	* Makefile.in (.l.c): Modify rule for compatibility with recent
	versions of flex, and remove most command-line options.
	* ada-lex.l: Add %options line in place of -I -i and -s command-line
	options.

2004-10-02  Paul N. Hilfinger  <Hilfinger@gnat.com>

        Turn on initial Ada support (mainly expression evaluation).
	
        * Makefile.in (SFILES): Remove ada-tasks.c.
	(HFILES_NO_SRCDIR): Add ada-lang.h.
	(COMMON_OBS): Add ada-lang.o, ada-typeprint.o, ada-valprint.o.
	(YYOBJ): Add ada-exp.o.
	(rule .l.c): Generalize to not mention ada.
	* symtab.c: Include ada-lang.h.
	(symbol_natural_name, symbol_demangled_name)
	(symbol_search_name): Add Ada case.

2004-10-01  Andrew Cagney  <cagney@gnu.org>

	* Makefile.in (COMMON_OBS): Add inf-child.o.
	* config/vax/obsd.mh (NATDEPFILES): Remove inf-child.o.
	* config/vax/nbsdelf.mh (NATDEPFILES): Remove inf-child.o.
	* config/vax/nbsdaout.mh (NATDEPFILES): Remove inf-child.o.
	* config/powerpc/nbsd.mh (NATDEPFILES): Remove inf-child.o.
	* config/m88k/obsd.mh (NATDEPFILES): Remove inf-child.o.
	* config/i386/obsdaout.mh (NATDEPFILES): Remove inf-child.o.
	* config/i386/obsd64.mh (NATDEPFILES): Remove inf-child.o.
	* config/i386/obsd.mh (NATDEPFILES): Remove inf-child.o.
	* config/i386/nbsdelf.mh (NATDEPFILES): Remove inf-child.o.
	* config/i386/nbsdaout.mh (NATDEPFILES): Remove inf-child.o.
	* config/i386/nbsd64.mh (NATDEPFILES): Remove inf-child.o.
	* config/i386/fbsd64.mh (NATDEPFILES): Remove inf-child.o.
	* config/i386/fbsd.mh (NATDEPFILES): Remove inf-child.o.

	* target.c (xfer_using_stratum): Change return type to LONGEST.
	On each iteration offset, readbuf and writebuf.
	* inf-ptrace.c (inf_ptrace_xfer_partial): Simplify computation of
	partial_length, and read/modify/write predicate, update comments.
	Pass buffer.word to ptrace write.

2004-10-01  Paul N. Hilfinger  <Hilfinger@gnat.com>

	* symfile.c (init_filename_language_table): Add extensions for
	Ada.
	* defs.h (enum language): Add language_ada.
	* gdbtypes.h (TYPE_FLAG_FIXED_INSTANCE): Define.
	* ada-lang.c: Strip code that is conditionalized out by GNAT_GDB.
	(add_symbols_from_enclosing_procs): Make a no-op for now.
	(ada_unqualified_name,add_angle_brackets,function_name_from_pc)
	(extended_canonical_line_spec, find_sal_from_funcs_and_line)
	(find_line_in_linetable, find_next_line_in_linetable)
	(read_all_symtabs, is_plausible_func_for_line)
	(adjust_pc_past_prologue, error_breakpoint_runtime_sym_not_found)
	(is_runtime_sym_defined, check_size): Remove declaration.
	(function_name_from_pc, ada_translate_error_message)
	(ada_lookup_minimal_symbol): Remove definition.
	(ada_add_block_symbols): Remove useless label.
	* ada-lang.h (ada_maybe_exception_partial_symbol): Remove 
	useless declaration.
	(ada_is_exception_sym): Likewise.

2004-09-30    Kei Sakamoto  <sakamoto.kei@renesas.com>

	Add m32r-linux support.
	* configure.tgt: Add m32r*-*-linux*.
	* Makefile.in (ALLDEPFILES): Add m32r-tdep.c, m32r-linux-nat.c
	and m32r-linux-tdep.c.
	(m32r-linux-nat.o, m32r-linux-tdep.o): New dependencies.
	* m32r-tdep.c: Move some definitions to m32r-tdep.h.
	* config/djgpp/fnchange.lst: Add m32r-linux-nat.c and
	m32r-linux-tdep.c.
	* m32r-tdep.h, m32r-linux-nat.c, m32r-linux-tdep.c,
	config/m32r/linux.mh, config/m32r/linux.mt,
	config/m32r/nm-linux.h: New files.

2004-09-30  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips32_decode_reg_save): Remove, unused.
	(mips32_fetch_instruction): Remove, unused.

2004-09-30  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips_insn16_frame_cache): Remove dead code or
	conditions that will always be true.

2004-09-30  Mark Kettenis  <kettenis@gnu.org>

	* vaxbsd-nat.c: Include "target,h" and "inf-ptrace.h".
	(vaxbsd_fetch_inferior_registers): Rename from
	fetch_inferior_registers.  Make static.
	(vaxbsd_store_inferior_registers): Rename from
	store_inferior_registers.  Make static.
	(_initialize_vaxbsd_nat): Construct and add target vector.
	* config/vax/nbsdaout.mh (NATDEPFILES): Remove infptrace.o and
	inftarg.o.  Add inf-child.o and inf-ptrace.o.
	* config/vax/nbsdelf.mh (NATDEPFILES): Remove infptrace.o and
	inftarg.o.  Add inf-child.o and inf-ptrace.o.
	(NAT_FILE): Remove.
	* config/vax/obsd.mh (NATDEPFILES): Remove infptrace.o and
	inftarg.o.  Add inf-child.o and inf-ptrace.o.
	(NAT_FILE): Remove.
	* Makefile.in (vaxbsd-nat.o): Update dependencies.

	* m88kbsd-nat.c: Include "target.h" and "inf-ptrace.h".
	(m88kbsd_fetch_inferior_registers): Rename from
	fetch_inferior_registers.  Make static.
	(m88kbsd_store_inferior_registers): Rename from
	store_inferior_registers.  Make static.
	(_initialize_m88kbsd_nat): New prototype and function.
	* config/m88k/obsd.mh (NATDEPFILES): Remove infptrace.o and
	inftarg.o.  Add inf-child.o and inf-ptrace.o.
	(NAT_FILE): Remove.
	* Makefile.in (m88kbsd-nat.o): Update dependencies.

2004-09-30  Andrew Cagney  <cagney@gnu.org>

	* target.c (target_xfer_partial): New function.
	(target_read_memory_partial, target_write_memory_partial) 
	(default_xfer_partial, target_read_partial, target_write_partial) 
	(xfer_using_stratum): Use.
	(debug_to_xfer_partial): Delete function.
	(setup_target_debug): Do not override to_xfer_partial.

2004-09-30  Mark Kettenis  <kettenis@chello.nl>

	* fork-child.c: Update copyright year.  Fix coding style.

2004-09-29  Mark Kettenis  <kettenis@gnu.org>

	* defs.h (msavestring, mstrsave): Remove prototypes.
	* utils.c (msavestring, mstrsave): Remove functions.
	* objfiles.c (allocate_objfile): Use xstrdup instead of mstrsave.
	* solib-sunos.c (allocate_rt_common_objfile): Use xstrdup instead
	of mstrsave.
	* source.c (find_and_open_source): Use xstrdup instead of
	mstrsave.

2004-09-30  Andrew Cagney  <cagney@gnu.org>

	* inf-ptrace.c (inf_ptrace_target): Do not set to_xfer_memory.
	(inf_ptrace_xfer_memory): Delete.
	* target.c (target_xfer_partial_p, xfer_using_stratum): New.
	(target_read_memory, target_write_memory): Use xfer_using_stratum
	when target_xfer_partial_p.
	(debug_target): Move to start of file.
	(target_read_memory_partial, target_write_memory_partial): Use
	to_xfer_partial when target_xfer_partial_p.

	* inf-ptrace.c (inf_ptrace_xfer_partial): Replace call to
	inf_ptrace_xfer_memory with equivalent code.
	* inftarg.c (child_xfer_partial): When performing a write, pass
	writebuf to child_xfer_memory.

	* target.c (target_read_string): Use target_read_memory instead of
	target_xfer_memory.

2004-09-29  Andrew Cagney  <cagney@gnu.org>

	* infptrace.c (kill_inferior): Fix typo, in previous inline.  Pass
	the address of status.

	* infptrace.c (ptrace_wait): Mention problem with HPUX.
	(kill_inferior): Inline ptrace_wait call.
	* linux-nat.c (kill_inferior): Inline ptrace_wait call.
	* inftarg.c (child_wait): Inline ptrace_wait call.

	* target.h (struct target_ops): Delete field to_post_wait.
	(target_post_wait): Delete macro.
	(child_post_wait): Delete declaration.
	* target.c (update_current_target, update_current_target)
	(debug_to_post_wait, setup_target_debug): Delete functions and
	references.
	* infttrace.c (ptrace_wait): Delete call to target_post_wait.
	* inftarg.c (child_post_wait): Delete.
	(init_child_ops): Do not set to_post_wait.
	* infptrace.c (ptrace_wait): Delete call to target_post_wait.
	* inf-ptrace.c (inf_ptrace_wait): Delete call to target_post_wait.
	* inf-child.c (inf_child_post_wait): Delete.
	(inf_child_target): Do not set to_post_wait.
	* inf-ptrace.c (inf_ptrace_post_wait): Delete.
	(inf_ptrace_target): Do not set to_post_wait.

	* wince.c (child_ops): Delete.
	* win32-nat.c (child_ops): Delete.

	* inftarg.c (inftarg_set_find_memory_regions) 
	(inftarg_set_make_corefile_notes): Delete functions.
	(_initialize_linux_nat): Inline calls.

	* target.h (child_ops): Declare.
	* inftarg.c (child_ops): Move from here ...
	* target.c (child_ops): ... to here.
	* wince.c (child_ops): Delete extern declaration.
	* win32-nat.c (child_ops): Delete extern declaration.
	* linux-nat.c (child_ops): Delete extern declaration.
	* hpux-thread.c (child_ops): Delete extern declaration.

2004-09-28  Mark Kettenis  <kettenis@gnu.org>

	* configure.tgt: Set default OS/ABI for OpenBSD ELF targets.

2004-09-28  Mark Kettenis  <kettenis@gnu.org>

	* configure.in: Only set host_makefile_frag when building a native
	debugger.
	* configure: Regenerate.

	* alphanbsd-tdep.c (_initialize_alphanbsd_tdep): Register OS/ABI
	for OpenBSD ELF.

2004-09-28  Andrew Cagney  <cagney@gnu.org>

	Problem identified by Paul Hilfinger.
	* Makefile.in (ada_lex_c): Define.
	(ada-lex.o): Delete rule.

	* linux-proc.c: Delete file.
	* Makefile.in: Update.
	* config/sparc/linux64.mh (NATDEPFILES): 
	* config/sparc/linux.mh (NATDEPFILES): Update.
	* config/s390/s390.mh (NATDEPFILES): Update.
	* config/powerpc/ppc64-linux.mh (NATDEPFILES): Update.
	* config/powerpc/linux.mh (NATDEPFILES): Update.
	* config/pa/linux.mh (NATDEPFILES): Update.
	* config/mips/linux.mh (NATDEPFILES): Update.
	* config/m68k/linux.mh (NATDEPFILES): Update.
	* config/ia64/linux.mh (NATDEPFILES): Update.
	* config/i386/linux64.mh (NATDEPFILES): Update.
	* config/i386/linux.mh (NATDEPFILES): Update.
	* config/arm/linux.mh (NATDEPFILES): Update.
	* config/alpha/alpha-linux.mh (NATDEPFILES): Update.
	* linux-nat.c: Update copyright.  Include <sys/param.h>,
	<sys/procfs.h>, "elf-bfd.h", "gregset.h", <ctype.h>,
	"gdbthread.h", "gdb_stat.h", <fcntl.h>.
	(O_LARGEFILE): Possibly define.
	(_initialize_linux_nat, linux_proc_pending_signals)
	(add_line_to_sigset, linux_proc_xfer_memory)
	(linux_nat_info_proc_cmd, linux_nat_make_corefile_notes)
	(linux_nat_do_registers, linux_nat_corefile_thread_callback)
	(struct linux_corefile_thread_data)
	(linux_nat_do_thread_registers, linux_nat_find_memory_regions)
	(child_pid_to_exec_file): Insert code previously in linux-proc.c.

2004-09-16  Andrew Cagney  <cagney@gnu.org>

	* lin-lwp.c: Delete file.
	* linux-nat.c: Include "gdb_assert.h", "gdb_string.h", <unistd.h>,
	<sys/syscall.h>, "gdbthread.h", "gdbcmd.h", "regcache.h".
	(status_to_str, init_lwp_list, add_lwp, delete_lwp)
	(find_lwp_pid, iterate_over_lwps, lin_lwp_attach_lwp)
	(linux_nat_attach, detach_callback, linux_nat_detach)
	(resume_callback, resume_clear_callback, linux_nat_resume)
	(kill_lwp, linux_nat_handle_extended, wait_lwp, stop_callback)
	(stop_wait_callback, linux_nat_has_pending, flush_callback)
	(status_callback, running_callback, count_events_callback)
	(select_singlestep_lwp_callback, select_event_lwp_callback)
	(cancel_breakpoints_callback, select_event_lwp, resumed_callback)
	(child_wait, stop_and_resume_callback, linux_nat_wait)
	(kill_callback, kill_wait_callback, linux_nat_kill)
	(linux_nat_create_inferior, linux_nat_mourn_inferior)
	(linux_nat_xfer_memory, linux_nat_thread_alive)
	(linux_nat_pid_to_str, init_linux_nat_ops, sigchld_handler)
	(_initialize_linux_nat): New functions.
	* Makefile.in: Update all dependencies.
	* config/sparc/linux64.mh (NATDEPFILES): Remove lin-lwp.o.
	* config/sparc/linux.mh (NATDEPFILES): Remove lin-lwp.o.
	* config/s390/s390.mh (NATDEPFILES): Remove lin-lwp.o.
	* config/powerpc/ppc64-linux.mh (NATDEPFILES): Remove lin-lwp.o.
	* config/powerpc/linux.mh (NATDEPFILES): Remove lin-lwp.o.
	* config/pa/linux.mh (NATDEPFILES): Remove lin-lwp.o.
	* config/mips/linux.mh (NATDEPFILES): Remove lin-lwp.o.
	* config/m68k/linux.mh (NATDEPFILES): Remove lin-lwp.o.
	* config/ia64/linux.mh (NATDEPFILES): Remove lin-lwp.o.
	* config/i386/linux64.mh (NATDEPFILES): Remove lin-lwp.o.
	* config/i386/linux.mh (NATDEPFILES): Remove lin-lwp.o.
	* config/arm/linux.mh (NATDEPFILES): Remove lin-lwp.o.
	* config/alpha/alpha-linux.mh (NATDEPFILES): Remove lin-lwp.o.

2004-09-27  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/fbsd64.mh, config/i386/nbsd64.mh,
	config/i386/obsd64.mh (NAT_FILE): Remove variable.

	* configure.in: Don't comment out NATDEPFILES in the generated
	Makefile if NAT_FILE is unset.
	* configure: Regenerate.

2004-09-27  Andrew Cagney  <cagney@gnu.org>

	* infrun.c (check_for_old_step_resume_breakpoint): Delete.
	(insert_step_resume_breakpoint): Delete.
	(insert_step_resume_breakpoint_at_frame): New function.
	(insert_step_resume_breakpoint_at_sal): New function.
	(handle_inferior_event, step_into_function)
	(insert_step_resume_breakpoint): Simplify by using same.

	* gdb_indent.sh (types): Add caddr_t to list of predefined types.

2004-09-26  Mark Kettenis  <kettenis@gnu.org>

	* fbsd-proc.c: Remove file.
	* Makefile.in (fbsd-proc.o): Remove dependency.

	* i386fbsd-nat.c (_initialize_i386fbsd_nat): Group target related
	code together.

	* config/i386/nm-fbsd64.h: Remove file.
	* config/i386/fbsd64.mh (NAT_FILE): Set to config/nm-nbsd.h.

2004-09-26  Mark Kettenis  <kettenis@gnu.org>

	* amd64-nat.h: Update copyright year.
	(amd64bsd_target): New prototype.
	* amd64bsd-nat.c: Include "target.h" and "inf-ptrace.h".
	(amd64bsd_target): New function.
	(amd64bsd_fetch_inferior_registers): Rename from
	fetch_inferior_registers.  Make static.
	(amd64bsd_store_inferior_registers): Rename from
	store_inferior_registers.  Make static.
	* amd64fbsd-nat.c: Include "target.h" and "fbsd-nat.h".
	(_initialize_amd64fbsd_nat): Construct and add target vector.
	* amd64nbsd-nat.o: Include "target.h".
	(_initialize_amd64nbsd_nat): Construct and add target vector.
	* amd64obsd-nat.c: Include "target.h".
	(_initialize_amd64obsd_nat): Construct and add target vector.
	* config/i386/nm-fbsd64.h (CHILD_PID_TO_EXEC_FILE): Remove define.
	* config/i386/fbsd64.mh (NATDEPFILES): Remove infptrace.o,
	inftarg.o and fbsd-proc.o.  Add inf-child.o, inf-ptrace.o and
	fbsd-nat.o.
	* config/i386/nbsd64.mh, config/i386/obsd64.mh (NATDEPFILES):
	Remove infptrace.o and inftarg.o.  Add inf-child.o and
	inf-ptrace.o.
	* Makefile.in (amd64bsd-nat.o, amd64fbsd-nat.o, amd64nbsd-nat.o)
	(amd64obsd-nat.o): Update dependencies.

2004-09-25  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/fbsd.mh (NATDEPFILES): Remove infptrace.o.
	* config/i386/nbsdaout.mh (NATDEPFILES): Remove infptrace.o.
	* config/i386/nbsdelf.mh (NATDEPFILES): Remove infptrace.o.
	* config/i386/obsd.mh (NATDEPFILES): Remove infptrace.o.
	* config/i386/obsdaout.mh (NATDEPFILES): Remove infptrace.o.

	* inf-ptrace.c (inf_ptrace_attach): Remove redundant parenthesis.
	Inline attach call.
	(inf_ptrace_detach): Inline detach call.

	* configure.in: Check for waddstr instead of mvwaddstr when
	searching for curses library.  Check for wborder.
	* configure, config.in: Regenerate.
	* tui/tui-wingeneral.c (box_win): Use box if wborder isn't
	available.

	* inf-ptrace.c (inf_ptrace_xfer_memory): Fix gdb_indent.sh wart.

2004-09-24  Robert Picco <Robert.Picco@hp.com>

	Committed by Andrew Cagney.
	* remote.c (set_remote_protocol_p_packet_cmd, remote_protocol_p)
	(show_remote_protocol_p_packet_cmd): New.  Implement 'p' packet.
	configuration.
	(fetch_register_using_p): Implement 'p' packet.  Based on code by
	Fernando Nasser.
	(remote_fetch_registers): Call fetch_register_using_p.
	(init_all_packet_configs, show_remote_cmd)
	(_initialize_remote): Add p-packet.

2004-09-24  Mark Kettenis  <kettenis@gnu.org>

	* inf-ptrace.c (inf_ptrace_kill_inferior): Call ptrace directly
	instead of call_ptrace.  Call wait directly instead of
	ptrace_wait.
	(inf_ptrace_me): Call ptrace directly instead of call_ptrace.
	(inf_ptrace_wait): Inline ptrace_wait call.

2004-09-24  Paul Hilfinger  <hilfingr@nile.gnat.com>

	* Makefile.in (.y.c): Revert previous change.  ../ylwrap was 
	rolled back instead.

2004-09-24  Paul Hilfinger  <hilfingr@nile.gnat.com>

	* Makefile.in (.y.c): Modify $(YLWRAP) invocation to use
	the new argument order.

2004-09-23  Corinna Vinschen  <vinschen@redhat.com>

	* MAINTAINERS: Remove "broken" from XStormy16 entry.
	* xstormy16-tdep.c: Convert XStormy16 target to latest GDB methods.
	(struct gdbarch_tdep): Remove.
	(struct xstormy16_frame_cache): New frame cache structure.
	(xstormy16_register_byte, xstormy16_register_raw_size)
	(xstormy16_reg_virtual_type, xstormy16_register_type)
	(xstormy16_push_arguments, xstormy16_push_return_address)
	(xstormy16_pop_frame, xstormy16_store_struct_return)
	(xstormy16_store_return_value, xstormy16_extract_struct_value_address)
	(xstormy16_frame_saved_register, xstormy16_get_saved_register)
	(xstormy16_scan_prologue, xstormy16_frame_init_saved_regs)
	(xstormy16_frame_saved_pc, xstormy16_init_extra_frame_info)
	(xstormy16_frame_chain, xstormy16_frame_chain_valid,
	(xstormy16_saved_pc_after_call, xstormy16_save_dummy_frame_to): Remove.
	(xstormy16_use_struct_convention): Drop gcc_p parameter.
	(xstormy16_extract_return_value, xstormy16_store_return_value):
	Regcachify.  Drop useless struct convention handling.
	(xstormy16_register_type, xstormy16_return_value)
	(xstormy16_push_dummy_call, xstormy16_analyze_prologue)
	(xstormy16_alloc_frame_cache, xstormy16_frame_cache)
	(xstormy16_frame_prev_register, xstormy16_frame_this_id)
	(xstormy16_frame_base_address, xstormy16_frame_sniffer)
	(xstormy16_unwind_sp, xstormy16_unwind_pc)
	(xstormy16_unwind_dummy_id) : New functions.
	(xstormy16_skip_prologue): Call xstormy16_analyze_prologue instead
	of xstormy16_scan_prologue.
	(xstormy16_frame_unwind): New frame_unwind structure.
	(xstormy16_frame_base): New frame_base structure.
	(xstormy16_gdbarch_init): Accomodate all of the above changes.
	Reshuffle for better readability.  Also add dwarf2_frame_sniffer.

2004-09-22  Mark Kettenis  <kettenis@gnu.org>

	* language.c (language_gdbarch_post_init): Fix off-by one error.

2004-09-21  Daniel Jacobowitz  <dan@debian.org>

	* dwarf2read.c (struct dwarf2_per_cu_data): New field type_hash.
	(struct dwarf2_offset_and_type): New.
	(set_die_type, reset_die_and_siblings_types, get_die_type)
	(offset_and_type_hash, offset_and_type_eq): New functions.
	(read_structure_type, read_enumeration_type, read_array_type)
	(read_namespace, read_tag_pointer_type, read_tag_ptr_to_member_type)
	(read_tag_reference_type, read_tag_const_type)
	(read_tag_volatile_type, read_tag_string_type, read_subroutine_type)
	(read_typedef, read_base_type, read_subrange_type): Use
	set_die_type.

2004-09-20  Daniel Jacobowitz  <dan@debian.org>

	* Makefile.in (dwarf2read.o): Update dependencies.
	* dwarf2read.c: Include "command.h" and "gdbcmd.h".
	(struct dwarf2_per_objfile): Add all_comp_units, n_comp_units,
	and read_in_chain.
	(struct dwarf2_cu): Add read_in_chain, per_cu, last_used,
	mark, and has_form_ref_addr.
	(struct dwarf2_per_cu_data): New.
	(dwarf2_max_cache_age): New.
	(dwarf2_build_psymtabs_hard): Free cached compilation units
	after loading.  Create and manage the list of compilation units.
	Remove unnecessary NULL initialization.  Fix indentation.
	(psymtab_to_symtab_1): Initialize all of CU.
	(dwarf2_read_abbrevs): Set has_form_ref_addr.
	(find_partial_die): Use dwarf2_find_containing_comp_unit
	and load_comp_unit.
	(free_stack_comp_unit): Update comments.  Clear the per-cu
	pointer.  Handle aging.
	(dwarf2_find_containing_comp_unit, free_cached_comp_units)
	(age_cached_comp_units, free_one_cached_comp_unit)
	(dwarf2_mark, dwarf2_clear_marks, create_all_comp_units)
	(load_comp_unit, dwarf2_find_comp_unit, free_one_comp_unit)
	(set_dwarf2_cmdlist, show_dwarf2_cmdlist, set_dwarf2_cmd)
	(show_dwarf2_cmd): New.
	(_initialize_dwarf2_read): Provide "maint set dwarf2 max-cache-age"
	and "maint show dwarf2 max-cache-age".
	* gdbcmd.h (maintenance_set_cmdlist, maintenance_show_cmdlist): New
	externs.
	* maint.c (maintenance_set_cmdlist, maintenance_show_cmdlist): Make
	global.

2004-09-20  Jeff Johnston  <jjohnstn@redhat.com>

	* dwarf2read.c (typename_concat): Change prototype to accept obstack
	and dwarf2_cu struct pointer as arguments.  Change function to use
	obstack if provided and use dwarf2_cu to determine language-specific
	separator.
	(partial_die_parent_scope): Change comment to include java.  Use
	new version of typename_concat instead of obconcat.
	(partial_die_full_name): Use typename_concat.
	(read_namespace): Ditto.
	(read_enumeration_type): Use typename_concat instead of obconcat.
	(new_symbol): Ditto.
	(add_partial_symbol): Enhance tests for C++ to also test for Java.
	(guess_structure_name): Ditto.
	(read_subroutine_type): Ditto.
	(read_structure_type): Ditto.
	(is_vtable_name): Add Java support.
	(determine_class_name): Switch to new typename_concat call.
	(determine_prefix): Switch to new typename_concat call.
	* jv-exp.y (FuncStart): New pattern.
	(MethodInvocation): Add support for simple function calls.  Change
	warning message for other forms of inferior call currently not
	supported.
	* valarith.c (value_subscript): Treat an array with upper-bound
	of -1 as unknown size.

2004-09-20  Daniel Jacobowitz  <dan@debian.org>

	* symtab.c (lookup_partial_symtab): Use psymtab_to_fullname.
	(lookup_partial_symtab): Use symtab_to_fullname.

2004-09-19  Jim Blandy  <jimb@redhat.com>

	* minsyms.c (lookup_minimal_symbol): Doc fix.

2004-09-20  Andrew Cagney  <cagney@gnu.org>

	* config/nm-lynx.h (DEPRECATED_CHILD_RESUME): Deprecate
	CHILD_RESUME.
	* config/i386/nm-linux.h (DEPRECATED_CHILD_RESUME): Ditto.
	* config/nm-linux.h (DEPRECATED_KILL_INFERIOR): Deprecate
	KILL_INFERIOR.
	* infptrace.c: Update.

2004-09-19  Daniel Jacobowitz  <dan@debian.org>

	* symtab.c (output_source_filename): Mark first argument as const.
	(sources_info): Use symtab_to_fullname and psymtab_to_fullname
	for "info sources" output.

2004-09-20  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/nm-fbsd.h, config/i386/nm-obsd.h: Don't include
	<machine/vmparam.h>.
	(KERNEL_U_ADDR, REGISTER_U_ADDR): Remove defines.
	(register_u_addr): Remove prototype.

2004-09-19  Mark Kettenis  <kettenis@gnu.org>

	* i386bsd-nat.c: Include "i386bsd-nat.h" and "inf-ptrace.h".
	(i386bsd_fetch_inferior_registers): Rename from
	fetch_inferior_registers.  Make static.
	(i386bsd_store_inferior_registers): Rename from
	store_inferior_registers.  Make static.
	(i386bsd_target): New function.
	* i386bsd-nat.h: New file.
	* i386fbsd-nat.c: Include "target.h", "fbsd-nat.h" and
	"i386bsd-nat.h".
	(i386fbsd_resume): Rename from child_resume.  Make static.
	(_initialize_i386fbsd_nat): Construct and add target vector.
	* i386nbsd-nat.c: Include "target.h" and "i386bsd-nat.h".
	(_initialize_i386nbsd_nat): Construct and add target vector.
	* config/i386/nm-fbsd.h: (CHILD_RESUME, CHILD_PID_TO_EXEC_FILE):
	Remove defines.
	* config/i386/fbsd.mh (NATDEPFILES): Add inf-child.o, inf-ptrace.o
	and fbsd-nat.o.  Remove inftarg.o and fbsd-proc.o.
	* config/i386/nbsdaout.mh (NATDEPFILES): Add inf-child.o,
	inf-ptrace.o, i386bsd-nat.o and bsd-kvm.o.  Remove inftarg.o.
	(LOADLIBES): New variable.
	* config/i386/nbsdelf.mh (NATDEPFILES): Add inf-child.o and
	inf-ptrace.o.  Remove inftarg.o.
	* config/i386/obsd.mh (NATDEPFILES): Add inf-child.o and
	inf-ptrace.o. Remove inftarg.o.
	* config/i386/obsdaout.mh (NATDEPFILES): Add inf-child.o,
	inf-ptrace.o, i386nbsd-nat.o and bsd-kvm.o.  Remove inftarg.o.
	(LOADLIBES): New variable.
	* Makefile.in (i386bsd_nat_h): New variable.
	(i386bsd-nat.o, i386fbsd-nat.o, i386nbsd-nat.o): Update
	dependencies.

	* sparc64nbsd-tdep.c: Include "objfiles.h".
	(sparc64nbsd_init_abi): Set in_solib_call_trampoline and
	skip_trampoline_code.  Set solib_svr4_fetch_link_map_offsets to
	svr4_lp64_fetch_link_map_offsets.
	* sparc64obsd-tdep.c: Include "objfiles.h".  Don't include
	"nbsd-tdep.h".
	(sparc64obsd_init_abi): Set in_solib_call_trampoline and
	skip_trampoline_code.  Set solib_svr4_fetch_link_map_offsets to
	svr4_lp64_fetch_link_map_offsets.
	* Makefile.in (sparc64nbsd-tdep.o, sparc64obsd-tdep.o): Update
	dependencies.

	* fbsd-nat.c: New files with cleaned up contents of fbsd-proc.c.
	* fbsd-nat.h: New file.
	* Makefile.in (ALLDEPFILES): Add fbsd-nat.c.
	(fbsd_nat_h): New variable.
	(fbsd-nat.o): New dependency.

	* config/sparc/nbsd64.mt, config/sparc/obsd.mt,
	config/sparc/obsd64.mt (DEPRECATED_TM_FILE): Set to solib.h.

	* inf-child.c (inf_child_post_wait): Remove stray whitespace in
	comment.

2004-09-18  Paul N. Hilfinger  <hilfinger@gnat.com>
	
	* ada-exp.y (type_int): New function to add layer of abstraction
	around references to expression types.
	(type_long): Ditto.
	(type_long_long): Ditto.
	(type_float): Ditto.
	(type_double): Ditto.
	(type_long_double): Ditto.
	(type_char): Ditto.
	(type_system_address): Ditto.
	(simple_exp): Use type_* functions in place of builtin_* 
	variables.
	(exp): Ditto.
	(write_var_from_name): Ditto.
	(write_object_renaming): Ditto.
	* ada-lang.c (ada_create_fundamental_type): Remove redundant
	declaration.
	(build_ada_types): Remove, replacing with...
	(ada_language_arch_info): New function to initialize primitive
	type vector in language_arch_info.
	(ada_array_length): Remove use of builtin_type_ada_int.
	(value_pos_atr): Ditto.
	(ada_evaluate_subexp): Ditto.
	(builtin_type_ada_int, builtin_type_ada_short, builtin_type_ada_long,
	builtin_type_ada_long_long, builtin_type_ada_char, 
	builtin_type_ada_float, builtin_type_ada_double, 
	builtin_type_ada_long_double, builtin_type_ada_natural,
	builtin_type_ada_positive, builtin_type_ada_system_address): Remove.
	(ada_builtin_types): Remove.
	(ada_language_defn): Remove entries for la_builtin_type_vector and
	string_char_type and use ada_language_arch_info.
	(_initialize_ada_language): Do type-vector initialization along
	the lines of c-lang.c.
	(ada_create_fundamental_type): Break up line.
	(ada_dump_symtab): Remove unused function.
	(enum ada_primitive_types): Define.
	* ada-lang.h (builtin_type_ada_int, builtin_type_ada_short, 
	builtin_type_ada_long,builtin_type_ada_long_long,builtin_type_ada_char, 
	builtin_type_ada_float, builtin_type_ada_double, 
	builtin_type_ada_long_double, builtin_type_ada_natural,
	builtin_type_ada_positive, builtin_type_ada_system_address): Remove.
	* ada-lex.l: Use type_* functions in place of builtin_* variables.
	(processInt): Ditto.
	(processReal): Ditto.
	(name_lookup): Ditto.
	* ada-typeprint.c (print_range): Use builtin_type_int, not
	builtin_type_ada_int.
	
2004-09-18  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.c (i386_register_name): Rename regno to regnum.

	* config/pa/hpux1020.mh (MH_CFLAGS): Remove -D__HP_CURSES.
	* config/pa/hpux11.mh (MH_CFLAGS): Likewise.
	* config/pa/hpux11w.mh (MH_CFLAGS): Likewise.
	* configure.in: Improve checks for curses library by checking for
	mvwaddstr instead of initscr.  Drop HP curses in favour of
	standard curses on HP-UX.
	* configure: Regenerated.

2004-09-18  Paul N. Hilfinger  <hilfinger@gnat.com>

	* ada-lang.c: (ada_main_name, ada_value_slice_ptr, ada_value_slice,
	ada_breakpoint_rewrite, ada_template_to_fixed_record_type_1): 
	Minor formatting changes.
	(empty_array): Slight rewrite for formatting.
	(emit_char,parse,ada_language_defn,build_ada_types,
	ada_is_exception_sym, _initialize_ada_language): Move 
	definitions around.
	(ada_dump_symtab): Remove unused definition.
	(ada_maybe_exception_partial_symbol): Remove unused definition.

2004-09-16  Andrew Cagney  <cagney@gnu.org>

	* inf-child.c: Include "gdb_string.h".
	(inf_child_core_file_to_sym_file): Delete.
	(inf_child_target): Set to_fetch_registers and to_store_registers.
	* inf-ptrace.c: Include "gdb_string.h".
	* Makefile.in: Update all dependencies.

	* Makefile.in (gnu-v3-abi.o): Add explict rule to avoid -Werror
	problem.

2004-09-14  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips_insn32_frame_cache): Pass frame cache in
	call to heuristic_proc_desc. Remove code that became redundant
	as a consequence.
	(read_next_frame_reg): Remove special case for SP_REGNUM.
	(set_reg_offset): Fix small typo.
	(reset_saved_regs): New procedure.
	(mips32_heuristic_proc_desc): No longer compute a fake
	procedure descriptor. Compute the full frame cache instead.
	Some minor comment reformatting.

2004-09-14  Andrew Cagney  <cagney@gnu.org>

	* MAINTAINERS: Add Michael Chastain as the backup gdb.threads
	maintainer.

	* thread-db.c (thread_db_new_objfile): Assume that there is a
	child process.

2004-09-13  Jim Blandy  <jimb@redhat.com>

	* valops.c (value_assign): Move 'buffer' to the enclosing block,
	so that its storage isn't referenced after its lifetime ends.

	* valops.c (value_assign): 'use_buffer' is initialized to zero,
	and never assigned to.   Delete it, and the 'if (use_buffer)'
	clauses.  Delete 'raw_buffer', since it is now unused.

2004-09-13  Andrew Cagney  <cagney@gnu.org>

	* configure.in (frags): Replace TM_FILE with DEPRECATED_TM_FILE.
	* configure: Re-generate.
	* nlm/Makefile.in (TAGS): Update.
	* Makefile.in (TAGS): Update.
	* config/vax/nbsd.mt (TM_FILE): Update.
	* config/sparc/vxworks.mt (TM_FILE): Update.
	* config/sparc/sol2.mt (TM_FILE): Update.
	* config/sparc/sol2-64.mt (TM_FILE): Update.
	* config/sparc/obsd64.mt (TM_FILE): Update.
	* config/sparc/obsd.mt (TM_FILE): Update.
	* config/sparc/nbsd64.mt (TM_FILE): Update.
	* config/sparc/nbsd.mt (TM_FILE): Update.
	* config/sparc/linux64.mt (TM_FILE): Update.
	* config/sparc/linux.mt (TM_FILE): Update.
	* config/sparc/fbsd.mt (TM_FILE): Update.
	* config/sh/wince.mt (TM_FILE): Update.
	* config/sh/nbsd.mt (TM_FILE): Update.
	* config/sh/linux.mt (TM_FILE): Update.
	* config/sh/embed.mt (TM_FILE): Update.
	* config/s390/s390.mt (TM_FILE): Update.
	* config/rs6000/rs6000lynx.mt (TM_FILE): Update.
	* config/rs6000/rs6000.mt (TM_FILE): Update.
	* config/rs6000/aix4.mt (TM_FILE): Update.
	* config/powerpc/vxworks.mt (TM_FILE): Update.
	* config/powerpc/ppc-sim.mt (TM_FILE): Update.
	* config/powerpc/ppc-eabi.mt (TM_FILE): Update.
	* config/powerpc/obsd.mt (TM_FILE): Update.
	* config/powerpc/nbsd.mt (TM_FILE): Update.
	* config/powerpc/linux.mt (TM_FILE): Update.
	* config/powerpc/aix.mt (TM_FILE): Update.
	* config/pa/obsd.mt (TM_FILE): Update.
	* config/pa/linux.mt (TM_FILE): Update.
	* config/pa/hppahpux.mt (TM_FILE): Update.
	* config/pa/hppa64.mt (TM_FILE): Update.
	* config/pa/hppa.mt (TM_FILE): Update.
	* config/ns32k/nbsdaout.mt (TM_FILE): Update.
	* config/mips/wince.mt (TM_FILE): Update.
	* config/mips/vxmips.mt (TM_FILE): Update.
	* config/mips/nbsd.mt (TM_FILE): Update.
	* config/mips/linux.mt (TM_FILE): Update.
	* config/mips/irix6.mt (TM_FILE): Update.
	* config/mips/irix5.mt (TM_FILE): Update.
	* config/mips/embed.mt (TM_FILE): Update.
	* config/m68k/vxworks68.mt (TM_FILE): Update.
	* config/m68k/st2000.mt (TM_FILE): Update.
	* config/m68k/os68k.mt (TM_FILE): Update.
	* config/m68k/obsd.mt (TM_FILE): Update.
	* config/m68k/nbsd.mt (TM_FILE): Update.
	* config/m68k/monitor.mt (TM_FILE): Update.
	* config/m68k/linux.mt (TM_FILE): Update.
	* config/m68k/cisco.mt (TM_FILE): Update.
	* config/ia64/linux.mt (TM_FILE): Update.
	* config/ia64/aix.mt (TM_FILE): Update.
	* config/ia64/ia64.mt (TM_FILE): Update.
	* config/i386/vxworks.mt (TM_FILE): Update.
	* config/i386/obsd64.mt (TM_FILE): Update.
	* config/i386/obsd.mt (TM_FILE): Update.
	* config/i386/nto.mt (TM_FILE): Update.
	* config/i386/nbsd64.mt (TM_FILE): Update.
	* config/i386/nbsd.mt (TM_FILE): Update.
	* config/i386/linux64.mt (TM_FILE): Update.
	* config/i386/linux.mt (TM_FILE): Update.
	* config/i386/i386sol2.mt (TM_FILE): Update.
	* config/i386/i386lynx.mt (TM_FILE): Update.
	* config/i386/fbsd64.mt (TM_FILE): Update.
	* config/i386/fbsd.mt (TM_FILE): Update.
	* config/i386/cygwin.mt (TM_FILE): Update.
	* config/h8300/h8300.mt (TM_FILE): Update.
	* config/frv/frv.mt (TM_FILE): Update.
	* config/cris/cris.mt (TM_FILE): Update.
	* config/arm/wince.mt (TM_FILE): Update.
	* config/arm/nbsd.mt (TM_FILE): Update.
	* config/arm/linux.mt (TM_FILE): Update.
	* config/arm/embed.mt (TM_FILE): Update.
	* config/alpha/nbsd.mt (TM_FILE): Update.
	* config/alpha/fbsd.mt (TM_FILE): Update.
	* config/alpha/alpha.mt (TM_FILE): Update.
	* config/alpha/alpha-osf1.mt (TM_FILE): Update.
	* config/alpha/alpha-linux.mt (TM_FILE): Update.

	Eliminate event_loop_p, always has the value 1.
	* defs.h (event_loop_p): Delete macro.
	* breakpoint.c (until_break_command): Simplify.
	* utils.c (prompt_for_continue): Simplify.
	* tracepoint.c (read_actions): Simplify.
	* top.c (throw_exception, execute_command, gdb_readline_wrapper) 
	(gdb_rl_operate_and_get_next, command_line_input, get_prompt) 
	(set_prompt, init_main): Simplify.
	(init_signals, disconnect): Delete, unused.
	* remote.c (remote_async_resume) 
	(extended_remote_async_create_inferior): Simplify.
	* mi/mi-interp.c (mi_input): Delete, unused.
	(mi_interpreter_resume, mi_command_loop): Simplify.
	* interps.c (current_interp_command_loop): Simplify.
	* infrun.c (proceed): Simplify.
	* infcmd.c (run_command, continue_command, step_1, jump_command)
	(until_command, advance_command, finish_command)
	(interrupt_target_command): Simplify.
	* event-top.c (gdb_setup_readline, gdb_disable_readline): Simplify.

	* config/i386/nm-i386.h (TARGET_HAS_HARDWARE_WATCHPOINTS): Delete.
	* config/s390/nm-linux.h (TARGET_HAS_HARDWARE_WATCHPOINTS): Delete.
	* config/pa/nm-hppah.h (TARGET_HAS_HARDWARE_WATCHPOINTS): Delete.
	* config/ia64/nm-linux.h (TARGET_HAS_HARDWARE_WATCHPOINTS): Delete.
	* config/frv/tm-frv.h (TARGET_HAS_HARDWARE_WATCHPOINTS): Delete.
	* mips-tdep.c (mips_dump_tdep): Do not print same.

2004-09-12  Andrew Cagney  <cagney@gnu.org>

	* valprint.c (print_longest): Use fputs_filtered.  Make "val"
	const.
	* Makefile.in (valprint.o): Delete explict rule.

	* config/m68k/nbsdelf.mh: Add missing trailing newline.  Problem
	reported by Dave Anderson.

	* target.c (target_info): Delete #ifdef call to FILES_INFO_HOOK.

	* inferior.h (STORE_STRUCT_RETURN): Delete macro.

2004-09-12  Salvador E. Tropea  <set@users.sf.net>
	    Andrew Cagney  <cagney@gnu.org>

	* mi/mi-main.c (mi_cmd_data_list_changed_registers)
	(mi_cmd_data_list_register_values)
	(mi_cmd_data_write_register_values): Include the PSEUDO_REGS in
	the register number computation.

2004-09-12  Andrew Cagney  <cagney@gnu.org>

	* ppcnbsd-nat.c: Include "inf-ptrace.h".
	(ppcnbsd_fetch_inferior_registers): Rename fetch_inferior_registers.
	(ppcnbsd_store_inferior_registers): Rename store_inferior_registers.
	(_initialize_ppcnbsd_nat): Create and add a NetBSD/PPC ptrace
	target.
	* config/powerpc/nbsd.mh (NATDEPFILES): Replace and inftarg.o with
	inf-ptrace.o and inf-child.o.
	* inf-ptrace.h, inf-ptrace.c, inf-child.h, inf-child.c: New files.
	* Makefile.in: Update dependencies.
	
2004-09-11  Andrew Cagney  <cagney@gnu.org>

	* language.c (hex_string, hex_string_custom): Move from here ...
	* utils.c (hex_string, hex_string_custom): ... to here, rewrite.
	(CELLSIZE): Increase to 50.
	* language.h (hex_string, hex_string_custom): Move from here ...
	* defs.h: ... to here.
	* Makefile.in: Update all dependencies.
	
2004-09-11  Paul N. Hilfinger  <hilfinger@gnat.com>

        * language.c (local_hex_format_custom): Remove.
	(local_hex_string): Rename to hex_string, use C format, and move to
	utils.c
	(local_hex_string_custom): Rename to hex_string_custom and change
	interface.  Now uses C format.  Move to utils.c
	(local_octal_format_custom): Remove.
	(local_decimal_format_custom): Remove.
	(unknown_language_defn): Remove language-specific number 
	formatting entries.
	(auto_language_defn): Ditto.
	(local_language_defn): Ditto.
	* language.h (struct language_format_info): Delete declaration.
	(struct language_defn): Remove language_format_info fields
	la_binary_format, la_octal_format, la_decimal_format, la_hex_format.
	(local_binary_format): Remove macro.
	(local_binary_format_prefix): Remove macro.
	(local_binary_format_specifier): Remove macro.
	(local_binary_format_suffix): Remove macro.
	(local_octal_format): Remove macro.
	(local_octal_format_prefix): Remove macro.
	(local_octal_format_specifier): Remove macro.
	(local_octal_format_suffix): Remove macro.
	(local_decimal_format): Remove macro.
	(local_decimal_format_prefix): Remove macro.
	(local_decimal_format_specifier): Remove macro.
	(local_decimal_format_suffix): Remove macro.
	(local_hex_format): Remove macro.
	(local_hex_format_prefix): Remove macro.
	(local_hex_format_specifier): Remove macro.
	(local_hex_format_suffix): Remove macro.
	(local_decimal_format_custom): Remove.
	(local_octal_format_custom): Remove.
	(local_hex_format_custom): Remove.
	(local_hex_string): Rename to hex_string and move to defs.h.
	(local_hex_string_custom): Rename to hex_string_custom, change
	interface, and move to defs.h.
	* utils.c: (int_string): New function.
	(hex_string): New function (from language.c).
	(hex_string_custom): New function (from language.c).
	(octal2str): New function.
	(decimal2str): Add width parameter.
	(paddr_u): Use new decimal2str interface.
	(paddr_d): Ditto.
	* defs.h (hex_string): Declare.
	(hex_string_custom): Declare.
	(int_string): Declare.
	* printcmd.c (print_scalar_formatted): Remove localized binary
	formatting.
	* valprint.c (print_longest): Use int_string.
	(print_floating): Use C hex format.
	(print_hex_chars): Ditto.
	(print_binary_chars): Remove language-specific formatting.
	(print_octal_chars): Use C octal format.
	(print_decimal_chars): Delocalize format.
	(print_decimal): Remove.
	* ada-lang.c (ada_language_defn): Remove language-specific number 
	formatting entries.
	* p-lang.c (pascal_language_defn): Ditto.
	* c-lang.c (c_language_defn): Ditto.
	(cplus_language_defn): Ditto.
	(asm_language_defn): Ditto.
	(minimal_language_defn): Ditto.
	* f-lang.c (f_language_defn): Ditto.
	* jv-lang.c (java_language_defn): Ditto.
	* m2-lang.c (m2_language_defn): Ditto.
	* scm-lang.c (scm_language_defn): Ditto.
	* objc-lang.c (objc_language_defn): Ditto.
	* memattr.c (mem_info_command): Use renamed hex_string_custom with
	new interface.
	* pa64solib.c (pa64_sharedlibrary_info_command): Ditto.
	* ui-out.c (ui_out_field_core_addr): Ditto.
	* breakpoint.c (breakpoint_adjustment_warning): Ditto.
	* exec.c (print_section_info): Ditto.
	* i387-tdep.c (print_i387_status_word): Ditto.
	(print_i387_control_word): Ditto.
	(i387_print_float_info): Ditto.
	* maint.c (maint_print_section_info): Ditto.
	* solib.c (info_sharedlibrary_command): Ditto.
	* somsolib.c (som_sharedlibrary_info_command): Ditto.
	* symtab.c (print_msymbol_info): Ditto.
	* tracepoint.c (tracepoints_info): Ditto.
	* solib-frv.c (lm_base): Ditto.
	(frv_current_sos): Ditto.
	(enable_break2): Ditto.
	(enable_break): Ditto.
	* dbxread.c (read_dbx_symtab): Use renamed hex_string.
	(process_one_symbol): Ditto.
	* infcmd.c (program_info): Ditto.
	* mdebugread.c (parse_partial_symbols): Ditto.
	* symfile.c (add_symbol_file_command): Ditto.
	* cli/cli-cmds.c (edit_command): Ditto.
	(list_command): Ditto.
	* infcall.c (call_function_by_hand): Ditto.
	* remote-vx.c (vx_run_files_info): Ditto.
	(vx_wait): Ditto.
	(vx_attach): Ditto.
	(vx_detach): Ditto.
	(vx_kill): Ditto.
	* aix-thread.c (pdc_symbol_addrs): Ditto.
	(pdc_read_regs): Ditto.
	(pdc_write_regs): Ditto.
	(pdc_read_data): Ditto.
	(pdc_write_data): Ditto.
	* d10v-tdep.c (display_trace): Ditto.
	* rs6000-nat.c (find_toc_address): Ditto.
	* aix-thread.c: Don't include language.h.
	* buildsym.c: Ditto.
	* dbxread.c: Ditto.
	* mdebugread.c: Ditto.
	* rs6000-nat.c: Ditto.
	* buildsym.c (make_blockvector): Use renamed hex_string.
	
2004-09-10  Jason Molenda  (jmolenda@apple.com)

        * cli/cli-script.c (read_next_line): Accept zero or more whitespace
        chars after 'if' or 'while' commands in user-defined commands.

2004-09-08  Jim Blandy  <jimb@redhat.com>

        Fix bug reported and analyzed by Olivier Crete:
	* symfile.c (copy_section_addr_info): New function.
	(symbol_file_add_with_addrs_or_offsets): Use it to save the
	original set of address arguments, instead of handwritten code
	that uses one length to allocate and a different length to
	initialize.  Use make_cleanup_free_section_addr_info.
	* symfile.h (copy_section_addr_info): New declaration.
	* utils.c: #include "symfile.h".
	(do_free_section_addr_info, make_cleanup_free_section_addr_info):
	New functions.
	* defs.h (make_cleanup_free_section_addr_info): New declaration.
	* Makefile.in (utils.o): Update dependencies.

2004-09-08  Andrew Cagney  <cagney@gnu.org>

	* thread-db.c (keep_thread_db): Delete.
	(thread_db_new_objfile, thread_db_create_inferior)
	(thread_db_mourn_inferior): Simplify assuming !keep_thread_db.

2004-09-08  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.h (FPC_REGNUM, FCTRL_REGNUM, FSTAT_REGNUM, FTAG_REGNUM)
	(FISEG_REGNUM, FIOFF_REGNUM, FOSEG_REGNUM, FOOFF_REGNUM)
	(FOP_REGNUM, XMM0_REGNUM, MXCSR_REGNUM): Remove macros.
	(i386_frameless_signal_p): Remove prototype.
	* i386-linux-nat.c (GETFPREGS_SUPPLIES): Remove macro.
	(GETFPXREGS_SUPPLIES): Define using I386_ST0_REGNUM and
	I386_SSE_NUM_REGS.
	* i386-nto-tdep.c (i386nto_supply_gregset): Use I386_NUM_GREGS
	instead of FP0_REGNUM.
	(i386nto_regset_id): Use I386_NUM_GREGS and I386_NUM_FREGS instead
	of FP0_REGNUM and FPC_REGNUM.

	* solib-sunos.c (sunos_relocate_main_executable): Remove function.
	(sunos_solib_create_inferior_hook): Don't call
	sunos_relocate_main_executable.

	* sparcnbsd-tdep.c (sparc32nbsd_elf_init_abi): Set
	solib_svr4_fetch_link_map_offsets to
	svr4_ilp32_fetch_link_map_offsets.
	* sparcobsd-tdep.c: Don't include "nbsd-tdep.h".
	(sparc32obsd_init_abi): Set solib_svr4_fetch_link_map_offsets to
	svr4_ilp32_fetch_link_map_offsets.
	* Makefile.in (sparcobsd-tdep.o): Update dependencies.

2004-09-07  Jim Blandy  <jimb@redhat.com>

	* frame.h (frame_register): Doc fix.

2004-09-07  Andrew Cagney  <cagney@gnu.org>

	* vx-share/wait.h: Delete #ifdef USG.
	* utils.c (request_quit): Ditto.
	* tui/tui.c (tui_reset): Ditto.
	* remote.c: Ditto.
	* remote-sds.c: Ditto.
	* remote-rdi.c: Ditto.
	* mdebugread.c: Ditto.
	* m68klinux-nat.c: Ditto.
	* infttrace.c: Ditto.
	* infptrace.c: Ditto.
	* i386v-nat.c: Ditto.
	* exec.c: Ditto.
	* dbxread.c: Ditto.
	* core-aout.c: Ditto.

2004-09-05  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips_insn16_frame_cache): Fix parameter in call to
	heuristic_proc_desc.
	(mips_insn32_frame_cache): Likewise.

2004-09-04  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips32_heuristic_proc_desc): Remove code that was
	left behind by error.

2004-09-04  Joel Brobecker  <brobecker@gnat.com>

	* config/alpha/nm-osf.h (PTRACE_ARG3_TYPE): Remove define.
	* config/powerpc/nm-aix.h (PTRACE_ARG3_TYPE): Likewise.

2004-09-04  Joel Brobecker  <brobecker@gnat.com>

	* config/rs6000/xm-aix4.h: Remove this file.
	* config/rs6000/aix4.mh (XM_FILE): Delete.

2004-09-04  Joel Brobecker  <brobecker@gnat.com>

	* config/rs6000/xm-rs6000.h: Remove this file.
	* config/rs6000/rs6000.mh (XM_FILE): Remove.

2004-09-03  Andrew Cagney  <cagney@gnu.org>

	* mips-tdep.c (PROC_DESC_IS_DUMMY, SET_PROC_DESC_IS_DUMMY)
	(_PROC_MAGIC_, after_prologue, mips_dump_tdep): Delete macros and
	only use.

	* mips-tdep.c (temp_saved_regs): Delete.
	(set_reg_offset): Replace saved_regs parameter with this_cache.
	(heuristic_proc_desc, mips16_heuristic_proc_desc)
	(mips32_heuristic_proc_desc): Add this_cache parameter.
	(mips_insn32_frame_cache, mips_insn16_frame_cache)
	(after_prologue): Pass a NULL this_cache.

	* mips-tdep.c (mips_mdebug_frame_cache): Delete code handling
	non-kernel trap prologues.

	* mips-tdep.c (find_proc_desc): Delete function.
	(mips_mdebug_frame_cache): Inline call to find_proc_desc,
	simplify.
	(mips_insn16_frame_cache): Replace find_proc_desc with code from
	mips_insn32_frame_cache.

	* mips-tdep.c (after_prologue): Inline call to find_proc_desc.
	Simplify as NEXT_FRAME is NULL.
	(find_proc_desc): Simplify as NEXT_FRAME is non-NULL.

	* mips-tdep.c (after_prologue): Replace proc_desc parameter with
	local variable.
	(mips_skip_prologue): Update.

	* mips-tdep.c (find_proc_desc, heuristic_proc_desc): Delete
	"cur_frame" parameter.
	(after_prologue, mips_mdebug_frame_cache, mips_insn16_frame_cache):
	(mips_insn32_frame_cache, find_proc_desc): Update

	* config/vax/nm-obsd.h: Delete file.
	* config/vax/obsd.mh (NAT_FILE): Set to config/nm-bsd.h.
	* config/vax/nm-nbsd.h: Delete file.
	* config/vax/nm-nbsdaout.h: Include config/nm-nbsd.h.
	* config/vax/nbsdelf.mh (NAT_FILE): Set to config/nm-nbsd.h.
	* config/sh/nm-nbsd.h: Delete file.
	* config/sh/nbsd.mh (NAT_FILE): Set to config/nm-nbsd.h.
	* config/rs6000/nm-rs6000ly.h: Delete file.
	* config/djgpp/fnchange.lst: Do not rename nm-rs6000ly.h.
	* config/rs6000/rs6000lynx.mh (NAT_FILE): Set to config/nm-lynx.h.
	* config/powerpc/nm-obsd.h: Delete file.
	* config/powerpc/obsd.mh (NAT_FILE): Set to config/nm-bsd.h.
	* config/powerpc/nm-nbsd.h: Delete file.
	* config/powerpc/nbsd.mh (NAT_FILE): Set to config/nm-nbsd.h.
	* config/pa/nm-obsd.h: Delete file.
	* config/pa/obsd.mh (NAT_FILE): Set to config/nm-bsd.h.
	* config/mips/nm-nbsd.h: Delete file.
	* config/mips/nbsd.mh (NAT_FILE): Set to config/nm-nbsd.h.
	* config/m88k/nm-obsd.h: Delete file.
	* config/m88k/obsd.mh (NAT_FILE): Set to config/nm-bsd.h.
	* config/m68k/nm-nbsd.h: Delete file.
	* config/m68k/nm-nbsdaout.h: Include config/nm-nbsd.h.
	* config/m68k/nbsdelf.mh (NAT_FILE): Set to config/nm-nbsd.h.
	* config/i386/nm-nbsd.h: Delete file.
	* config/i386/nm-nbsdaout.h: Include config/nm-nbsd.h.
	* config/i386/obsd64.mh (NAT_FILE): Set to config/nm-nbsd.h.
	* config/i386/nbsd64.mh (NAT_FILE): Set to config/nm-nbsd.h.
	* config/i386/nbsdelf.mh (NAT_FILE): Set to config/nm-nbsd.h.
	* config/i386/nm-i386lynx.h: Delete file.
	* config/i386/i386lynx.mh (NAT_FILE): Set to config/nm-lynx.h.
	* config/arm/nm-nbsd.h: Delete file.
	* config/arm/nm-nbsdaout.h: Include config/nm-nbsd.h.
	* config/arm/nbsdelf.mh (NAT_FILE): Set to config/nm-nbsd.h.

	* config/i386/tm-fbsd.h: Delete file.
	* config/i386/fbsd64.mt (TM_FILE): Set to solib.h.
	* config/i386/fbsd.mt (TM_FILE): Set to solib.h.

	* config/rs6000/tm-rs6000-aix4.h: Delete file.
	* config/djgpp/fnchange.lst: Do not rename tm-rs6000-aix4.h.
	* config/rs6000/aix4.mt (TM_FILE): Set to
	config/rs6000/tm-rs6000.h.
	* config/powerpc/tm-ppc-aix.h: Delete file.
	* config/powerpc/aix.mt (TM_FILE): Set to
	config/rs6000/tm-rs6000.h.
	* config/m68k/tm-linux.h: Delete file.
	* config/m68k/linux.mt (TM_FILE): Set to solib.h
	* config/i386/tm-linux64.h: Delete file.
	* config/i386/linux64.mt (TM_FILE): Set to solib.h.
	* config/djgpp/fnchange.lst: Do not rename tm-linux.h.
	
	* config/m68k/tm-linux.h (SVR4_SHARED_LIBS): Delete.
	* config/i386/tm-linux64.h (SVR4_SHARED_LIBS): Delete.
	* config/i386/nm-i386sco5.h (SVR4_SHARED_LIBS): Delete.
	* config/tm-linux.h (SVR4_SHARED_LIBS): Delete.
	* config/nm-sysv4.h (SVR4_SHARED_LIBS): Delete.
	* config/nm-linux.h (SVR4_SHARED_LIBS): Delete.
	* config/nm-gnu.h (SVR4_SHARED_LIBS): Delete.
	* sh64-tdep.c [SVR4_SHARED_LIBS]: Delete #ifdef wrapper. 
	* sh-tdep.c [SVR4_SHARED_LIBS]: Delete #ifdef wrapper.

	* configure.in (GDB_TM_FILE): Fix typo, use gdb_target_cpu and not
	gdb_host_cpu.

2004-09-02  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips_insn32_frame_cache): Remove some dead code.
	Minor reformatting. Some code factoring.

2004-09-02  Andrew Cagney  <cagney@gnu.org>

	* config/vax/nbsd.mt (TM_FILE): Set to solib.h.
	* config/vax/tm-nbsd.h: Delete file.
	* config/sparc/vxworks.mt (TM_FILE): Set to config/tm-vxworks.h.
	* config/sparc/tm-vxworks.h: Delete file.
	* config/sparc/nbsd.mt (TM_FILE): Set to solib.h.
	* config/sparc/tm-nbsd.h: Delete file.
	* config/sparc/linux64.mt (TM_FILE): Set to solib.h.
	* config/sparc/linux.mt (TM_FILE): Set to solib.h.
	* config/sparc/tm-linux.h: Delete file.
	* config/s390/s390.mt (TM_FILE): Set to config/tm-linux.h
	* config/s390/tm-linux.h: Delete file.
	* config/pa/obsd.mt (TM_FILE): Set to solib.h.
	* config/pa/tm-bsd.h: Delete file.
	* config/m68k/obsd.mt (TM_FILE): Set to solib.h.
	* config/m68k/tm-obsd.h: Delete file.
	* config/m68k/nbsd.mt (TM_FILE): Set to solib.h.
	* config/m68k/tm-nbsd.h: Delete file.
	* config/i386/vxworks.mt (TM_FILE): Set to config/tm-vxworks.h.
	* config/i386/tm-vxworks.h: Delete file.
	* config/i386/obsd64.mt (TM_FILE): Set to solib.h.
	* config/i386/obsd.mt (TM_FILE): Set to solib.h.
	* config/i386/nbsd64.mt (TM_FILE): Set to solib.h.
	* config/i386/nbsd.mt (TM_FILE): Set to solib.h.
	* config/i386/tm-nbsd.h: Delete file.
	* config/i386/i386lynx.mt (TM_FILE): Set to config/tm-lynx.h.
	* config/i386/tm-i386lynx.h: Delete file.
	* config/cris/cris.mt (TM_FILE): Set to solib.h.
	* config/cris/tm-cris.h: Delete file.

	* configure.in: Let TM_FILE, XM_FILE and NAT_FILE specify a path.
	* configure: Re-generate.
	* config/arm/nbsd.mt (TM_FILE): Set to "solib.h".
	* config/arm/tm-nbsd.h: Delete file.
	
	* config/powerpc/tm-ppcle-sim.h: Delete.
	* config/powerpc/tm-ppcle-eabi.h: Delete.
	* config/powerpc/tm-nbsd.h: Delete.
	* config/powerpc/nbsd.mt (TM_FILE): Set to tm-ppc-eabi.h.
	* config/djgpp/fnchange.lst: Do not rename tm-ppcle-sim.h or
	tm-ppcle-eabi.h.

	* config/i386/nto.mh (NAT_FILE): Delete.
	* config/i386/nm-nto.h: Delete.

	* config/m68k/tm-vx68.h: Do not include "tm-m68k.h".
	* config/m68k/tm-os68k.h: Ditto.
	* config/m68k/tm-monitor.h: Ditto.
	* config/m68k/tm-cisco.h: Ditto.
	* config/m68k/st2000.mt (TM_FILE): Delete.
	* config/m68k/tm-vx68.h (GET_LONGJMP_TARGET): Delete.
	* config/m68k/tm-cisco.h (GET_LONGJMP_TARGET): Delete.
	* config/m68k/tm-m68k.h (m68k_get_longjmp_target): Delete file.
	* m68k-tdep.c (m68k_get_longjmp_target): Make static.

	* config/m68k/tm-st2000.h: Delete.
	* config/m68k/st2000.mt (TM_FILE): Set to tm-m68k.h.
	* config/sparc/fbsd.mt (TM_FILE): Delete.
	* config/sparc/tm-fbsd.h: Delete.

	* acconfig.h (GDB_MULTI_ARCH): Delete undef.
	* defs.h (GDB_MULTI_ARCH_PARTIAL, GDB_MULTI_ARCH_TM) 
	(GDB_MULTI_ARCH_PURE, GDB_MULTI_ARCH): Delete macros.

	* gdbarch.sh: Instead of GDB_MULTI_ARCH print GDB_NM_FILE,
	GDB_TM_FILE and GDB_XM_FILE.
	* gdbarch.c: Re-generate.	
	* configure.in (GDB_XM_FILE, GDB_NM_FILE, GDB_TM_FILE): Include
	quotes in macro definition.
	* configure.in: Re-generate.

	* gdbarch.sh: Delete check for GDB_MULTI_ARCH_PARTIAL when
	validating architecture methods.
	* gdbarch.c: Re-generate.
	
	* gdbarch.sh: Delete check for consistency between GDB_MULTI_ARCH
	and GDB_TM_FILE.  Check for GDB_TM_FILE instead of
	GDB_MULTI_ARCH_PARTIAL.
	* gdbarch.h: Re-generate.
	
	* config/sparc/tm-vxworks.h (GDB_MULTI_ARCH): Delete.
	* config/sparc/tm-sol2.h (GDB_MULTI_ARCH): Delete.
	* config/sparc/tm-nbsd.h (GDB_MULTI_ARCH): Delete.
	* config/sparc/tm-linux.h (GDB_MULTI_ARCH): Delete.
	* config/sparc/tm-fbsd.h (GDB_MULTI_ARCH): Delete.
	* config/sh/tm-sh.h (GDB_MULTI_ARCH): Delete.
	* config/rs6000/tm-rs6000.h (GDB_MULTI_ARCH): Delete.
	* config/pa/tm-hppa.h (GDB_MULTI_ARCH): Delete.
	* config/mips/tm-mips.h (GDB_MULTI_ARCH): Delete.
	* config/ia64/tm-ia64.h (GDB_MULTI_ARCH): Delete.
	* config/cris/tm-cris.h (GDB_MULTI_ARCH): Delete.
	* config/arm/tm-arm.h (GDB_MULTI_ARCH): Delete.

2004-09-01  Andrew Cagney  <cagney@gnu.org>

	* objfiles.h (struct entry_info): Delete fields main_func_lowpc
	and main_func_highpc.
	(INVALID_ENTRY_LOWPC, INVALID_ENTRY_HIGHPC): Delete macros.
	* objfiles.c (init_entry_point_info, objfile_relocate): Update
	* nlmread.c (nlm_symfile_read): Update.

2004-09-01  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (linked_proc_desc_table): Delete, not used.
	(mips_insn32_frame_cache): Inline call to find_proc_desc.
	(find_proc_desc): Remove dead code.

2004-09-01  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips_mdebug_frame_cache): Minor reformatting.

2004-09-01  Jeff Johnston  <jjohnstn@redhat.com>

	* observer.sh: Add struct so_list declaration.
	* Makefile.in: Add dependencies on observer.h for solib.c and
	breakpoint.c.
	* breakpoint.c (disable_breakpoints_in_unloaded_shlib): New
	function.
	(_initialize_breakpoint): Register 
	disable_breakpoints_in_unloaded_shlib as an observer of the 
        "solib unloaded" observation event.
	(re_enable_breakpoints_in_shlibs): For bp_shlib_disabled breakpoints,
	call decode_line_1 so unfound breakpoint errors are silent.
	* solib.c (update_solib_list): When a solib is discovered to have
	been unloaded by the program, notify all observers of the
	"solib unloaded" observation event.

2004-09-01  Andrew Cagney  <cagney@gnu.org>

	* frame.c: Include "objfiles.h".
	(inside_main_func): New function.
	(get_prev_frame): Use new inside_main_func.
	* Makefile.in (frame.o): Update dependencies.
	* defs.h (inside_main_func): Delete declaration.
	* blockframe.c (inside_main_func): Delete function.

2004-08-31  Jim Blandy  <jimb@redhat.com>

	* dwarf2read.c (is_vtable_name): New function, based on logic from
	read_structure_type, but passing the correct length to strncmp,
	and using 'sizeof' instead of 'strlen'.
	(read_structure_type): Call it.

2004-08-31  Joel Brobecker  <brobecker@gnat.com>

	* config/powerpc/aix.mh: Add comment.

2004-08-31  Paul GIlliam  <pgilliam@us.ibm.com>

	* MAINTAINERS: Add self to Write-After-Approval.

2004-08-30  Manoj Iyer  <manjo@austin.ibm.com>

	* MAINTAINERS: Add self to Write-After-Approval.

2004-08-30  Andrew Cagney  <cagney@gnu.org>

	Fix PR breakpoints/1757.
	* infrun.c (struct execution_control_state): Replace
	remove_breakpoints_on_following_step with
	step_after_step_resume_breakpoint.
	(init_execution_control_state): Update.
	(handle_inferior_event): For signals, when stepping off a
	breakpoint, set step_after_step_resume_breakpoint.  When
	BPSTAT_WHAT_STEP_RESUME, do a single-step off the breakpoint.
	(keep_going): Delete code handling
	remove_breakpoints_on_following_step.

2004-08-29  David Lecomber  <david@streamline-computing.com>
	
	Fix PR gdb/648
	* language.h (enum array_ordering): New enum.
	* language.h (struct language_defn): New la_array_ordering 
	attribute.
	* language.c (unknown_language_defn, auto_language_defn)
	(local_language_defn): Ditto.
	* ada-lang.c (ada_language_defn): Ditto.
	* c-lang.c (c_language_defn, cplus_language_defn)
	(asm_language_defn, minimal_language_defn): Ditto.
	* f-lang.c (f_language_defn): Ditto.
	* jv-lang.c (java_language_defn): Ditto.
	* m2-lang.c (f_language_defn): Ditto.
	* objc-lang.c (objc_language_defn): Ditto.
	* p-lang.c (pascal_language_defn): Ditto.
	* scm-lang.c (scm_language_defn): Ditto.
	* eval.c (evaluate_subexp_standard): Assume Fortran arrays are
	oriented large to small in type structure.
	* dwarf2read.c (read_array_order): New function.
	(read_array_type): Use read_array_order to check row/column
	major ordering.

2004-08-27  Nathan J. Williams  <nathanw@wasabisystems.com>

	* target.c (target_resize_to_sections): Check
	current_target.to_sections for an old value when updating.

2004-08-27  Joel Brobecker  <brobecker@gnat.com>

	* procfs.c (dbx_link_bpt_addr): New static global variable.
	(dbx_link_shadow_contents): New static global variable.
	(procfs_wait, case <PR_SYSEXIT>): Handle syssgi events.
	(procfs_wait, case <FLTBPT>): Remove the __dbx_link brekapoint
	if we just hit it.
	(procfs_init_inferior): Enable syssgi() syscall trace if appropriate.
	Reset dbx_link_bpt_addr as the address of __dbx_link() may change
	from run to run.
	(procfs_create_inferior): Remove syssgi syscall-exit notifications
	after the inferior has been forked.
	(remove_dbx_link_breakpoint): New function.
	(dbx_link_addr): New function.
	(insert_dbx_link_bpt_in_file): New function.
	(insert_dbx_link_bpt_in_region): New function.
	(insert_dbx_link_breakpoint): New function.
	(proc_trace_syscalls_1): New function, extracted from
	proc_trace_syscalls.
	(proc_trace_syscalls): Replace extract code by call to
	proc_trace_syscalls_1.
	* solib-irix.c (disable_break): Remove stop_pc assertion, as it
	is no longer valid.

2004-08-25  Jim Blandy  <jimb@redhat.com>

	* gdbtypes.h (TYPE_CODE_ARRAY): Doc fix.

2004-08-25  Andrew Cagney  <cagney@gnu.org>

	* infrun.c (struct execution_control_state): Delete field
	"stepping_through_sigtramp".
	(init_execution_control_state): Do not set same.
	(context_switch): Do not pass same to save_infrun_state and
	load_infrun_state.
	* gdbthread.h (struct thread_info): Delete field
	stepping_through_sigtramp.
	(save_infrun_state, load_infrun_state): Delete parameter
	stepping_through_sigtramp.
	* thread.c (load_infrun_state, save_infrun_state): Update.

	* infrun.c: Re-indent.  Move expression operators to the beginning
	of the line.  Remove long disabled #if 0 code.

2004-08-24  Andrew Cagney  <cagney@gnu.org>

	* doublest.h (floatformat_ieee_quad): Rename
	floatformat_ia64_quad.
	* doublest.c (floatformat_ieee_quad): Rename
	floatformat_ia64_quad.
	(_initialize_doublest): Update.

2004-08-24  Jim Blandy  <jimb@redhat.com>

	* dwarf2expr.h (struct dwarf_expr_context): New members
	'num_pieces' and 'pieces', for returning the result of an
	expression that uses DW_OP_piece.
	(struct dwarf_expr_piece): New struct type.
	* dwarf2expr.c (new_dwarf_expr_context): Initialize num_pieces and
	pieces.
	(free_dwarf_expr_context): Free pieces, if any.
	(add_piece): New function.
	(execute_stack_op): Implement DW_OP_piece.
	* dwarf2loc.c (dwarf2_evaluate_loc_desc): If the result of the
	expression is a list of pieces, print an error message.
        (dwarf2_loc_desc_needs_frame): If the expression yields
        pieces, and any piece is in a register, then we need a frame.

	* dwarf2loc.c (dwarf2_evaluate_loc_desc): Wait to fetch the top of
	the stack until we've decided what sort of result the evaluation
	has produced.  Use separate variables, with more specific names.

2004-08-23  Richard Earnshaw  <rearnsha@arm.com>

	* armnbsd-tdep.c (arm_nbsd_arm_be_breakpoint): Define.
	(arm_nbsd_thumb_[lb]e_breakpoint): Define.
	(arm_netbsd_init_abi_common): Register them.

2004-08-22  Mark Kettenis  <kettenis@gnu.org>

	* config/vax/vax.mh (NATDEPFILES): Add vax-nat.c.

	* amd64obsd-tdep.c (amd64obsd_sigtramp_p): Use
	safe_frame_unwind_memory instead of target_read_memory.

	* infptrace.c: Remove #ifdef'ed out inclusion of gdb_stat.h.
	Reorder includes.
	(fetch_register, store_register): Remove prototypes.
	(child_resume): Reorganize code and comments such that it is
	grouped a bit more logically.
	(attach): Explicitly compare errno against 0.
	(detach): Likewise.  Use perror_with_name instead of
	print_sys_errmsg.
	* Makefile.in (infptrace.o): Update dependencies.

	* ia64-linux-nat.c: Update copyright year.
	(fetch_debug_register, store_debug_register)
	(ia64_linux_stopped_by_watchpoint): Replace PTRACE_ARG3_TYPE with
	PTRACE_TYPE_ARG3.
	* config/ia64/nm-linux.h: Update copyright year.
	 (PTRACE_ARG3_TYPE, PTRACE_XFER_TYPE): Remove defines.

	* amd64-linux-tdep.c (amd64_linux_sigtramp_start): Change argument
	from CORE_ADDR to struct frame_info *.  Use
	safe_frame_unwind_memory instead of deprecated_read_memory_nobpt.
	(amd64_linux_sigtramp_p): Adjust for changed signature of
	and64_linux_sigtramp_start

	* gdb_ptrace.h: GNU/Linux.

	* config/alpha/nm-linux.h (PTRACE_ARG3_TYPE, PTRACE_XFER_TYPE):
	Remove defines.

	* infptrace.c: Include "gdb_assert.h".
	(PTRACE_XFER_TYPE): Remove define.
	(offsetof): Only define if U_REGS_OFFSET isn't defined.
	(fetch_register, store_register): Rewrite to use PTRACE_TYPE_RET.
	Tweak comment.
	(fetch_inferior_registers, store_inferior_registers): Remove
	redundant culry braces.  Tweak comment.  s/regno/regnum.
	* Makefile.in (infptrace.o): Update dependencies.

	* configure.in: Change test for return type of ptrace to default
	to `long' instead of `int'.
	* configure: Regenerate.	

2004-08-21  Mark Kettenis  <kettenis@gnu.org>

	* config/alpha/alpha-linux.mh (LOADLIBES): New variable.

	* configure.in: Check for ttrace function.
	* configure, config.in: Regenerate.	

	* gdb_ptrace.h: New file.
	* infptrace.c: Include "gdb_ptrace.h" instead of <ptrace.h> or
	<sys/ptrace.h>.
	(PT_READ_I, PT_READ_D, PT_READ_U, PT_WRITE_I, PT_WRITE_D)
	(PT_WRITE_U, PT_CONTINUE, PT_STEP, PT_KILL): Remove defines.
	(attach): Don't define PT_ATTACH.
	(detach): Don't define PT_DETACH.
	* Makefile.in (gdb_ptrace_h): New variable.
	(infptrace.o): Update dependencies.

2004-08-16  Mark Kettenis  <kettenis@gnu.org>

	* inferior.h (PTRACE_ARG3_TYPE): Define as PTRACE_TYPE_ARG3
	instead of `int' if not already defined.
	(call_ptrace): Revert change that replaced PTRACE_ARG3_TYPE with
	PTRACE_TYPE_ARG3.
	* infptrace.c (call_ptrace): Revert change that replaced
	PTRACE_ARG3_TYPE with PTRACE_TYPE_ARG3.

2004-08-15  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/nm-linux64.h (PTRACE_ARG3_TYPE, PTRACE_XFER_TYPE):
	Remove defines.

	* linux-nat.c (kill_inferior): Add missing third and fourth
	arguments to ptrace call.  Don't use PTRACE_ARG3_TYPE.

	* infptrace.c (child_xfer_memory): Replace PTRACE_XFER_TYPE with
	PTRACE_TYPE_RET.

	* proc-why.c (proc_prettyfprint_why): Fix format string.

	* solib-osf.c (osf_current_sos): Remove unsused label.

	* configure.in: Add <ncurses/ncurses.h> to the list of possible
	curses headers.
	* configure, config.in: Regenerate.	
	* gdb_curses.h [HAVE_NCURSES_NCURSES_H]: Include
	<ncurses/ncurses.h>.

	* config/nm-bsd.h (PTRACE_ARG3_TYPE): Remove define.
	* config/nm-nbsd.h: Update copyright year.
	(PTRACE_ARG3_TYPE): Remove define.

	* sparc-nat.c (fetch_inferior_registers)
	(store_inferior_registers, sparc_xfer_wcookie): 
	Replace PTRACE_ARG3_TYPE with PTRACE_TYPE_ARG3.

	* alphabsd-nat.c (fetch_inferior_registers):
	(store_inferior_registers): Replace PTRACE_ARG3_TYPE with
	PTRACE_TYPE_ARG3.
	* amd64bsd-nat.c (fetch_inferior_registers)
	(store_inferior_registers): Replace PTRACE_ARG3_TYPE with
	PTRACE_TYPE_ARG3.
	* armnbsd-nat.c: Update copyright year.
	(fetch_register, fetch_regs, fetch_fp_register, fetch_fp_regs)
	(store_register, store_regs, store_fp_register, store_fp_regs):
	Replace PTRACE_ARG3_TYPE with PTRACE_TYPE_ARG3.
	* hppabsd-nat.c (fetch_inferior_registers)
	(store_inferior_registers): Replace PTRACE_ARG3_TYPE with
	PTRACE_TYPE_ARG3.
	* i386bsd-nat.c (fetch_inferior_registers)
	(store_inferior_registers, i386bsd_dr_set, i386bsd_dr_get_status):
	Replace PTRACE_ARG3_TYPE with PTRACE_TYPE_ARG3.
	* m68kbsd-nat.c (fetch_inferior_registers)
	(store_inferior_registers): Replace PTRACE_ARG3_TYPE with
	PTRACE_TYPE_ARG3.
	* m88kbsd-nat.c (fetch_inferior_registers)
	(store_inferior_registers): Replace PTRACE_ARG3_TYPE with
	PTRACE_TYPE_ARG3.
	* mipsnbsd-nat.c: Update copyright year.
	(fetch_inferior_registers, store_inferior_registers):
	Replace PTRACE_ARG3_TYPE with PTRACE_TYPE_ARG3.
	* ns32knbsd-nat.c: Update copyright year.
	(fetch_inferior_registers, store_inferior_registers):
	Replace PTRACE_ARG3_TYPE with PTRACE_TYPE_ARG3.
	* ppcnbsd-nat.c (fetch_inferior_registers):
	(store_inferior_registers): Replace PTRACE_ARG3_TYPE with
	PTRACE_TYPE_ARG3.
	* ppcobsd-nat.c (fetch_inferior_registers):
	(store_inferior_registers): Replace PTRACE_ARG3_TYPE with
	PTRACE_TYPE_ARG3.
	* shnbsd-nat.c: Update copyright year.
	(fetch_inferior_registers, store_inferior_registers):
	Replace PTRACE_ARG3_TYPE with PTRACE_TYPE_ARG3.
	* vaxbsd-nat.c (fetch_inferior_registers)
	(store_inferior_registers): Replace PTRACE_ARG3_TYPE with
	PTRACE_TYPE_ARG3.
	
	* inferior.h (call_ptrace): Replace PTRACE_ARG3_TYPE with
	PTRACE_TYPE_ARG3.
	* infptrace.c (call_ptrace, child_resume, attach, detach)
	(U_REGS_OFFSET, fetch_register, store_register, child_xfer_memory)
	(udot_info): Replace PTRACE_ARG3_TYPE with PTRACE_TYPE_ARG3.
	* inftarg.c (ptrace_me): Replace PTRACE_ARG3_TYPE with
	PTRACE_TYPE_ARG3.

2004-08-14  Mark Kettenis  <kettenis@gnu.org>

	* defs.h: Remove out-of-date comment.
	[!FCLOSE_PROVIDED] (fclose): Remove prototype.
	[!GETENV_PROVIDED] (getenv): Remove prototype.

	* standalone.c: Remove file.
	* Makefile.in (standalone.o): Remove dependency.

	* i386-linux-nat.c (dummy_sse_values): Remove function and
	prototype.
	(i386_linux_dr_get): Fix typo in comment.
	(LINUX_SYSCALL_REGNUM): Define as I386_EAX_REGNUM.

	* config/i386/obsd64.mt (TDEPFILES): Add i386obsd-tdep.o.

	* defs.h (deprecated_error_hook): Remove RETURN and ATTR_NORETURN
	from declaration.
	* top.c (deprecated_error_hook): Remove RETURN and ATTR_NORETURN
	from definition.

2004-08-13  Mark Kettenis  <kettenis@gnu.org>

	* configure.in (PTRACE_TYPE_ARG3, PTRACE_TYPE_ARG5): Don't use
	parenthesis in definition.
	* configure: Regenerated.

2004-08-12  Michael Chastain  <mec.gnu@mindspring.com>

	* PROBLEMS: Mention build/1411.

2004-08-09  Robert Millan  <robertmh@gnu.org>

	Committed by Nathanael Nerode.
	* configure.host: Match kfreebsd*-gnu and knetbsd*-gnu.
	* configure.tgt: Match kfreebsd*-gnu and knetbsd*-gnu.

2004-08-12  Andrew Cagney  <cagney@gnu.org>

	* NEWS: Mention fixes in GDB 6.2.1.
	* PROBLEMS: Remove mention of mips-irix.

2004-08-11  Joel Brobecker  <brobecker@gnat.com>

	* config/powerpc/xm-aix.h: Delete.
	* config/powerpc/aix.mh (MH_FILE): Remove.
	* config/powerpc/aix432.mh (MH_FILE): Remove.

2004-08-11  Joel Brobecker  <brobecker@gnat.com>

	* config/powerpc/aix.mh: Remove obsolete comment.
	* config/powerpc/aix432.mh: Likewise.

2004-08-11  Joel Brobecker  <brobecker@gnat.com>

	* config/powerpc/xm-aix.h (UINT_MAX): Remove undef.

2004-08-11  Joel Brobecker  <brobecker@gnat.com>

	* config/rs6000/xm-aix4.h: Remove "config/xm-aix4.h" include,
	this file is now empty.
	* config/xm-aix4.h: Remove, this file is no longer included
	anywhere.

2004-08-11  Joel Brobecker  <brobecker@gnat.com>

	* config/powerpc/xm-aix.h: Remove "config/xm-aix4.h" include,
	that file is now empty.
	(termdef): Remove prototype, function no longer used.

2004-08-11  Joel Brobecker  <brobecker@gnat.com>

	* doc/gdbint.texinfo (Host Definition): Remove documentation
	for USE_O_NOCTTY, no longer used.
	* config/xm-aix4.h (USE_O_NOCTTY): Remove, no longer used.
	* config/rs6000/xm-rs6000.h (USE_O_NOCTTY): Likewise.

2004-08-11  Joel Brobecker  <brobecker@gnat.com>

	* config/xm-aix4.h (FIVE_ARG_PTRACE): Remove, no longer used.
	* config/pa/nm-hppah.h (FIVE_ARG_PTRACE): Likewise.
	* config/rs6000/xm-rs6000.h (FIVE_ARG_PTRACE): Likewise.

2004-08-11  Mark Kettenis  <kettenis@gnu.org>

	* infptrace.c (call_ptrace): Select code based on PTRACE_TYPE_ARG5
	instead of FIVE_ARG_PTRACE.

	* inflow.c (O_NOCTTY): Define to zero if not already defined.
	(new_tty): Use O_NOCTTY unconditionally.

2004-08-10  Mark Kettenis  <kettenis@gnu.org>

	* procfs.c (procfs_detach): Cleanup.  Print process ID, not LWP
	ID.  Use comma in output.  Use gdb_flush on gdb_stdout instead of
	fflush on stdout.

2004-08-10  Joel Brobecker  <brobecker@gnat.com>

	* xcoff_symfile_finish: Replace last call to xmfree by call
	to xfree.

2004-08-10  Andrew Cagney  <cagney@gnu.org>

	* main.c (captured_main): Delete call to init_malloc.
	* defs.h (init_malloc): Delete declaration.
	* utils.c (mmalloc, mrealloc, mcalloc, mfree)
	(init_malloc): Delete functions.

	* defs.h (xmfree): Delete.
	* utils.c (xmfree): Delete function.
	(xfree): Inline calls to xmfree and mfree.
	* symmisc.c (free_symtab_block, free_symtab): Use xfree.
	* symfile.c (reread_symbols, init_psymbol_list): Ditto.
	* source.c (forget_cached_source_info, find_and_open_source): Ditto.
	* somread.c (som_symfile_finish): Ditto.
	* objfiles.c (allocate_objfile, free_objfile): 
	* nlmread.c (nlm_symfile_finish): Ditto.
	* hpread.c (hpread_symfile_finish): Ditto.
	* elfread.c (free_elfinfo, elf_symfile_finish): Ditto.
	* dbxread.c (dbx_symfile_finish, free_bincl_list): Ditto.
	* coffread.c (coff_symfile_finish): Ditto.

	* defs.h (xmcalloc): Delete declaration.
	* utils.c (xmcalloc): Delete.
	(xcalloc): Inline calls to xmcalloc and mcalloc.
	* ada-lang.c (_initialize_ada_language): Use htab_create_alloc,
	xcalloc and xfree.
	* symtab.c (create_demangled_names_hash): Ditto.

	* defs.h (xmrealloc): Delete.
	* utils.c (xmrealloc): Delete.
	(xrealloc): Inline calls to xmrealloc, mmalloc and mrealloc.
	* symmisc.c (extend_psymbol_list): Use xrealloc.
	* source.c (find_source_lines): Ditto.
	* hpread.c (hpread_lookup_type): Ditto.
	* dbxread.c (add_bincl_to_list): Ditto.

	* utils.c (xmmalloc): Delete.
	(xmalloc): Inline xmmalloc and mmalloc calls.
	(msavestring): Use xmalloc.
	* defs.h (xmmalloc): Delete declaration.
	* xcoffread.c (xcoff_symfile_init): Use xmalloc instead of
	xmmalloc.
	* symmisc.c (extend_psymbol_list): Ditto.
	* symfile.c (init_psymbol_list): Ditto.
	* source.c (find_source_lines): Ditto.
	* hpread.c (hpread_symfile_init, hpread_lookup_type): Ditto.
	* elfread.c (elf_symtab_read): Ditto.
	* dbxread.c (dbx_symfile_init, init_bincl_list): Ditto.
	* coffread.c (coff_symfile_init): Ditto.

2004-08-10  David Carlton  <carlton@bactrian.org>

	* MAINTAINERS: Remove David Carlton from c++ testsuite
	maintainers.

2004-08-10  Jerome Guitton  <guitton@gnat.com>

	* symfile.c (symbol_file_add_with_addrs_or_offsets): Make sure to
	print a line feed before the prompt.

2004-08-10  Mark Kettenis  <kettenis@gnu.org>

	* procfs.c (procfs_pid_to_str): Use "%ld" to print LWP.

2004-08-09  Joel Brobecker  <brobecker@gnat.com>

	General cleanup of the AIX xm include file:
	* config/xm-aix4.h (fd_set): Remove undefine.
	Remove include of <sys/select.h>.
	(HAVE_TERMIO): Remove define.
	(USG): Likewise.
	(NULL): Remove redefine.
	(alloca): Remove #pragma.
	(vfork): Remove define.
	(termdef): Remove.
	(SIGWINCH_HANDLER): Remove.
	(SIGWINCH_HANDLER_BODY): Remove.

2004-08-09  Mark Kettenis  <kettenis@gnu.org>

	* configure.tgt (x86_64-*-openbsd*): Set gdb_osabi to
	GDB_OSABI_OPENBSD_ELF.

2004-08-07  Robert Millan  <robertmh@gnu.org>

	* bsd-kvm.c: Check for nlist.h before including it.

2004-08-09  Mark Kettenis  <kettenis@gnu.org>

	* i386bsd-nat.c (_initialize_i386bsd_nat): Remove `struct
	sigcontext' offset consistency checks for ancient BSD.

	* gdb_curses.h [HAVE_CURSESX_H]: Include <cursesX.h>

	* configure.in: Check for <sys/types.h>.  Check return and
	argument types of ptrace.
	* configure, config.in: Regenerate.	

2004-08-09  Jim Blandy  <jimb@redhat.com>

	* rs6000-tdep.c (set_sim_regno, init_sim_regno_table,
	rs6000_register_sim_regno): Doc fixes.

2004-08-08  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c: Include "floatformat.h".
	(n32n64_floatformat_always_valid): New function.
	(floatformat_n32n64_long_double_big): New constant.
	(mips_gdbarch_init): Set size and format of long double
	for N32 and N64 ABIs.
	* Makefile.in (mips-tdep.o): Update dependencies.

2004-08-08  Andrew Cagney  <cagney@gnu.org>

	* gdbarch.sh: Delete "fmt" and "attrib" fields.  Always use %s to
	print.  Improve script's error messages.
	* gdbarch.h: Re-generate.

	* gdbarch.sh (pformat): New function.
	(float_format, double_format, long_double_format): List with bit
	members.  Use pformat when printing.
	* gdbarch.c, gdbarch.h: Re-generate.
	
2004-08-08  Nathan J. Williams  <nathanw@wasabisystems.com>

	* ppcnbsd-nat.c: Include <machine/frame.h>, <machine/pcb.h>,
	"gdbcore.h", "regcache.h", and "bsd-kvm.h".
	(ppcnbsd_supply_pcb): New function.
	(_initialize_ppcnbsd_nat): New prototype and function.
	* config/powerpc/nbsd.mh (NATDEPFILES): Add bsd-kvm.o.
	(LOADLIBES): New variable.
	* Makefile.in (ppcnbsd-nat.o): Update dependencies.

2004-08-08  Andrew Cagney  <cagney@gnu.org>

	* gdbtypes.c (builtin_type_arm_ext, builtin_type_ieee_single)
	(builtin_type_ieee_double, builtin_type_ia64_quad)
	(builtin_type_ia64_spill, _initialize_gdbtypes): Add tables of
	BE/LE floating-point types.
	* gdbtypes.h (builtin_type_arm_ext, builtin_type_ieee_single)
	(builtin_type_ieee_double, builtin_type_ia64_quad)
	(builtin_type_ia64_spill): Declare.
	* doublest.c (_initialize_doublest, floatformat_ieee_single)
	(floatformat_ieee_double, floatformat_arm_ext)
	(floatformat_ia64_spill, floatformat_ia64_quad): Add tables
	of LE/BE floatformats.	
	* doublest.h: (struct floatformat, floatformat_ieee_single)
	(floatformat_ieee_double, floatformat_arm_ext)
	(floatformat_ia64_spill, floatformat_ia64_quad): Declare.

2004-08-08  Mark Kettenis  <kettenis@gnu.org>

	* i386gnu-nat.c (gnu_store_registers): Fix typo.

	* i386gnu-nat.c (gnu_store_registers): Use regcache_raw_collect
	instead of regcache_raw_supply when storing the registers.

	* i386gnu-nat.c: Update copyright year.
	(gnu_store_registers): Don't use deprecated_registers and
	deprecated_registers_valid.  Use regcache_valid_p and
	regcache_raw_supply instead.

	* vax-tdep.c (vax_frame_this_id): Use frame_func_unwind instead of
	frame_pc_unwind.

	* procfs.c (procfs_pid_to_str): Remove redundant and unused
	variables.  Incapitalized "process".

	* configure.in: Add cursesX to the list of possible curses libs.
	Add cursesX.h to the list of possible curses headers. 
	* configure, config.in: Regenerate.	

2004-08-07  Nathan J. Williams  <nathanw@wasabisystems.com>

	* configure.in: Test for struct lwp in <sys/lwp.h>.
	* bsd-kvm.c (bsd_kvm_proc_cmd): If HAVE_STRUCT_LWP is defined, use
	the offset of l_addr in struct lwp.

2004-08-07  Nathan J. Williams  <nathanw@wasabisystems.com>

	* bsd-kvm.c: Include "gdbcore.h"
	(bsd_kvm_open): Use get_exec_file() to set 'execfile'.

2004-08-07  Andrew Cagney  <cagney@gnu.org>

	* gdbtypes.c (build_flt, build_complex): New functions.
	(gdbtypes_post_init): Use.

	* doublest.c (floatformat_from_length): Fix tipo, "*" not "&".

	* gdbtypes.c (_initialize_gdbtypes): Do not swap builtin_type_int8
	through to builtin_type_uint128.

	* c-exp.y: Use builtin_type function to obtain builtin types.

	* gdbtypes.h (struct builtin_type): Delete builtin_int0 through to
	builtin_uint128.
	* gdbtypes.c (gdbtypes_post_init): Update.
	(build_gdbtypes): Move initialization of builtin_type_int0
	through to builtin_type_uint128 from here ...
	(_initialize_gdbtypes): ... to here.
	* d10v-tdep.c (d10v_register_type): Update.

	* doublest.c: Update copyright.
	(floatformat_from_length): Call error when floatformat is NULL.
	(extract_floating_by_length): Remove NULL fmt check.
	(store_floating_by_length): Ditto.

2004-08-07  Andrew Cagney  <cagney@gnu.org>

	* regcache.c (regcache_raw_read): For the moment, #ifdef assert
	that the register is valid.

2004-08-05  Mark Kettenis  <kettenis@chello.nl>

	* i386-linux-tdep.c (i386_linux_sigtramp_start)
	(i386_linux_rt_sigtramp_start): Change argument from CORE_ADDR to
	struct frame_info *.  Use safe_frame_unwind_memory instead of
	deprecated_read_memory_nobpt.
	(i386_linux_sigtramp_p, i386_linux_sigcontext_addr): Adjust for
	changed signature of i386_linux_sigtramp_start and
	i386_linux_rt_sigtramp_start.

	* i386nbsd-tdep.c (i386nbsd_sigtramp_offset): Change argument from
	CORE_ADDR to struct frame_info *.  Use safe_frame_unwind_memory
	instead of deprecated_read_memory_nobpt.
	(i386nbsd_sigtramp_p): Adjust for changed signature of
	i386nbsd_sigtramp_offset.

	* i386obsd-tdep.c (i386obsd_sigtramp_p): Use
	safe_frame_unwind_memory instead of target_read_memory.

	* infptrace.c: Include <sys/file.h> if HAVE_SYS_FILE_H instead of
	!NO_SYS_FILE.
	[KERNEL_U_ADDR_BSD]: Don't include <a.out.h>.
	[KERNEL_U_ADDR_BSD] (kernel_u_addr): Remove variable.
	(_initialize_kernel_u_addr): Remove prototype and function.
	* infttrace.c: Include <sys/file.h> if HAVE_SYS_FILE_H instead of
	!NO_SYS_FILE.
	* xcoffread.c: Likewise.

2004-08-06  Mark Kettenis  <kettenis@gnu.org>

	* vax-nat.c: New file.
	* vaxbsd-nat.c: Tweak comment.
	* Makefile.in (ALLDEPFILES): Add vax-nat.c, vaxbsd-nat.c and
	vaxnbsd-tdep.c.
	(vax-nat.o): New dependency.
	* configure.host (vax-*-bsd*, vax-*-ultrix*): Set gdb_host to vax.
	(vax-*-ultrix2*): Remove.
	* config/vax/vax.mh: New file.
	* config/vax/nm-vax.h (vax_kernel_u_addr): New extern declaration.
	(KERNEL_U_ADDR): Define as vax_kernel_u_addr.
	(vax_register_u_addr): New prototype.
	(REGISTER_U_ADDR): Define using vax_register_u_addr.
	* config/vax/vaxult2.mh: Remove file.
	* config/vax/vaxult.mh: Remove file.
	* config/vax/vaxbsd.mh: Remove file.
	* config/vax/vax.mt (TM_FILE): Remove.
	* config/vax/tm-vaxbsd.h: Remove file.

2004-08-06  Joel Brobecker  <brobecker@gnat.com>

	* aix-thread.c (get_signaled_thread): New function.
	(iter_trap): Delete, no longer used.
	(iter_tid): New function.
	(pd_update): Find the thread that received the SIGTRAP signal
	by first locating the kernel thread, and then finding its
	associated thread.

2004-08-06  Ulrich Weigand  <uweigand@de.ibm.com>

	* lin-lwp.c (child_wait): Continue inferior after processing
	PTRACE_EVENT_CLONE event.

2004-08-05  Nathanael Nerode  <neroden@gcc.gnu.org>

	* MAINTAINERS: Add self to Write-After-Approval.

2004-08-05  Jeff Johnston  <jjohnstn@redhat.com>

	* libunwind-frame.c (LIBUNWIND_SO): Change to be of form:
	libunwind-xxxx.so" where xxxx is UNW_TARGET.

2004-08-05  Andrew Cagney  <cagney@gnu.org>

	* config/xm-sysv4.h: Delete file.
	* config/mips/xm-irix5.h: Delete file.
	* config/mips/irix6.mh (XM_FILE, XM_CLIBS): Delete.
	* config/mips/irix5.mh (XM_FILE, XM_CLIBS): Delete.
	* config/ia64/xm-aix.h: Delete file.
	* config/ia64/aix.mh (XM_FILE): Delete.
	* config/pa/xm-hppah.h: Delete file.
	* config/pa/hpux11w.mh (XM_FILE): Delete.
	* config/pa/hpux11.mh (XM_FILE): Delete.
	* config/pa/hpux1020.mh (XM_FILE): Delete.
	* config/pa/hppahpux.mh (XM_FILE): Delete.

	* config/alpha/xm-alphalinux.h: Delete file.
	* config/djgpp/fnchange.lst: Do not fix xm-alphalinux.h.
	* config/alpha/alpha-linux.mh (XM_FILE, LOADLIBES): Delete.
	* config/alpha/xm-alphaosf.h: Delete file.
	* config/djgpp/fnchange.lst: Do not fix xm-alphaosf.h.
	* config/alpha/alpha-osf3.mh (XM_FILE): Delete.
	* config/alpha/alpha-osf2.mh (XM_FILE): Delete.
	* config/alpha/alpha-osf1.mh (XM_FILE): Delete.

	* config/i386/xm-i386v.h: Delete file.
	* config/i386/i386v.mh (XM_FILE, XM_CLIBS): Delete.
	* config/i386/i386sco5.mh (XM_FILE, XM_CLIBS): Delete.
	* config/i386/xm-i386sco.h: Delete file.
	* config/i386/i386sco4.mh (XM_FILE, XM_CLIBS, MH_CFLAGS): Delete.
	* config/i386/i386sco.mh (XM_FILE, XM_CLIBS, CC): Delete.
	* config/i386/xm-i386v4.h: Delete file.
	* config/djgpp/fnchange.lst: Do not fix xm-i386v4.h.
	* config/i386/ncr3000.mh (CC, CFLAGS, XM_FILE): Delete.
	* config/i386/i386v42mp.mh (XM_FILE, XM_CLIBS): Delete.
	* config/i386/i386v4.mh (XM_FILE, XM_CLIBS): Delete.

	* config/vax/xm-vax.h: Delete file.
	* Makefile.in (xm-vaxult.h, xm-vaxbsd.h): Delete.
	* config/vax/xm-vaxult2.h: Delete file.
	* config/djgpp/fnchange.lst: Do not fix xm-vaxult2.h.
	* config/vax/vaxult2.mh (XM_FILE): Delete.
	* config/vax/xm-vaxult.h: Delete file.
	* config/vax/vaxult.mh (XM_FILE): Delete.
	* config/vax/xm-vaxbsd.h: Delete file.
	* config/vax/vaxbsd.mh (XM_FILE): Delete.

	* gdbarch.sh (deprecated_frame_saved_pc): Delete.
	* gdbarch.h, gdbarch.c: Re-generate.
	* regcache.c (deprecated_read_fp, deprecated_write_sp): Delete.
	* inferior.h (deprecated_read_fp, deprecated_write_sp): Delete.
	* frame.h: Delete deprecated_read_fp from comments.
	* arch-utils.c (deprecated_init_frame_pc_default): Delete.
	* arch-utils.h (deprecated_init_frame_pc_default): Delete.

2004-08-04  Mark Kettenis  <kettenis@gnu.org>

	* i386obsd-tdep.c (i386obsd_sigtramp_p): Adjust for changed signal
	trampoline in OpenBSD 3.5-current.

	* i387-tdep.c (i387_supply_fsave): Provide summy values for the
	SSE registers.

	* Makefile.in: Remove embedded page breaks.

2004-08-04  Jim Blandy  <jimb@redhat.com>

	* regcache.c (regcache_raw_read): Assert that, after calling
        target_fetch_registers, the register we're reading is cached.

	* ppc-linux-nat.c (fetch_register): Replace 'gdb_assert (0)' with
	a call to 'internal_error', with a more helpful error message.
	* rs6000-tdep.c (e500_pseudo_register_read,
	e500_pseudo_register_write, rs6000_store_return_value): Same.

2004-08-04  Andrew Cagney  <cagney@gnu.org>

	* Makefile.in: Update dependencies.

2004-08-04  Jim Blandy  <jimb@redhat.com>

	Change the layout of the PowerPC E500 raw register cache to allow
	the lower 32-bit halves of the GPRS to be their own raw registers,
	not pseudoregisters.
	* ppc-tdep.h (struct gdbarch_tdep): Remove ppc_gprs_pseudo_p flag;
	add ppc_ev0_upper_regnum flag.
	* rs6000-tdep.c: #include "reggroups.h".
	(spe_register_p): Recognize the ev upper half registers as SPE
	registers.
	(init_sim_regno_table): Build gdb->sim mappings for the upper-half
	registers.
	(e500_move_ev_register): New function.
	(e500_pseudo_register_read, e500_pseudo_register_write): The 'ev'
	vector registers are the pseudo-registers now, formed by splicing
	together the gprs and the upper-half registers.
	(e500_register_reggroup_p): New function.
	(P): Macro deleted.
	(P8, A4): New macro.
	(PPC_EV_REGS, PPC_GPRS_PSEUDO_REGS): Macros deleted.
	(PPC_SPE_GP_REGS, PPC_SPE_UPPER_GP_REGS, PPC_EV_PSEUDO_REGS): New
	macros.
	(registers_e500): Rearrange register set so that the raw register
	set contains 32-bit GPRs and upper-half registers, and the SPE
	vector registers become pseudo-registers.
	(rs6000_gdbarch_init): Don't initialize tdep->ppc_gprs_pseudo_p;
	it has been deleted.  Initialize ppc_ev0_upper_regnum.  Many other
	register numbers are now the same for the E500 as they are for
	other PowerPC variants.  Register e500_register_reggroup_p as the
	register group function for the E500.
	* Makefile.in (rs6000-tdep.o): Update dependencies.

	Adapt PPC E500 native support to the new raw regcache layout.
	* ppc-linux-nat.c (struct gdb_evrregset_t): Doc fixes.
	(read_spliced_spe_reg, write_spliced_spe_reg): Deleted.
	(fetch_spe_register, store_spe_register): Handle fetching/storing
	all the SPE registers at once, if regno == -1.  These now take
	over the job of fetch_spe_registers and store_spe_registers.
	(fetch_spe_registers, store_spe_registers): Deleted.
	(fetch_ppc_registers, store_ppc_registers): Fetch/store gprs
	unconditionally; they're always raw.  Fetch/store SPE upper half
	registers, if present, instead of ev registers.
	(fetch_register, store_register): Remove sanity checks: gprs are
	never pseudo-registers now, so we never need to even mention any
	registers that are ever pseudoregisters.

	Use a fixed register numbering when communicating with the PowerPC
	simulator.
	* ppc-tdep.h (struct gdbarch_tdep): New member: 'sim_regno'.
	* rs6000-tdep.c: #include "sim-regno.h" and "gdb/sim-ppc.h".
	(set_sim_regno, init_sim_regno_table, rs6000_register_sim_regno): 
	New functions.
	(rs6000_gdbarch_init): Register rs6000_register_sim_regno.  Call
	init_sim_regno_table.
	* Makefile.in (gdb_sim_ppc_h): New variable.
	(rs6000-tdep.o): Update dependencies.

2004-08-02  Andrew Cagney  <cagney@gnu.org>

	* cris-tdep.c (cris_register_size): Restore function, still used
	locally.

	* gdbarch.sh (deprecated_target_read_fp)
	(deprecated_frame_locals_address, deprecated_frame_args_address)
	(deprecated_frame_chain_valid, deprecated_frame_chain)
	(deprecated_init_extra_frame_info, deprecated_pop_frame)
	(deprecated_frame_init_saved_regs, deprecated_get_saved_register)
	(deprecated_do_registers_info, deprecated_init_frame_pc): Delete.
	* gdbarch.h, gdbarch.c: Re-generate.
	* regcache.c (deprecated_read_fp): Do not call
	DEPRECATED_TARGET_READ_FP_P.
	* infcmd.c (default_print_registers_info): Do not call
	DEPRECATED_DO_REGISTERS_INFO.
	* frame-base.c (default_frame_locals_address): Do not call
	DEPRECATED_FRAME_LOCALS_ADDRESS.
	(default_frame_args_address): Do not call
	DEPRECATED_FRAME_ARGS_ADDRESS.

	* gdbarch.sh (deprecated_register_raw_size)
	(deprecated_register_virtual_size:int): Delete.
	* gdbarch.h, gdbarch.c: Re-generate.
	* cris-tdep.c (cris_register_size): Delete.
	(cris_gdbarch_init): Update.
	* alpha-tdep.c (alpha_register_raw_size)
	(alpha_register_virtual_size): Delete.
	(alpha_gdbarch_init): Update.

	* gdbarch.sh (deprecated_register_virtual_type)
	(deprecated_save_dummy_frame_tos, deprecated_push_return_address)
	(deprecated_dummy_write_sp): Delete.
	* gdbarch.h, gdbarch.c: Re-generate.

	* gdbarch.sh (deprecated_register_bytes): Delete.
	* gdbarch.h, gdbarch.c: Re-generate.
	* regcache.c (deprecated_register_bytes): New function.
	* regcache.h (deprecated_register_bytes): Declare.
	* xstormy16-tdep.c (xstormy16_gdbarch_init): Update.
	* v850-tdep.c (v850_gdbarch_init): Update.
	* sh64-tdep.c (sh64_gdbarch_init): Update.
	* ns32k-tdep.c (ns32k_gdbarch_init_32082): Update.
	* mn10300-tdep.c (mn10300_gdbarch_init): Update.
	* mcore-tdep.c (mcore_gdbarch_init): Update.
	* cris-tdep.c (cris_gdbarch_init): Update.
	* arm-tdep.c (arm_gdbarch_init): Update.
	* remote.c (init_remote_state): Update.
	* remote-vx.c (vx_prepare_to_store): Update.
	* remote-sds.c (sds_fetch_registers, sds_prepare_to_store): Update.
	* irix5-nat.c (fetch_core_registers): Update.
	* cris-tdep.c (cris_register_bytes_ok): Update.
	* config/nm-gnu.h (CHILD_PREPARE_TO_STORE): Update.

	* mips-tdep.c (mips_gdbarch_init, mips_insn16_frame_cache)
	(mips_insn16_frame_this_id, mips_insn16_frame_prev_register)
	(mips_insn16_frame_unwind, mips_insn16_frame_sniffer)
	(mips_insn16_frame_base_address, mips_insn16_frame_base)
	(mips_insn16_frame_base_sniffer, mips_insn32_frame_cache)
	(mips_insn32_frame_this_id, mips_insn32_frame_prev_register)
	(mips_insn32_frame_unwind, mips_insn32_frame_sniffer)
	(mips_insn32_frame_base_address, mips_insn32_frame_base)
	(mips_insn32_frame_base_sniffer): Replace mips16 / mips32 prefix
	with mips_insn16 and mips_insn32.

	Replace DEPRECATED_REGISTER_RAW_SIZE with register_size.
	* rs6000-tdep.c (rs6000_push_dummy_call)
	(rs6000_extract_return_value): Use register_size.
	* xstormy16-tdep.c (xstormy16_get_saved_register) 
	(xstormy16_extract_return_value): Ditto.
	* valops.c (value_assign): Ditto.
	* v850ice.c (v850ice_fetch_registers, v850ice_store_registers): 
	* v850-tdep.c (v850_extract_return_value): Ditto.
	* tracepoint.c (collect_symbol): Ditto.
	* target.c (debug_print_register): Ditto.
	* stack.c (frame_info): Ditto.
	* rs6000-nat.c (ARCH64, fetch_register, store_register): Ditto.
	* rom68k-rom.c (rom68k_supply_one_register): Ditto.
	* remote.c (struct packet_reg, remote_wait, remote_async_wait)
	(store_register_using_P): Ditto.
	* remote-vxmips.c (vx_read_register, vx_write_register): Ditto.
	* remote-sim.c (gdbsim_fetch_register, gdbsim_store_register): Ditto.
	* remote-mips.c (mips_wait, mips_fetch_registers): Ditto.
	* remote-e7000.c (fetch_regs_from_dump, sub2_from_pc): Ditto.
	* regcache.c (deprecated_read_register_bytes) 
	(deprecated_write_register_bytes, read_register) 
	(write_register): Ditto.
	* ppc-linux-nat.c (fetch_altivec_register, fetch_register)
	(supply_vrregset, store_altivec_register, fill_vrregset): Ditto.
	* monitor.c (monitor_supply_register, monitor_fetch_register) 
	(monitor_store_register): Ditto.
	* mn10300-tdep.c (mn10300_pop_frame_regular) 
	(mn10300_print_register): Ditto.
	* mipsv4-nat.c (fill_fpregset): Ditto.
	* mips-linux-tdep.c (supply_32bit_reg, fill_fpregset) 
	(mips64_fill_fpregset): Ditto.
	* mi/mi-main.c (register_changed_p, get_register)
	(mi_cmd_data_write_register_values): Ditto.
	* lynx-nat.c (fetch_inferior_registers, store_inferior_registers): 
	* irix5-nat.c (fill_gregset, fetch_core_registers): 
	* infrun.c (write_inferior_status_register): Ditto.
	* infptrace.c (fetch_register, store_register): Ditto.
	* infcmd.c (default_print_registers_info): Ditto.
	* ia64-linux-nat.c (COPY_REG, fill_fpregset): Ditto.
	* ia64-aix-nat.c (COPY_REG, fill_gregset): Ditto.
	* i386gnu-nat.c (gnu_store_registers, fill): Ditto.
	* hpux-thread.c (hpux_thread_fetch_registers)
	(hpux_thread_store_registers): Ditto.
	* hppah-nat.c (store_inferior_registers, fetch_register): 
	* findvar.c (value_from_register): Ditto.
	* dve3900-rom.c (fetch_bitmapped_register): 
	* cris-tdep.c (cris_gdbarch_init): Ditto.
	* alpha-tdep.h: Ditto.
	* aix-thread.c (pd_enable, fill_sprs64, fill_sprs32): Ditto.

	* regcache.h: Delete DEPRECATED_REGISTER_VIRTUAL_SIZE and
	DEPRECATED_REGISTER_RAW_SIZE from comments.
	* regcache.c (init_regcache_descr, regcache_dump): Do not check or
	use DEPRECATED_REGISTER_VIRTUAL_SIZE and
	DEPRECATED_REGISTER_RAW_SIZE.
	* findvar.c (value_of_register): Simplify by assuming that the
	registers raw and virtual sizes are identical.
	* regcache.h: Delete DEPRECATED_REGISTER_VIRTUAL_TYPE in
	comment.
	* arch-utils.c (generic_register_size): Simplify by assuming
	register_type.

	* regcache.c (legacy_read_register_gen, real_register) 
	(legacy_write_register_gen): Delete, not used.

	* regcache.c (struct regcache_descr): Delete legacy_p.
	(init_legacy_regcache_descr): Delete function.
	(init_regcache_descr): Delete call to init_legacy_regcache_descr.
	Do not use deprecated register functions.
	(regcache_raw_read, deprecated_write_register_gen):
	(deprecated_read_register_gen, regcache_raw_write): Delete code
	predicated on legacy_p.
	(register_size): Delete check against register raw size.

	* cris-tdep.c (cris_register_type): Replace
	cris_register_virtual_type.
	(cris_gdbarch_init): Update, set register_type.

	* gdbarch.sh (deprecated_frameless_function_invocation): Delete.
	* gdbarch.h, gdbarch.c: Re-generate.
	* arm-tdep.c 	(arm_frameless_function_invocation): Delete.
	(arm_gdbarch_init) Do not set frameless function invocation.
	* frame.h (legacy_frameless_look_for_prologue): Delete declaration.
	* blockframe.c (legacy_frameless_look_for_prologue): Delete function.
	* frv-tdep.c (frv_frameless_function_invocation): Delete.
	(frv_gdbarch_init): Do not set frameless function invocation.
	* sh64-tdep.c (sh64_gdbarch_init): Ditto.
	* sh-tdep.c (sh_gdbarch_init): Ditto.
	* m32r-tdep.c (m32r_gdbarch_init): Ditto.
	* h8300-tdep.c (h8300_gdbarch_init): Ditto.
	* avr-tdep.c (avr_gdbarch_init): Ditto.

	* blockframe.c (legacy_frame_chain_valid): Delete function.

	* dummy-frame.c (struct dummy_frame): Delete call_lo, call_hi, top
	and pc.  Update comments.
	(pc_in_dummy_frame): Delete function.
	(deprecated_pc_in_call_dummy): Inline old pc_in_dummy_frame code,
	use the "id".
	(dummy_frame_push, dummy_frame_sniffer): Instead of call_lo,
	call_hi, top and pc, use the id.
	(fprint_dummy_frames): Do not print call_lo, call_hi, top and pc.

	* dummy-frame.c: Include "gdb_string.h".
	(generic_save_call_dummy_addr, generic_push_dummy_frame)
	(generic_save_dummy_frame_tos): Delete.
	(dummy_frame_push): New function, replaces above.
	* dummy-frame.h: Update copyright.
	(dummy_frame_push): Declare.
	* frame.h (generic_save_dummy_frame_tos, generic_push_dummy_frame)
	(generic_save_call_dummy_addr): Delete declarations.
	* infcall.c: Include "dummy-frame.h".
	(call_function_by_hand): Add locals caller_regcache,
	caller_regcache_cleanup and dummy_id.  Replace push_dummy_frame
	with call to frame_save_as_regcache plus cleanup.  Delete calls to
	generic_save_call_dummy_addr and generic_save_dummy_frame_tos.
	Move clear_proceed_status to just before the resume, add call to
	dummy_frame_push (discard cleanup).
	* Makefile.in (infcall.o): Add $(dummy_frame_h).
	(dummy-frame.o): Add $(gdb_string_h).

2004-08-01  Andrew Cagney  <cagney@gnu.org>

	* dummy-frame.h (dummy_frame_unwind): Replace dummy_frame_sniffer.
	* frame-unwind.c (frame_unwind_init): Use dummy_frame_unwind.
	* dummy-frame.c (find_dummy_frame): Delete.
	(struct dummy_frame_cache, dummy_frame_sniffer)
	(dummy_frame_prev_register, dummy_frame_this_id)
	(dummy_frame_unwinder, dummy_frame_unwind): Re-implement dummy
	frame unwinder using a dummy_frame_cache.

2004-08-01  Andrew Cagney  <cagney@gnu.org>

	* frame.h (frame_save_as_regcache): Declare.
	* frame.c (frame_save_as_regcache): New function.
	(do_frame_read_register): Replace do_frame_unwind_register.
	(frame_pop): Use frame_save_as_regcache.
	* dummy-frame.c (generic_push_dummy_frame): Use
	frame_save_as_regcache.

2004-08-01  Joel Brobecker  <brobecker@gnat.com>

	* dwarf2read.c (dwarf_decode_lines): Do not consider the current
	file as included until we record the first line in the linetable.

2004-08-01  Andrew Cagney  <cagney@gnu.org>

	* frame.h (deprecated_pop_dummy_frame)
	(deprecated_read_register_dummy)
	(deprecated_generic_find_dummy_frame): Delete.
	* dummy-frame.c (deprecated_generic_find_dummy_frame)
	(deprecated_read_register_dummy)
	(deprecated_find_dummy_frame_regcache)
	(discard_innermost_dummy)
	(deprecated_pop_dummy_frame): Delete.
	(dummy_frame_this_id): Simplify.
	(struct dummy_frame): Delete "fp" and "sp".
	(find_dummy_frame): Simplify.
	(generic_push_dummy_frame): Do not set "fp" or "sp".
	(fprint_dummy_frames): Do not print "fp" and "sp"

2004-08-01  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.c (I386_MAX_INSN_LEN): New define.
	(struct i386_insn): New structure.
	(i386_match_insn): New function.
	(i386_frame_setup_skip_insns): New variable.
	(i386_analyze_frame_setup): Change to use i386_match_insn and the
	array i386_frame_setup_insns of instructions that should be
	skipped inside the frame setup sequence.

2004-08-01  Andrew Cagney  <cagney@gnu.org>

	* frame.h (deprecated_frame_xmalloc_with_cleanup)
	(frame_saved_regs_zalloc, frame_extra_info_zalloc)
	(get_frame_extra_info, deprecated_get_frame_saved_regs): Delete.
	* stack.c (frame_info): Delete references to
	DEPRECATED_FRAME_INIT_SAVED_REGS and
	deprecated_get_frame_saved_regs.
	* frame.c (struct frame_info): Delete saved_regs and extra_info.
	(frame_pc_unwind): Do not use DEPRECATED_FRAME_SAVED_PC.
	(frame_register): Do not use DEPRECATED_GET_SAVED_REGISTER.
	(frame_unwind_register_signed)
	(frame_unwind_register_unsigned)
	(frame_unwind_unsigned_register): Use register_size.
	(create_new_frame): Do not use DEPRECATED_INIT_EXTRA_FRAME_INFO.
	(deprecated_frame_xmalloc_with_cleanup)
	(frame_saved_regs_zalloc, frame_extra_info_zalloc)
	(get_frame_extra_info, deprecated_get_frame_saved_regs): Delete.

	* sh-tdep.c (sh_gdbarch_init): Disable call to sh64_gdbarch_init.
	* config/sh/nbsd.mt (TDEPFILES): Remove sh64-tdep.o.
	* config/sh/linux.mt (TDEPFILES): Remove sh64-tdep.o.
	* config/sh/embed.mt (TDEPFILES): Remove sh64-tdep.o.

	* infcall.c (call_function_by_hand): Do not use
	DEPRECATED_PUSH_RETURN_ADDRESS, DEPRECATED_DUMMY_WRITE_SP,
	DEPRECATED_SAVE_DUMMY_FRAME_TOS, DEPRECATED_TARGET_READ_FP,
	DEPRECATED_FP_REGNUM, DEPRECATED_STORE_STRUCT_RETURN, and
	DEPRECATED_STACK_ALIGN.

2004-07-30  Ramana Radhakrishnan <ramana.radhakrishnan@codito.com>

	Committed by Andrew Cagney.
	* arm-tdep.c: Remove references to add_setshow_cmd_full for apcs32 .

2004-08-01  Andrew Cagney  <cagney@gnu.org>

	* mips-tdep.c (mips16_frame_cache)
	(mips16_frame_this_id, mips16_frame_prev_register)
	(mips16_frame_unwind, mips16_frame_sniffer)
	(mips16_frame_base_address, mips16_frame_base)
	(mips16_frame_base_sniffer, mips32_frame_cache)
	(mips32_frame_this_id, mips32_frame_prev_register)
	(mips32_frame_unwind, mips32_frame_sniffer)
	(mips32_frame_base_address, mips32_frame_base)
	(mips32_frame_base_sniffer): Clone the mdebug unwinder into
	separate heuristic mips16 and mips32 unwinders.
	(mips_stub_frame_cache, mips_stub_frame_this_id)
	(mips_stub_frame_prev_register)
	(mips_stub_frame_unwind, mips_stub_frame_sniffer)
	(mips_stub_frame_base_address, mips_stub_frame_base)
	(mips_stub_frame_base_sniffer): Add a simple stub unwinder.
	(mips_mdebug_frame_base_sniffer, mips_mdebug_frame_sniffer): Only
	match true mdebug frames.
	(non_heuristic_proc_desc): Add forward declaration.

2004-08-01  Andrew Cagney  <cagney@gnu.org>

	* config/mips/tm-irix6.h: Delete file.
	* config/mips/tm-irix5.h: Delete file.
	* config/mips/irix5.mt (TM_FILE): Set to tm-mips.h
	* config/mips/irix6.mt (TM_FILE): Set to tm-mips.h

	* config/ia64/tm-linux.h (IA64_GNULINUX_TARGET): Delete.
	* config/alpha/nm-osf2.h (PROCFS_SIGPEND_OFFSET): Delete.
	* config/nm-gnu.h (NO_CORE_OPS): Delete.
	* config/pa/nm-hppah.h (MAY_SWITCH_FROM_INFERIOR_PID): Delete.
	* config/i386/nm-i386v4.h (LOSING_POLL): Delete.
	* config/alpha/nm-osf2.h (LOSING_POLL): Delete.
	* config/tm-nto.h (RAW_SIGNAL_LO, RAW_SIGNAL_HI): Delete.
	* config/m68k/tm-vx68.h (VX_SIZE_FPREGS): Delete.
	* config/nm-linux.h (USE_THREAD_STEP_NEEDED): Delete.
	* config/pa/nm-hppah.h (USE_THREAD_STEP_NEEDED): Delete.
	* config/tm-nto.h (TARGET_SIGNAL_RAW_TABLE) Delete.
	(TARGET_SIGNAL_RAW_VALUES): Delete.
	* config/pa/nm-hppah.h (TARGET_RANGE_PROFITABLE_FOR_HW_WATCHPOINT):
	Delete.
	* config/frv/tm-frv.h (TARGET_HW_BREAK_LIMIT) 
	(TARGET_HW_WATCH_LIMIT): Delete.
	* Makefile.in (minimon_h, HFILES_NO_SRCDIR): Remove minimon.h.
	* minimon.h: Delete file.

	* trad-frame.c (trad_frame_get_this_base)
	(trad_frame_set_this_base, trad_frame_set_reg_realreg): New
	functions.
	* trad-frame.h (trad_frame_set_this_base)
	(trad_frame_get_this_base, trad_frame_set_reg_realreg): Declare.

2004-07-31  Andrew Cagney  <cagney@gnu.org>

	* trad-frame.c (trad_frame_get_prev_register): Rename
	trad_frame_get_prev_register.
	* vax-tdep.c (vax_frame_prev_register): Update.
	* trad-frame.h: Update.
	* trad-frame.c (trad_frame_get_register): Update.
	* sparcobsd-tdep.c (sparc32obsd_frame_prev_register): Update.
	* sparcnbsd-tdep.c (sparc32nbsd_sigcontext_frame_prev_register):
	Update.
	* sparc64obsd-tdep.c (sparc64obsd_frame_prev_register): Update.
	* sparc64nbsd-tdep.c (sparc64nbsd_sigcontext_frame_prev_register):
	Update.
	* sparc64fbsd-tdep.c (sparc64fbsd_sigtramp_frame_prev_register):
	Update.
	* sparc64-sol2-tdep.c (sparc64_sol2_sigtramp_frame_prev_register):
	Update.
	* sparc-sol2-tdep.c (sparc32_sol2_sigtramp_frame_prev_register):
	Update.
	* sparc-linux-tdep.c (sparc32_linux_sigtramp_frame_prev_register):
	Update.
	* s390-tdep.c (s390_frame_prev_register) 
	(s390_stub_frame_prev_register) 
	(s390_sigtramp_frame_prev_register): Update.
	* rs6000-tdep.c (rs6000_frame_prev_register): Update.
	* ppc-linux-tdep.c (ppc_linux_sigtramp_prev_register): Update.
	* mips-tdep.c (mips_mdebug_frame_prev_register): Update.
	* m88k-tdep.c (m88k_frame_prev_register) 
	* m68hc11-tdep.c (m68hc11_frame_prev_register) 
	* m32r-tdep.c (m32r_frame_prev_register): Update.
	* hppa-tdep.c (hppa_frame_prev_register_helper) 
	* frv-tdep.c (frv_frame_prev_register): Update.
	* d10v-tdep.c (d10v_frame_prev_register): Update.
	* cris-tdep.c (cris_frame_prev_register): Update.
	* avr-tdep.c (avr_frame_prev_register): Update.
	* arm-tdep.c (arm_prologue_prev_register) 
	(arm_sigtramp_prev_register): Update.

2004-07-31  Andrew Cagney  <cagney@gnu.org>

	* frame.h (legacy_saved_regs_unwind)
	(legacy_frame_chain_valid, legacy_frame_p)
	(enum frame_type): Delete UNKNOWN_FRAME.
	* dummy-frame.c (dummy_frame_this_id): Simplify.
	* frame-unwind.c (frame_unwind_find_by_frame): Simplify.
	* frame.c (struct frame_info): Delete the field "type".
	(legacy_saved_regs_prev_register, legacy_get_prev_frame)
	(legacy_saved_regs_this_id, legacy_saved_regs_unwinder)
	(legacy_saved_regs_unwind, legacy_frame_p)
	(frame_type_from_pc): Delete.
	(get_frame_id, frame_pop, frame_register_unwind, get_prev_frame_1)
	(fprint_frame, create_new_frame, fprint_frame_type): Simplify.

2004-07-31  Mark Kettenis  <kettenis@gnu.org>

	* sparc64obsd-tdep.c (sparc64obsd_pc_in_sigtramp): Fix
	indentation.

	* mips-nat.c: Remove file.
	* Makefile.in (ALLDEPFILES): Remove mips-nat.c
	(mips-nat.o): Remove dependency.

	* infptrace.c: Update copyright year.
	(fetch_register): Pass NULL in regcache_raw_supply call instead of
	explicitly setting the buffer to all zeroes.

	* sparc64obsd-tdep.c (sparc64obsd_sigreturn_offset): New variable.
	(sparc64obsd_pc_in_sigtramp): Reorganize to avoid goto.

2004-07-30  Andrew Cagney  <cagney@gnu.org>

	* GDB 6.2 released from gdb_6_2-branch.

2004-07-30  Baurjan Ismagulov  <ibr@ata.cs.hun.edu.tr>

	* defs.h (OPF_TRY_CWD_FIRST, OPF_SEARCH_IN_PATH): New macros.

	* exec.c (exec_file_attach):
	* nto-tdep.c (nto_find_and_open_solib):
	* pa64solib.c (pa64_solib_sizeof_symbol_table):
	* solib.c (solib_open):
	* somsolib.c (som_solib_sizeof_symbol_table):
	* source.c (is_regular_file, openp, open_source_file):
	* symfile.c (symfile_bfd_open):
	* wince.c (upload_to_device): Differentiate between the search for
	binary and source files.

2004-07-30  Andrew Cagney  <cagney@gnu.org>

	* complaints.c (_initialize_complaints): Pass NULL to
	add_setshow_zinteger_cmd for help_doc.
	* cli/cli-decode.c (add_setshow_cmd_full): Handle a NULL help_doc.

2004-07-30  Andrew Cagney  <cagney@gnu.org>

	Fix PR i18n/761.
	* Makefile.in (.SUFFIXES): Add po .gmo, and .pox.
	(.PHONY): Add all-po install-po, uninstall-po, clean-po,
	$(PACKAGE).pot and update-po.
	(all-po, .po.gmo, .po.pox, install-po, $(PACKAGE).pot)
	(po/$(PACKAGE).pot, clean-po, uninstall-po, install-po)
	(update-po): New rules.
	(localedir): Define using autoconf.
	(diststuff): Add $(PACKAGE).pot and $(CATALOGS)
	(GDB_CFLAGS): Define LOCALEDIR using $(localedir).
	(XGETTEXT, GMSGFMT, MSGMERGE, PACKAGE, CATALOGS): Define.
	* configure.in: Generate CATALOGS and LINGUAS from contents of
	src/gdb/po/ directory.  Set @localedir@ in Makefile.in.
	* configure: Re-generate.
	* po/gdbtext: New file
	
2004-07-30  Jerome Guitton  <guitton@gnat.com>

	* MAINTAINERS: Reorder Write After Approval list in alphabetical
	order.

2004-07-30  David Lecomber  <dsl@sources.redhat.com>

	* dwarf2read.c (read_file_scope): Set producer if attribute 
	present.
	(struct dwarf2_cu): Added new member producer.

2004-07-30  Jerome Guitton  <guitton@gnat.com>

	* inflow.c (kill_command): release file handles in BFD.
	* exec.c (exec_file_attach): Ditto.
	* symfile.c (symbol_file_add_with_addrs_or_offsets): Ditto.

2004-07-29  Andrew Cagney  <cagney@gnu.org>

	* PROBLEMS (mips-irix): Note that it is broken.

2004-07-29  Andrew Cagney  <cagney@gnu.org>

	* config/mips/xm-irix5.h (REGISTER_U_ADDR): Move from here ...
	* config/mips/nm-irix5.h (REGISTER_U_ADDR): ... to here.

	* config/xm-nbsd.h: Delete file.
	* config/arm/xm-nbsd.h: Delete file.
	* config/i386/xm-nbsd.h: Delete file.
	* config/ns32k/xm-nbsd.h: Delete file.
	* config/ns32k/nbsdaout.mh (XM_FILE): Delete.
	* config/i386/nbsdelf.mh (XM_FILE): Delete.
	* config/i386/nbsdaout.mh (XM_FILE): Delete.
	* config/arm/nbsdelf.mh (XM_FILE): Delete.
	* config/arm/nbsdaout.mh (XM_FILE): Delete.

	* config/i386/xm-i386v.h (KERNEL_U_ADDR): Move from here ...
	* config/i386/nm-i386v42mp.h (KERNEL_U_ADDR): ... to here, ...
	* config/i386/nm-i386v4.h (KERNEL_U_ADDR): ... here, ...
	* config/i386/nm-i386v.h (KERNEL_U_ADDR): ... and here.
	* config/vax/xm-vax.h (KERNEL_U_ADDR): Move from here ...
	* config/vax/nm-vax.h (KERNEL_U_ADDR): ... to here.

	* config/powerpc/xm-linux.h: Delete empty file.
	* config/powerpc/ppc64-linux.mh (XM_FILE): Delete.
	* config/powerpc/linux.mh (XM_FILE): Delete.
	* config/m68k/xm-linux.h: Delete empty file.
	* config/m68k/linux.mh (XM_FILE): Delete.
	* config/ia64/xm-linux.h: Delete empty file.
	* config/ia64/linux.mh (XM_FILE): Delete.
	* config/arm/xm-linux.h: Delete empty file.
	* config/arm/linux.mh (XM_FILE): Delete.
	
	* config/powerpc/xm-linux.h (KERNEL_U_ADDR): Move from here ...
	* config/powerpc/nm-linux.h (KERNEL_U_ADDR): ... to here.
	* config/m68k/xm-linux.h (KERNEL_U_ADDR): Move from here ...
	* config/m68k/nm-linux.h (KERNEL_U_ADDR): ... to here.
	* config/ia64/xm-linux.h (KERNEL_U_ADDR): Move from here ...
	* config/ia64/nm-linux.h (KERNEL_U_ADDR): ... to here.
	* config/arm/xm-linux.h (KERNEL_U_ADDR): Move from here ...
	* config/arm/nm-linux.h (KERNEL_U_ADDR): ... to here.

	* config/m68k/xm-m68k.h: Delete file.
	* config/m68k/xm-linux.h: Do not include "m68k/xm-m68k.h".  Update
	copyright.
	(HOST_LONG_DOUBLE_FORMAT): Delete macro.
	* config/pa/xm-linux.h: Delete empty file.
	* config/pa/linux.mh (XM_FILE): Delete.
	* config/i386/xm-i386.h: Delete empty file.
	* config/i386/xm-nbsd.h, config/i386/xm-go32.h: Do not include
	"i386/xm-i386.h".
	* config/i386/obsdaout.mh (XM_FILE): Delete.
	* config/i386/obsd64.mh (XM_FILE): Delete.
	* config/i386/fbsd64.mh (XM_FILE): Delete.
	* config/i386/nto.mh (XM_FILE): Delete.
	* config/i386/obsd.mh (XM_FILE): Delete.
	* config/i386/linux64.mh (XM_FILE): Delete.
	* config/i386/linux.mh (XM_FILE): Delete.
	* config/i386/i386sol2.mh (XM_FILE): Delete.
	* config/i386/i386gnu.mh (XM_FILE): Delete.
	* config/i386/fbsd.mh (XM_FILE): Delete.
	* config/i386/nbsd64.mh (XM_FILE): Delete.

2004-07-29  Andrew Cagney  <cagney@gnu.org>

	* config/pa/xm-linux.h: Do not include "floatformat.h".
	(HOST_FLOAT_FORMAT, HOST_DOUBLE_FORMAT)
	(HOST_LONG_DOUBLE_FORMAT): Delete macros.
	* config/i386/xm-i386.h: Do not include "floatformat.h".
	(HOST_FLOAT_FORMAT, HOST_DOUBLE_FORMAT) 
	(HOST_LONG_DOUBLE_FORMAT): Delete macros.
	* doublest.c (HOST_FLOAT_FORMAT, HOST_DOUBLE_FORMAT)
	(HOST_LONG_DOUBLE_FORMAT): Delete macros.  Use
	GDB_HOST_FLOAT_FORMAT, GDB_HOST_DOUBLE_FORMAT and
	GDB_HOST_LONG_DOUBLE_FORMAT instead.
	* configure.in (GDB_HOST_FLOAT_FORMAT, GDB_HOST_DOUBLE_FORMAT)
	(GDB_HOST_LONG_DOUBLE_FORMAT): Define.
	* configure, config.in: Regenerate.	
	* configure.host (gdb_host_float_format, gdb_host_double_format)
	(gdb_host_long_double_format): Set according to the host.
	
2004-07-29  Andrew Cagney  <cagney@gnu.org>

	* Makefile.in (CONFIG_CLEAN): Delete duplicate definition.

2004-07-28  Andrew Cagney  <cagney@gnu.org>

	* PROBLEMS: Mention threads/1650.
	* NEWS: Mention the NPTL fix.

2004-07-28  Andrew Cagney  <cagney@gnu.org>

	* cli/cli-decode.c (add_setshow_cmd): Delete function.
	(add_setshow_cmd_full): Make static.
	* command.h (add_setshow_cmd, add_setshow_cmd_full): Delete.
	(add_setshow_filename_cmd, add_setshow_string_cmd): Declare.
	* cli/cli-decode.c (add_setshow_filename_cmd) 
	(add_setshow_string_cmd): New functions.
	* nto-tdep.c (_initialize_nto_tdep): Update.  Fix parameters.
	* mips-tdep.c (_initialize_mips_tdep): Update.
	* m32r-rom.c (_initialize_m32r_rom): Update.  Update copyright.
	* cli/cli-logging.c (_initialize_cli_logging): Update.
	* complaints.c (_initialize_complaints): Update.
	* remote.c (_initialize_remote): Update.
	
2004-07-28  Andrew Cagney  <cagney@gnu.org>

	* cli/cli-decode.c (add_setshow_zinteger_cmd)
	(add_setshow_cmd, add_setshow_auto_boolean_cmd)
	(add_setshow_boolean_cmd, add_setshow_cmd_full): Add help_doc and
	print parameters.  Make string parameters constant.
	* command.h: Update.  Update copyright.
	* remote.c (add_packet_config_cmd, _initialize_remote): Ditto.
	* observer.c (_initialize_observer): Ditto.
	* frame.c (_initialize_frame): Ditto.
	* complaints.c (_initialize_complaints): Ditto.
	* maint.c (_initialize_maint_cmds): Ditto.
	* target.c (initialize_targets): Ditto.
	* cli/cli-logging.c (_initialize_cli_logging): Ditto.
	* infcall.c (_initialize_infcall): Ditto.
	* arm-tdep.c (_initialize_arm_tdep): Ditto.
	* m32r-rom.c (_initialize_m32r_rom): Ditto.
	* remote-rdi.c (_initialize_remote_rdi): Ditto.
	* d10v-tdep.c (_initialize_d10v_tdep): Ditto.
	* mips-tdep.c (_initialize_mips_tdep): Ditto.

2004-07-28  Andrew Cagney  <cagney@gnu.org>

	* gdbtypes.c (lookup_primitive_typename): Delete function.
	* gdbtypes.h (lookup_primitive_typename): Delete declaration.
	* ada-lex.l: Use language_lookup_primitive_type_by_name.
	* gdbtypes.c (lookup_typename): Ditto.
	* f-exp.y (yylex): Ditto.
	* c-exp.y (yylex): Ditto, eliminate assignment in "if".

	* scm-lang.c (c_builtin_types): Delete extern declaration.
	(scm_language_defn): Replace
	string_char_type and primitive_type_vector with
	la_language_arch_info.
	* jv-lang.c (java_language_defn): Replace
	string_char_type and primitive_type_vector with
	la_language_arch_info.
	* config/i386/i386sco4.mh (NATDEPFILES): Remove reference to
	c_builtin_types in comment.
	* c-lang.h (struct language_arch_info): Declare opaque.
	(c_language_arch_info): Declare.
	(c_builtin_types): Delete declaration.
	* c-lang.c (c_language_arch_info): Set string_char_type to
	builtin_char, not builtin_true_char.  Make global.
	(c_builtin_types): Delete array.
	(asm_language_defn, minimal_language_defn): Replace
	string_char_type and primitive_type_vector with
	la_language_arch_info.

2004-07-28  Andrew Cagney  <cagney@gnu.org>

	* gdbtypes.h (struct builtin_type): Rename true_char to
	builtin_true_char.
	* gdbtypes.c (gdbtypes_post_init): Update.
	* c-lang.c (arch_info): New function.
	(enum c_primitive_types): New enum.
	(c_language_defn): Instead of string_char_type and
	primitive_type_vector set la_language_arch_info.

2004-07-28  Andrew Cagney  <cagney@gnu.org>

	* language.h (struct language_arch_info): Fix typo
	s/primative/primitive/.
	* gdbtypes.c (lookup_primitive_typename): Ditto.
	* language.c (language_lookup_primitive_type_by_name)
	(unknown_language_arch_info): Ditto.

2004-07-27  Andrew Cagney  <cagney@gnu.org>

	* defs.h (enum language): Add nr_languages.
	* language.h (struct language_arch_info): Define.
	(struct language_defn): Add la_language_arch_info.
	(language_lookup_primative_type_by_name): Declare.
	(language_string_char_type): Declare.
	* language.c (_initialize_language, language_gdbarch_post_init)
	(struct language_gdbarch, language_gdbarch_data): Implement
	per-architecture language information.
	(unknown_language_arch_info, language_string_char_type)
	(language_lookup_primative_type_by_name): New functions.
	(unknown_language_defn, auto_language_defn)
	(local_language_defn): Set la_language_arch_info to
	unknown_language_arch_info.
	(unknown_builtin_types): Delete.
	* gdbtypes.c (lookup_primitive_typename): Use
	language_lookup_primative_type_by_name.
	(create_string_type): Use language_string_char_type.
	* values.c (value_from_string): Use language_string_char_type.
	* scm-lang.c (scm_language_defn): Add NULL la_language_arch_info.
	* p-lang.c (pascal_language_defn): Ditto.
	* m2-lang.c (m2_language_defn): Ditto.
	* jv-lang.c (java_language_defn): Ditto.
	* objc-lang.c (objc_language_defn): Ditto.
	* f-lang.c (f_language_defn): Ditto.
	* c-lang.c (c_language_defn, cplus_language_defn) 
	(asm_language_defn, minimal_language_defn): Ditto.
	
2004-07-27  Andrew Cagney  <cagney@gnu.org>

	* gdbtypes.h (struct builtin_type): Declare.
	(builtin_type): Declare.
	* d10v-tdep.c (d10v_register_type): Use builtin_type.
	* gdbtypes.c (_initialize_gdbtypes): Register gdbtypes_post_init.
	(gdbtypes_post_init): New function.
	(builtin_type): New function.

2004-07-27  Kei Sakamoto  <sakamoto.kei@renesas.com>

	* remote-m32r-sdi.c: Fix breakpoint bug.
	(send_cmd, send_one_arg_cmd, send_two_arg_cmd, send_three_arg_cmd,
	recv_char_data, recv_long_data): New functions to replace communication
	sequences.

2004-07-26  Michael Chastain  <mec.gnu@mindspring.com>

	Document PR threads/1650.
	* PROBLEMS (Threads): Document problem with many threads

2004-07-26  Andrew Cagney  <cagney@gnu.org>

	* gdb-mi.el: Move from here ...
	* mi/gdb-mi.el: ... to here.

2004-07-26  Andrew Cagney  <cagney@gnu.org>

	Problem reported by Ashley Pittman <ashley@quadrics.com>.
	* main.c (captured_main): When in batch mode always detach.

2004-07-26  Andrew Cagney  <cagney@gnu.org>

	* MAINTAINERS: Mark the xstormy16, sh64, ns32k, mn10300, mcore,
	and h8300 as broken.
	* NEWS: END-OF-LIFE frame compatibility module.
	* PROBLEMS: For "Stack backtraces", remove powerpc, hppa and mips
	specific comments.

2004-07-26  Andrew Cagney  <cagney@gnu.org>

	* cli/cli-decode.c (deprecated_add_show_from_set): Deprecate.
	* xcoffsolib.c (_initialize_xcoffsolib): Update.
	* wince.c (_initialize_wince): Update.
	* win32-nat.c (_initialize_win32_nat): Update.
	* varobj.c (_initialize_varobj): Update.
	* valops.c (_initialize_valops): Update.
	* utils.c (initialize_utils, initialize_utils): Update.
	* tui/tui-win.c (_initialize_tui_win): Update.
	* top.c (init_main): Update.
	* symfile.c (_initialize_symfile): Update.
	* source.c (_initialize_source): Update.
	* somsolib.c (_initialize_som_solib): Update.
	* solib.c (_initialize_solib): Update.
	* solib-frv.c (_initialize_frv_solib): Update.
	* serial.c (_initialize_serial): Update.
	* ser-go32.c (_initialize_ser_dos, _initialize_ser_dos): Update.
	* remote.c (_initialize_remote, _initialize_remote): Update.
	* remote-vx.c (_initialize_vx): Update.
	* remote-utils.c (_initialize_sr_support): Update.
	* remote-sds.c (_initialize_remote_sds): Update.
	* remote-mips.c (_initialize_remote_mips): Update.
	* remote-e7000.c (_initialize_remote_e7000): Update.
	* proc-api.c (_initialize_proc_api): Update.
	* printcmd.c: Update.
	* parse.c (_initialize_parse): Update.
	* pa64solib.c (_initialize_pa64_solib): Update.
	* p-valprint.c (_initialize_pascal_valprint): Update.
	* monitor.c (_initialize_remote_monitors): Update.
	* mips-tdep.c (_initialize_mips_tdep): Update.
	* mcore-tdep.c (_initialize_mcore_tdep): Update.
	* maint.c (_initialize_maint_cmds): Update.
	* lin-lwp.c (_initialize_lin_lwp): Update.
	* language.c (_initialize_language): Update.
	* kod.c (_initialize_kod): Update.
	* infrun.c (set_schedlock_func, _initialize_infrun): Update.
	* i386-tdep.c (_initialize_i386_tdep): Update.
	* gdbtypes.c (build_gdbtypes, _initialize_gdbtypes): Update.
	* gdbarch.sh: Update.
	* gdbarch.c: Re-generate.
	* gdb-events.sh: Update.
	* gdb-events.c: Re-generate.
	* frame.c (_initialize_frame): Update.
	* exec.c: Update.
	* demangle.c (_initialize_demangler): Update.
	* dcache.c (_initialize_dcache): Update.
	* cris-tdep.c (_initialize_cris_tdep, cris_version_update): Update.
	* cp-valprint.c (_initialize_cp_valprint): Update.
	* corefile.c (_initialize_core): Update.
	* command.h: Update.
	* cli/cli-decode.h: Update.
	* cli/cli-cmds.c (init_cli_cmds): Update.
	* charset.c (_initialize_charset): Update.
	* breakpoint.c (_initialize_breakpoint): Update.
	* arm-tdep.c (_initialize_arm_tdep_initialize_arm_tdep): Update.
	* alpha-tdep.c (_initialize_alpha_tdep): Update.
	* aix-thread.c (_initialize_aix_thread): Update.

2004-07-24  Mark Kettenis  <kettenis@gnu.org>

	Partial fix for PR backtrace/1718.
	* i386-tdep.c (i386_analyze_frame_setup): Handle more instructions
	that GCC migrates into the prolugue.  Don't handle any
	instructions that clobber %ebx.

2004-07-23  Andrew Cagney  <cagney@gnu.org>

	Use regcache_raw_collect instead of regcache_collect.
	* regcache.h (regcache_collect): Delete declaration.
	* regcache.c (regcache_colect): Delete function.
	* win32-nat.c (do_child_store_inferior_registers): Update.
	* sol-thread.c (sol_thread_store_registers): Update.
	* shnbsd-tdep.c (shnbsd_fill_reg): Update.
	* rs6000-nat.c (store_register): Update.
	* remote.c (store_register_using_P, remote_store_registers): Update.
	* ppcnbsd-tdep.c (ppcnbsd_fill_reg): Update.
	* ppc-linux-nat.c (store_altivec_register, store_spe_register) 
	(fill_vrregset, store_spe_registers, fill_gregset)
	(fill_gregset): Update.
	* nto-procfs.c (procfs_store_registers): Update.
	* mipsnbsd-tdep.c (mipsnbsd_fill_reg): Update.
	* mips-linux-tdep.c (fill_gregset, mips64_fill_gregset): Update.
	* m68klinux-nat.c (store_register, fill_gregset): Update.
	* m68k-tdep.c (fill_gregset): Update.
	* infptrace.c (store_register): Update.
	* i386-nto-tdep.c (i386nto_regset_fill): Update.
	* i386-linux-nat.c (store_register, fill_gregset): Update.
	* hppa-linux-nat.c (fill_gregset): Update.
	* go32-nat.c (store_register): Update.
	* armnbsd-nat.c (store_register, store_regs, store_fp_register)
	(store_fp_regs): Update.
	* arm-linux-nat.c (store_nwfpe_single, store_nwfpe_double) 
	(store_nwfpe_extended, store_fpregister, store_fpregs) 
	(store_register, store_regs, fill_gregset, fill_fpregset): Update.
	* alpha-tdep.c (alpha_fill_int_regs, alpha_fill_fp_regs): Update.
	* aix-thread.c (fill_gprs64, fill_fprs, fill_sprs64, fill_sprs32)
	(store_regs_user_thread, store_regs_kernel_thread): Update.

2004-07-24  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2-frame.c (struct dwarf2_cie): Delete `addr_size' member.
	(decode_frame_entry_1): Use DW_EH_PE_absptr as default for CIE
	encoding.
	(dwarf2_build_frame_info): Adjust for removal of `addr_size'
	member of `struct comp_unit'.

2004-07-23  Andrew Cagney  <cagney@gnu.org>

	* infrun.c (handle_inferior_event): Separate the STEP_OVER_ALL and
	DEPRECATED_IGNORE_HELPER_CALL cases, only #ifdef the latter.

2004-07-23  Martin Hunt  <hunt@redhat.com>
	Kevin Buettner <kevinb@redhat.com>

	* dwarf2-frame.c (execute_cfa_program): Fix typo in which the
	alignment was being added to the offset instead of multiplied.

2004-07-23  Mark Kettenis  <kettenis@gnu.org>

	* sparc64obsd-tdep.c (sparc64obsd_pc_in_sigtramp): Adjust for
	changed signal trampoline in OpenBSD 3.5-current.

	* sparc64nbsd-nat.c: Include "regcache.h", <sys/types.h>,
	<machine/pcb.h> and "bsd-kvm.h".
	(sparc64nbsd_supply_pcb): New function.
	(_initialize_sparc64nbsd_nat): Renamed from
	_initialize_sparcnbsd_nat.  Enable libkvm interface.
	* Makefile.in (sparc64nbsd-nat.o): Update dependencies.
	* config/sparc/nbsd64.mh (NATDEPFILES): Add bsd-kvm.o
	(LOADLIBES): New variable.

	* config/sparc/obsd64.mt (TDEPFILES): Add sparcobsd-tdep.o.

	* sparcnbsd-nat.c (sparc32nbsd_supply_pcb): Fix typo in comment.

2004-07-21  Andrew Cagney  <cagney@gnu.org>

	Use regcache_raw_supply instead of supply_register.
	* regcache.h (supply_register): Delete declaration.
	* regcache.c (supply_register): Delete function.
	* wince.c (do_child_fetch_inferior_registers): Update.
	* win32-nat.c (do_child_fetch_inferior_registers) 
	(fetch_elf_core_registers): Update.
	* v850ice.c (v850ice_fetch_registers): Update.
	* thread-db.c (thread_db_store_registers): Update.
	* sol-thread.c (sol_thread_store_registers): Update.
	* shnbsd-tdep.c (shnbsd_supply_reg): Update.
	* rs6000-nat.c (fetch_register): Update.
	* rom68k-rom.c (rom68k_supply_one_register): Update.
	* remote.c (remote_wait, remote_async_wait): Update.
	* remote-st.c (get_hex_regs): Update.
	* remote-sim.c (gdbsim_fetch_register): Update.
	* remote-sds.c (sds_fetch_registers): Update.
	* remote-rdp.c (remote_rdp_fetch_register): Update.
	* remote-rdi.c (arm_rdi_fetch_registers): Update.
	* remote-mips.c (mips_wait, mips_fetch_registers): Update.
	* remote-m32r-sdi.c (m32r_fetch_register): Update.
	* remote-hms.c (init_hms_cmds): Update.
	* remote-est.c (init_est_cmds): Update.
	* remote-e7000.c (get_hex_regs, fetch_regs_from_dump) 
	(e7000_fetch_registers, sub2_from_pc, e7000_wait): Update.
	* ppcnbsd-tdep.c (ppcnbsd_supply_reg, ppcnbsd_supply_fpreg): Update.
	* ppc-linux-nat.c (fetch_altivec_register, fetch_spe_register) 
	(fetch_register, supply_vrregset, supply_vrregset)
	(fetch_spe_registers): Update.
	* ppc-bdm.c (bdm_ppc_fetch_registers): Update.
	* monitor.c (monitor_supply_register): Update.
	* mipsv4-nat.c (supply_gregset, supply_fpregset): Update.
	* mipsnbsd-tdep.c (mipsnbsd_supply_reg)
	(mipsnbsd_supply_fpreg): Update.
	* mips-nat.c (fetch_inferior_registers)
	(fetch_core_registers): Update.
	* mips-linux-tdep.c (supply_32bit_reg, supply_gregset) 
	(supply_fpregset, mips64_supply_gregset)
	(mips64_supply_fpregset): Update.
	* m68klinux-nat.c (fetch_register, supply_gregset)
	(supply_fpregset): Update.
	* m68k-tdep.c (supply_gregset, supply_fpregset): Update.
	* m32r-rom.c (init_m32r_cmds, init_mon2000_cmds): Update.
	* lynx-nat.c (fetch_inferior_registers, fetch_core_registers): Update.
	* irix5-nat.c (supply_gregset, supply_fpregset): Update.
	* infptrace.c (fetch_register): Update.
	* ia64-linux-nat.c (supply_gregset, supply_fpregset): Update.
	* ia64-aix-nat.c (supply_gregset, supply_fpregset): Update.
	* i386gnu-nat.c (fetch_fpregs, supply_gregset) 
	(gnu_fetch_registers, gnu_store_registers): Update.
	* i386-nto-tdep.c (i386nto_supply_gregset): Update.
	* i386-linux-nat.c (fetch_register, supply_gregset)
	(dummy_sse_values): Update.
	* hpux-thread.c (hpux_thread_fetch_registers): Update.
	* hppah-nat.c (fetch_register): Update.
	* hppa-linux-nat.c (fetch_register, supply_gregset) 
	(supply_fpregset): Update.
	* go32-nat.c (fetch_register): Update.
	* dve3900-rom.c (fetch_bitmapped_register)
	(_initialize_r3900_rom): Update.
	* cris-tdep.c (supply_gregset): Update.
	* abug-rom.c (init_abug_cmds): Update.
	* core-aout.c (fetch_core_registers): Update.
	* armnbsd-nat.c (supply_gregset, supply_fparegset)
	(fetch_register, fetch_fp_register): Update.
	* arm-linux-nat.c (fetch_nwfpe_single, fetch_nwfpe_none)
	(fetch_nwfpe_extended, fetch_fpregister, fetch_fpregs)
	(fetch_register, fetch_regs, supply_gregset, supply_fpregset): Update.
	* alphanbsd-tdep.c (fetch_core_registers): Update.
	* alpha-tdep.c (alpha_supply_int_regs, alpha_supply_fp_regs): Update.
	* alpha-nat.c (fetch_osf_core_registers) 
	(fetch_osf_core_registers, fetch_osf_core_registers): Update.
	* aix-thread.c (supply_gprs64, supply_reg32, supply_fprs) 
	(supply_sprs64, supply_sprs32, fetch_regs_kernel_thread): Update.

2004-07-21  Andrew Cagney  <cagney@gnu.org>

	* PROBLEMS: Mention breakpoints/1702.
	* NEWS: For signal trampolines, cite s390 GNU/Linux as a system
	that is known to work.

2004-07-21  Andrew Cagney  <cagney@gnu.org>

	* config/mips/tm-mips.h (DEPRECATED_IGNORE_HELPER_CALL): Deprecate.
	* mips-tdep.c (mips_dump_tdep, mips_ignore_helper): Update.
	* infrun.c (DEPRECATED_IGNORE_HELPER_CALL): Delete macro.
	(handle_inferior_event): Wrap call to deprecated
	IGNORE_HELPER_CALL in #ifdef.
	* config/mips/tm-nbsd.h: Update.

2004-07-20  Jim Blandy  <jimb@redhat.com>

	* rs6000-tdep.c (rs6000_gdbarch_init): The register set used for
	bfd_mach_ppc has no segment registers.

	Include PowerPC SPR numbers for special-purpose registers.
	* rs6000-tdep.c (struct reg): Add new member, 'spr_num'.
	(R, R4, R8, R16, F, P, R32, R64, R0): Include value for
	new member in initializer.
	(S, S4, SN4, S64): New macros for defining special-purpose
	registers.
	(PPC_UISA_SPRS, PPC_UISA_NOFP_SPRS, PPC_OEA_SPRS, registers_power,
	registers_403, registers_403GC, registers_505, registers_860,
	registers_601, registers_602, registers_603, registers_604,
	registers_750, registers_e500): Use them.

	* rs6000-tdep.c (rs6000_gdbarch_init): Delete variable 'power';
	replace references with expression used to initialize variable.

2004-07-20  Andrew Cagney  <cagney@gnu.org>

	* breakpoint.c (deprecated_read_memory_nobpt): Rename
	read_memory_nobpt.
	* sparc-linux-tdep.c (sparc_linux_sigtramp_start): Update.
	* s390-tdep.c (s390_readinstruction, s390_in_function_epilogue_p)
	(s390_sigtramp_frame_sniffer): Update.
	* mn10300-tdep.c (mn10300_analyze_prologue): Update.
	* mipsnbsd-tdep.c (mipsnbsd_sigtramp_offset): Update.
	* mips-tdep.c (mips_fetch_instruction, mips16_fetch_instruction) 
	(mips32_fetch_instruction): Update.
	* mcore-tdep.c (get_insn): Update.
	* m68klinux-tdep.c (m68k_linux_pc_in_sigtramp): Update.
	* i386nbsd-tdep.c (i386nbsd_sigtramp_offset): Update.
	* i386ly-tdep.c (i386lynx_saved_pc_after_call): Update.
	* i386-linux-tdep.c (i386_linux_sigtramp_start) 
	(i386_linux_rt_sigtramp_start): Update.
	* i386-linux-nat.c (child_resume): Update.
	* hppa-tdep.c (skip_prologue_hard_way, hppa_frame_cache): Update.
	* hppa-linux-tdep.c (insns_match_pattern): Update.
	* gdbcore.h: Update.
	* frv-tdep.c (frv_gdbarch_adjust_breakpoint_address): Update.
	* frame.c (safe_frame_unwind_memory): Update.
	* amd64-linux-tdep.c (amd64_linux_sigtramp_start): Update.
	* alphanbsd-tdep.c (alphanbsd_sigtramp_offset): Update.
	* alpha-tdep.c (alpha_read_insn): Update.

2004-07-20  Andrew Cagney  <cagney@gnu.org>

	* tramp-frame.h (struct tramp_frame): Change "insn" to a struct
	containing both bytes and mask.  Add "frame_type".
	* tramp-frame.c (tramp_frame_start): Update.
	(tramp_frame_prepend_unwinder): Update.
	* mips-linux-tdep.c (mips_linux_o32_sigframe)
	(mips_linux_o32_rt_sigframe, mips_linux_n32_rt_sigframe)
	(mips_linux_n64_rt_sigframe): Update.  Make "static const".
	* ppcnbsd-tdep.c (tramp_frame ppcnbsd_sigtramp): Update.

2004-07-19  Eli Zaretskii  <eliz@gnu.org>

	* config/djgpp/fnchange.lst: Add remapping for bfd/elf32-cr*.c,
	bfd/elf32-sh-symbian.c, bfd/elf32-sh64-com.c,
	sim/testsuite/sim/mips/hilo-hazard-[123].s, and
	sim/testsuite/sim/mips/fpu64-ps-sb1.s.

2004-07-17  Andrew Cagney  <cagney@gnu.org>

	* NEWS, PROBLEMS: Update for 6.2.

	* README: Update to 6.2.

	* utils.c (xvasprintf): Call xstrvprintf.

	* parse.c: Update copyright.
	(null_post_parser): Eliminate ARGSUSED.

	* ppc-linux-nat.c (store_spe_registers): Eliminate K&R C.
	* tui/tui-win.c (tui_get_cmd_list): Ditto.
	* symfile-mem.c (_initialize_symfile_mem): Ditto.
	
	* ppc-linux-tdep.c (ppc_linux_init_abi): Add [sic] to Linux.
	* ppc-linux-nat.c: Use "Linux kernel".
	* hppa-linux-tdep.c: Use GNU/Linux.
	* hppa-linux-nat.c: Use GNU/Linux.
	* dwarfread.c: Add [sic] to use of Linux.

	* hppa-linux-nat.c: Do not include <string.h>.
	(supply_fpregset): Remove "register" attribute.

	* solib-frv.c (fetch_loadmap): Use xfree, not free.

2004-07-17  Mark Kettenis  <kettenis@gnu.org>

	* configure.in: Define _MSE_INT_H on Solaris 9 too.
	* configure, config.in: Regenerated.

	* vaxbsd-nat.c: Include <sys/types.h>, <machine/pcb.h> and
	"bsd-kvm.h".
	(vaxbsd_supply_pcb): New function.
	(_initialize_vaxbsd_nat): New prototype and function.
	* config/vax/nbsdaout.mh (NATDEPFILES): Add bsd-kvm.o, solib.o and
	solib-sunos.o.
	(LOADLIBES): New variable.
	* config/vax/nbsdelf.mh (NATDEPFILES): Add bsd-kvm.o.
	(LOADLIBES): New variable.
	* config/vax/obsd.mh (NATDEPFILES): Add bsd-kvm.o.
	(LOADLIBES): New variable.
	* Makefile.in (vaxbsd-nat.o): Update dependencies.

2004-07-16  Andrew Cagney  <cagney@gnu.org>

	* defs.h (event_loop_p): Replace variable declaration with macro,
	always 1.
	* main.c (captured_main): Delete options "-async" and "-noasync".
	(event_loop_p): Delete variable.
	* NEWS: Mention that "-async" and "-noasync" were removed.

2004-07-16  Andrew Cagney  <cagney@gnu.org>

	* remote-m32r-sdi.c: Re-indent.

2004-07-16  Jim Blandy  <jimb@redhat.com>

	* ppc-tdep.h (ppc_spr_asr): Add missing OEA SPR.
        (ppc_spr_mi_dbcam, ppc_spr_mi_dbram0, ppc_spr_mi_dbram1)
	(ppc_spr_md_cam, ppc_spr_md_ram0, ppc_spr_md_ram1): Add
	missing MPC823 SPRs.
	(ppc_spr_m_twb): Renamed from ppc_spr_md_twb; the old name was
	incorrect.  (This was corrected in GDB's register name tables on
	2004-07-14.)

	* rs6000-tdep.c (registers_602): Correct register name: "esassr"
	should be "esasrr" ("ESA Save and Restore Register").

2004-07-16  Andrew Cagney  <cagney@gnu.org>

	* infrun.c (insert_step_resume_breakpoint): Delete gdb_assert
	calls, no longer applicable.  Update comments and rename parameter
	"step_frame" to "return_frame".

2004-07-16  Andrew Cagney  <cagney@gnu.org>

	* frame.c (fprint_field): New function.
	(fprint_frame_id): Use fprint_field.

2004-07-15  Joel Brobecker  <brobecker@gnat.com>

	* ada-lang.c (ada_language_defn): Remove commented out code.

2004-07-15  Jim Blandy  <jimb@redhat.com>

	* ppc-tdep.h (struct gdbarch_tdep): New member: ppc_sr0_regnum.
	* rs6000-tdep.c (rs6000_gdbarch_init): Initialize it.

2004-07-14  Jim Blandy  <jimb@redhat.com>

	* rs6000-tdep.c (COMMON_UISA_NOFP_REGS): Delete; unused.

	* ppc-tdep.h (ppc_num_vrs): New enum constant.

	* ppc-tdep.h (ppc_num_srs): New enum constant.

	* ppc-tdep.h (ppc_spr_mq, ppc_spr_xer, ppc_spr_rtcu, ppc_spr_rtcl)
	(ppc_spr_lr, ppc_spr_ctr, ppc_spr_cnt, ppc_spr_dsisr, ppc_spr_dar)
	(ppc_spr_dec, ppc_spr_sdr1, ppc_spr_srr0, ppc_spr_srr1)
	(ppc_spr_eie, ppc_spr_eid, ppc_spr_nri, ppc_spr_sp, ppc_spr_cmpa)
	(ppc_spr_cmpb, ppc_spr_cmpc, ppc_spr_cmpd, ppc_spr_icr)
	(ppc_spr_der, ppc_spr_counta, ppc_spr_countb, ppc_spr_cmpe)
	(ppc_spr_cmpf, ppc_spr_cmpg, ppc_spr_cmph, ppc_spr_lctrl1)
	(ppc_spr_lctrl2, ppc_spr_ictrl, ppc_spr_bar, ppc_spr_vrsave)
	(ppc_spr_sprg0, ppc_spr_sprg1, ppc_spr_sprg2, ppc_spr_sprg3)
	(ppc_spr_ear, ppc_spr_tbl, ppc_spr_tbu, ppc_spr_pvr)
	(ppc_spr_spefscr, ppc_spr_ibat0u, ppc_spr_ibat0l, ppc_spr_ibat1u)
	(ppc_spr_ibat1l, ppc_spr_ibat2u, ppc_spr_ibat2l, ppc_spr_ibat3u)
	(ppc_spr_ibat3l, ppc_spr_dbat0u, ppc_spr_dbat0l, ppc_spr_dbat1u)
	(ppc_spr_dbat1l, ppc_spr_dbat2u, ppc_spr_dbat2l, ppc_spr_dbat3u)
	(ppc_spr_dbat3l, ppc_spr_ic_cst, ppc_spr_ic_adr, ppc_spr_ic_dat)
	(ppc_spr_dc_cst, ppc_spr_dc_adr, ppc_spr_dc_dat, ppc_spr_dpdr)
	(ppc_spr_dpir, ppc_spr_immr, ppc_spr_mi_ctr, ppc_spr_mi_ap)
	(ppc_spr_mi_epn, ppc_spr_mi_twc, ppc_spr_mi_rpn, ppc_spr_mi_cam)
	(ppc_spr_mi_ram0, ppc_spr_mi_ram1, ppc_spr_md_ctr, ppc_spr_m_casid)
	(ppc_spr_md_ap, ppc_spr_md_epn, ppc_spr_md_twb, ppc_spr_md_twc)
	(ppc_spr_md_rpn, ppc_spr_m_tw, ppc_spr_md_dbcam, ppc_spr_md_dbram0)
	(ppc_spr_md_dbram1, ppc_spr_ummcr0, ppc_spr_upmc1, ppc_spr_upmc2)
	(ppc_spr_usia, ppc_spr_ummcr1, ppc_spr_upmc3, ppc_spr_upmc4)
	(ppc_spr_zpr, ppc_spr_pid, ppc_spr_mmcr0, ppc_spr_pmc1)
	(ppc_spr_sgr, ppc_spr_pmc2, ppc_spr_dcwr, ppc_spr_sia)
	(ppc_spr_mmcr1, ppc_spr_pmc3, ppc_spr_pmc4, ppc_spr_sda)
	(ppc_spr_tbhu, ppc_spr_tblu, ppc_spr_dmiss, ppc_spr_dcmp)
	(ppc_spr_hash1, ppc_spr_hash2, ppc_spr_icdbdr, ppc_spr_imiss)
	(ppc_spr_esr, ppc_spr_icmp, ppc_spr_dear, ppc_spr_rpa)
	(ppc_spr_evpr, ppc_spr_cdbcr, ppc_spr_tsr, ppc_spr_602_tcr)
	(ppc_spr_403_tcr, ppc_spr_ibr, ppc_spr_pit, ppc_spr_esasrr)
	(ppc_spr_tbhi, ppc_spr_tblo, ppc_spr_srr2, ppc_spr_sebr)
	(ppc_spr_srr3, ppc_spr_ser, ppc_spr_hid0, ppc_spr_dbsr)
	(ppc_spr_hid1, ppc_spr_iabr, ppc_spr_dbcr, ppc_spr_iac1)
	(ppc_spr_dabr, ppc_spr_iac2, ppc_spr_dac1, ppc_spr_dac2)
	(ppc_spr_l2cr, ppc_spr_dccr, ppc_spr_ictc, ppc_spr_iccr)
	(ppc_spr_thrm1, ppc_spr_pbl1, ppc_spr_thrm2, ppc_spr_pbu1)
	(ppc_spr_thrm3, ppc_spr_pbl2, ppc_spr_fpecr, ppc_spr_lt)
	(ppc_spr_pir, ppc_spr_pbu2): New enum constants for PowerPC
	special-purpose register numbers.

	* rs6000-tdep.c (registers_860): Correct register name.  (No PPC
	manual mentions 'md_twb', but many mention 'm_twb', and at that
	point in the register list.)

2004-07-14  Andrew Cagney  <cagney@gnu.org>

	* utils.c (internal_warning_problem): Fix typo, "internal-warning"
	instead of "internal-error".

2004-07-10  Joel Brobecker  <brobecker@gnat.com>

	* hppa-hpux-tdep.c: Fix a compilation failure due to a comment
	that was inserted inside a comment.

2004-07-10  Randolph Chung  <tausq@debian.org>

	* hppa-hpux-tdep.c (hppa_hpux_som_find_global_pointer): New 
	function.
	(hppa_hpux_push_dummy_code): New function.
	(hppa_hpux_init_abi): Set push_dummy_code and call_dummy_location.
	Set find_global_pointer method.

2004-07-10  Mark Kettenis  <kettenis@gnu.org>

	* NEWS: Mention BSD libkvm interface.

2004-07-10  Michael Snyder  <msnyder@redhat.com>

	* symfile.c (generic_load): Comment typo.
	* stack.c (get_selected_block): Ditto.
	* regcache.c (regcache_cooked_read): Ditto.
	* monitor.c (monitor_debug): Ditto.
	* mips-tdep.c (mips_read_pc): Ditto.
	* i386-linux-nat.c (ps_get_thread_area): Ditto.
	* gdb_mbuild.sh: Ditto.
	* gdbarch.sh: Ditto.
	* gdbarch.h: Ditto.

2004-07-09  Paul N. Hilfinger  <Hilfinger@gnat.com>

        * ada-tasks.c: Remove file.
	
	Remove ARI problems:
	
	* ada-exp.y (write_var_from_sym): Reformat to put operator at
	beginning of line.

	* ada-lang.c (MAX_OF_SIZE): Rename max_of_size.
	Add comment.
	Add comment concerning MAX_OF_TYPE and MIN_OF_TYPE.
	(MIN_OF_SIZE): Rename min_of_size.  Add comment.
	(UMAX_OF_SIZE): Renmae umax_of_size.  Add comment.
	(UMIN_OF_SIZE): Remove.
	(max_of_type): New function to replace orphan macro in gdbtypes.h
	(min_of_type): Ditto.
	(discrete_type_high_bound): Use max_of_type.
	(discrete_type_low_bound): Use min_of_type.
	(possible_user_operator_p): Move operator to beginning of line.
	(ada_is_variant_part): Ditto.
	(ensure_lval): Rewrite to avoid deprecated operations.
	(ada_finish_decode_line_1): Use gdbarch_convert_from_func_ptr_addr
	rather than adding DEPRECATED_FUNCTION_START_OFFSET.
	(ada_enum_name): Remove assignments in 'if' statements.
	(build_ada_types): Add gdbarch parameter.
	(_initialize_ada_language): Replace deprecated_register_gdbarch_swap
	with gdbarch_data_register_post_init.
	Use add_setshow_uinteger_cmd rather than add_set_cmd and 
	add_show_from_set.

	* ada-valprint.c (inspect_it): Remove declaration.
	(repeat_count_threshold): Remove declaration.
	(ada_print_floating): Remove assignments in 'if' statements.
	(print_str): Move operator to beginning of line.
	
2004-07-08  Jim Blandy  <jimb@redhat.com>

	* rs6000-tdep.c (registers_powerpc_nofp): Unused; deleted.

2004-07-08  Bob Rossi  <bob@brasko.net>

	* symtab.c (lookup_symtab): check return value of symtab_to_fullname

2004-07-06  Jeff Johnston <jjohnstn@redhat.com>

	* language.h (struct_language_defn): Add new function pointer:
	la_class_name_from_physname.  Also add new prototype for
	language_class_name_from_physname.
	* language.c (language_class_name_from_physname): New function.
	(unk_lang_class_name): Ditto.
	(unknown_language_defn, auto_language_defn): Change
	to add unk_lang_class_name function pointer for
	la_class_name_from_physname.
	(local_language_defn): Ditto.
	* dwarf2read.c (guess_structure_name): Change to call
	language_class_name_from_physname.
	(determine_class_name): Ditto.
	* cp-support.c (class_name_from_physname): Renamed.
	(cp_class_name_from_physname): New name of function.
	* cp-support.h: Ditto.
	* c-lang.c (c_language_defn): Change to add NULL
	for class_name_from_physname function pointer.
	(cplus_language_defn): Change to add cp_class_name_from_physname.
	* jv-lang.c (java_class_name_physname): New function.
	(java_find_last_component): New static routine.
	(java_language_defn): Add java_class_name_from_physname pointer.
	* ada-lang.c (ada_language_defn): Change to add NULL
	for class_name_from_physname function pointer.
	* f-lang.c (f_language_defn): Ditto.
	* m2-lang.c (m2_language_defn): Ditto.
	* objc-lang.c (objc_language_defn): Ditto.
	* p-lang.c (pascal_language_defn): Ditto.
	* scm-lang.c (scm_language_defn): Ditto. 

2004-07-06  Andrew Cagney  <cagney@gnu.org>

	Patch from Bart Robinson.
	* corelow.c (core_open): Add variable "flags", or in O_LARGEFILE.
	(O_LARGEFILE): Define to 0, if not defined.

2004-07-03  Mark Kettenis  <kettenis@gnu.org>

	* m68kbsd-nat.c: Include "gdbcore.h", <sys/types.h>,
	<machine/pcb.h> and "bsd-kvm.h".
	(PCB_REGS_FP, PCB_REGS_SP): Define if not already defined.
	(m68kbsd_supply_pcb): New function.
	(_initialize_m68kbsd_nat): New prototype and function.
	* Makefile.in (m68kbsd-nat.o): Update dependencies.
	* config/m68k/nbsdelf.mh (NATDEPFILES): Add bsd-kvm.o.
	(LOADLIBES): New variable.
	* config/m68k/obsd.mh (NATDEPFILES): Add bsd-kvm.o.
	(LOADLIBES): New variable.

	* bsd-kvm.c (bsd_kvm_cmdlist): Remove unecessary initialization.

2004-07-03  Mark Kettenis  <kettenis@gnu.org>

	* bsd-kvm.c: Include "cli/cli-cmds.h", "command.h", "value.h" and
	<sys/proc.h>.
	(bsd_kvm_cmdlist): New variable.
	(bsd_kvm_cmd, bsd_kvm_proc_cmd, bsd_kvm_pcb_cmd): New functions.
	(bsd_kvm_add_target): Register "kvm" command prefix, "kvm pcb"
	command and "kvm proc" command.
	* Makefile.in (bsd-kvm.o): Update dependencies.

2004-07-02  Mark Kettenis  <kettenis@gnu.org>

	* osabi.c: Update copyright year.
	(generic_elf_osabi_sniffer): Tweak comment.  Look for OS-specific
	notes if EI_OSABI is set to ELFOSABI_HPUX.

2004-07-01  Michael Snyder  <msnyder@redhat.com>

	* win32-nat.c (core_dll_symbols_add): Re-indent a small section
	that seems to have gotten whacked out of line.

2004-07-01  Mark Kettenis  <kettenis@gnu.org>

	* dbxread.c (process_one_symbol) [PCC_SOL_BROKEN]: Remove dead
	code.

2004-07-01  Paul N. Hilfinger  <Hilfinger@gnat.com>

	* ada-lang.c (decode_packed_array): Minor change to comment.
	(ada_value_slice_ptr): New function. 
	(ada_value_slice): New function. 
	(ada_evaluate_subexp): Remove XVS-suffix code from subscripting
	test.  Don't know why it is there.
	Change slice code to use ada_value_slice_ptr and ada_value_slice, and
	to avoid dereferencing huge arrays from which one is slicing.  
	(empty_array): Correct to return an array rather than
	a subrange value.
	* ada-valprint.c (print_optional_low_bound): Don't print lower bound
	on empty arrays (let'em use 'FIRST instead).

2004-07-01  Paul N. Hilfinger  <Hilfinger@gnat.com>

	Address complaints from gdb_ari.sh:
	
	* ada-exp.y: Include gdb_string.h rather than string.h.
	(convert_char_literal): Reformat declaration.
	* ada-lang.h: Include opaque struct declaration for struct frame_info.
	* ada-lex.l: Change use of free to xfree (the macro would do so
	anyway, but this is harmless).
	Include gdb_string.h rather than string.h.
	* ada-valprint.c (ada_val_print_stub): Change PTR => void*.
	
	* ada-lang.c (parse): Remove K&Rism in parameter list.
	(is_name_suffix): Correct Linux => GNU/Linux in comment.
	
2004-06-30  Mark Kettenis  <kettenis@gnu.org>

	* dbxread.c (process_one_symbol) [SUN_FIXED_LBRAC_BUG]: Remove
	dead code.

2004-06-30  Mark Kettenis  <kettenis@gnu.org>

	* alphabsd-nat.c: Update copyright year.
	(getregs_supplies): Use ALPHA_PC_REGNUM instead of PC_REGNUM.

2004-06-29  Joel Brobecker  <brobecker@gnat.com>

	* i386-cygwin-tdep.c (i386_cygwin_skip_trampoline_code): New function.
	(i386_cygwin_in_solib_call_trampoline): New function.
	(i386_cygwin_init_abi): Initialize the in_solib_call_trampoline
	and skip_trampoline_code gdbarch methods.

2004-06-29  Jim Blandy  <jimb@redhat.com>

	* Makefile.in (gdb_callback_h): Renamed from callback_h to the
	name actually used in the dependency lists.

2004-06-29  Randolph Chung  <tausq@debian.org>

	* NEWS (New native configurations): Mention GNU/Linux/hppa.

2004-06-29  Corinna Vinschen  <vinschen@redhat.com>

	* win32-nat.c (child_pid_to_exec_file): New function.
	(init_child_ops): Add child_pid_to_exec_file as to_pid_to_exec_file
	functionality.

2004-06-28  Andrew Cagney  <cagney@gnu.org>

	* defs.h (xstrvprintf): Declare.
	* utils.c (xstrvprintf): New function.
	(internal_vproblem, xstrprintf, xasprintf) 
	(vfprintf_maybe_filtered, vfprintf_unfiltered): Use xstrvprintf.
	* serial.c (serial_printf): Ditto.
	* complaints.c (vcomplaint): Ditto.

2004-06-29  Corinna Vinschen  <vinschen@redhat.com>

	* infcmd.c (attach_command): Move call to target_terminal_inferior
	behind loading symbol table.

2004-06-28  Andrew Cagney  <cagney@gnu.org>

	* rdi-share/ardi.c (angel_RDI_ExecuteOrStep): Revert 2004-06-24
	change - add back extern deprecated_ui_loop_hook declaration.

2004-06-28  Andrew Cagney  <cagney@gnu.org>

	* xcoffsolib.c (xcoff_solib_address): Replace xasprintf with
	xstrprintf.
	* varobj.c (varobj_gen_name, create_child, c_name_of_child)
	(c_value_of_variable): Ditto.
	* utils.c (internal_vproblem): Ditto.
	* solib-aix5.c (build_so_list_from_mapfile): Ditto.
	* remote.c (add_packet_config_cmd): Ditto.
	* remote-rdp.c (rdp_set_command_line): Ditto.
	* regcache.c (regcache_dump): Ditto.
	* frv-tdep.c (new_variant, new_variant): Ditto.
	* fbsd-proc.c (child_pid_to_exec_file): Ditto.
	(fbsd_find_memory_regions): Ditto.
	* breakpoint.c (create_thread_event_breakpoint) 
	(create_breakpoints): Ditto.
	* aix-thread.c (aix_thread_pid_to_str): Ditto.
	* ada-lang.c (is_package_name): Ditto.  Also delete xmalloc call.

2004-06-28  Joel Brobecker  <brobecker@gnat.com>

	* ada-lang.c: Re-indent file, with some massaging to help indent
	a bit when the result is otherwise really too ugly.

2004-06-27  Ulrich Weigand  <uweigand@de.ibm.com>

	* frame.h (struct frame_id): Change bit field type of stack_addr_p, 
	code_addr_p and special_addr_p to 'unsigned int'.

2004-06-27  Mark Kettenis  <kettenis@gnu.org>

	* i386v4-nat.c: Update copyright year and tweak comment.
	(regmap): Remove trailing comma.
	(supply_gregset): Rename local variable i to regnum.  Call
	regcache_raw_supply instead of supply_register.
	(fill_gregset): Rename argument regno to regnum.  Call
	regcache_raw_collect instead of regcache_collect.

2004-06-27  Ulrich Weigand  <uweigand@de.ibm.com>

	* frame.h (struct frame_id): New fields stack_addr_p, code_addr_p
	and special_addr_p.
	(frame_id_build, frame_id_build_special): Update comments.
	(frame_id_build_wild): New prototype.
	* frame.c (frame_id_build, frame_id_build_special): Fill in new
	struct frame_id fields.
	(frame_id_build_wild): New function.
	(frame_id_eq, frame_id_inner): Use new struct frame_id fields.

2004-06-27  Mark Kettenis  <kettenis@gnu.org>

	* config/djgpp/fnchange.lst: Add entries for hppabsd-nat.c and
	hppabsd-tdep.c.

2004-06-27  Joel Brobecker  <brobecker@gnat.com>

	* ada-lang.c: Minor reformatting to conform to GNU coding standards.

2004-06-27  Joel Brobecker  <brobecker@gnat.com>

	* ada-lang.c: Re-indent file.

2004-06-27  Joel Brobecker  <brobecker@gnat.com>

	* ada-lang.c (symtab_symbol_info): Remove unused declaration.
	(no_symtab_msg): Likewise.

2004-06-27  Andreas Schwab  <schwab@suse.de>

	* source.c: Fix whitespace.

2004-06-27  Mark Kettenis  <kettenis@gnu.org>

	* configure.in: Include <sys/param.h> for td_pcb test.
	* configure: Regenerated.

	* i386nbsd-nat.c: New file.
	* Makefile.in (ALLDEPFILES): Add i386nbsd-nat.c, i386nbsd-tdep.c,
	i386obsd-nat.c and i386obsd-tdep.c.
	(i386nbsd-nat.o): New dependency.
	* config/i386/obsd.mh (NATDEPFILES): Add i386nbsd-nat.o and
	bsd-kvm.o.
	(LOADLIBES): New variable.
	* config/i386/nbsdelf.mh (NATDEPFILES): Add i386nbsd-nat.o and
	bsd-kvm.o.
	(LOADLIBES): New variable.

	* config/i386/fbsd64.mh (NATDEPFILES): Add bsd-kvm.o.
	(LOADLIBES): New variable.

	* bsd-kvm.c (bsd_kvm_fetch_registers): Directly return after
	fetching from BSD_KVM_PADDR.  Correctly lookup address for
	"_thread0".

	* amd64fbsd-nat.c: Include <sys/types.h, <machine/pcb.h> and
	"bsd-kvm.h".
	(amd64fbsd_supply_pcb): New funcion.
	(_initialize_amd64fbsd_nat): Enable libkvm interface.

2004-06-27    <david@streamline-computing.com>

	Partial fix for PR cli/1056.
	* valarith.c: Check for zero in division and remainder 
	evaluation.

2004-06-27  Mark Kettenis  <kettenis@gnu.org>

	* i387-tdep.c: Remove excessive whitespace.

2004-06-26  Andrew Cagney  <cagney@gnu.org>

	* gdb-events.sh (deprecated_set_gdb_event_hooks): Deprecated.
	* gdb-events.h, gdb-events.c: Re-generate.
	* tui/tui-hooks.c (tui_install_hooks): Update.
	(tui_remove_hooks): Update.
	* mi/mi-cmd-break.c (mi_cmd_break_insert): Update.

2004-06-26  Mark Kettenis  <kettenis@gnu.org>

	* amd64fbsd-nat.c: Don't include <sys/procfs.h> and "gregset.h".
	(gregset_t, fpregset_t): Remove typedefs.
	(REG_OFFSET): Rename argument.
	(amd64bsd_r_reg_offset): Rename from reg_offset.
	(supply_gregset, fill_gregset, supply_fpregset, fill_fpregset):
	Remove functions.
	(_initialize_amd64fbsd_nat): Use amd64fbsd64_r_reg_offset instead
	of reg_offset.
	* Makefile.in (amd64fbsd-nat.o): Update dependencies.

	* amd64-nat.c (amd64_supply_native_gregset): Fix comment.

	* vax-tdep.c: Tweak comment.

	Add OpenBSD/hppa support.
	* NEWS (New native configurations): Mention OpenBSD/hppa.
	* hppabsd-nat.c, hppabsd-tdep.c, config/pa/obsd.mh,
	config/pa/obsd.mt, config/pa/nm-obsd.h, config/pa/tm-bsd.h: New
	files.
	* Makefile.in (ALLDEPFILES): Add hppabsd-nat.c and hppabsd-tdep.c.
	(hppabsd-nat.o, hppabsd-tdep.c): New dependencies.
	* configure.host: Add hppa*-*-openbsd*.
	* configure.tgt: Add hppa*-*-openbsd*.

2004-06-25  Andrew Cagney  <cagney@gnu.org>

	* defs.h (deprecated_ui_loop_hook): Deprecated.
	* wince.c (child_wait): Update.
	* win32-nat.c (child_wait): Update.
	* v850ice.c (v850ice_wait): Update.
	* top.c (deprecated_ui_loop_hook): Update.
	* serial.h: Update.
	* ser-unix.c (do_hardwire_readchar, do_hardwire_readchar) 
	(do_unix_readchar): Update.
	* ser-tcp.c (net_open): Update.
	* remote-sim.c (gdb_os_poll_quit): Update.
	* rdi-share/ardi.c (angel_RDI_ExecuteOrStep): Update.

2004-06-24  Andrew Cagney  <cagney@gnu.org>

	* defs.h (deprecated_pre_add_symbol_hook)
	(deprecated_post_add_symbol_hook): Deprecated.
	* symfile.c (symbol_file_add_with_addrs_or_offsets) 
	(symbol_file_add_with_addrs_or_offsets): Update references.

2004-06-24  Andrew Cagney  <cagney@gnu.org>

	* defs.h (post_add_symbol_hook, pre_add_symbol_hook)
	(ui_loop_hook, selected_frame_level_changed_hook): Declare.
	* wince.c (ui_loop_hook): Delete extern declaration.
	* win32-nat.c (ui_loop_hook): Delete extern declaration..
	* v850ice.c (ui_loop_hook): Delete extern declaration..
	* ser-unix.c (ui_loop_hook): Delete extern declaration..
	* ser-tcp.c (ui_loop_hook): Delete extern declaration..
	* remote-sim.c (ui_loop_hook): Delete extern declaration..
	* rdi-share/ardi.c (angel_RDI_ExecuteOrStep): Delete extern.
	ui_loop_hook declaration.

2004-06-24  Andrew Cagney  <cagney@gnu.org>

	* objfiles.h (struct entry_info): Delete entry_func_lowpc and
	entry_func_highpc fields.
	* objfiles.c (init_entry_point_info): Do not clear
	entry_func_lowpc and entry_func_highpc.
	(objfile_relocate): Do not relocate entry_func_lowpc and
	entry_func_highpc.
	* dwarfread.c (read_func_scope): Do not set entry_func_lowpc and
	entry_func_highpc.
	* dwarf2read.c (read_func_scope): Do not set entry_func_lowpc and
	entry_func_highpc.
	* blockframe.c (legacy_frame_chain_valid): Replace tests against
	entry_func_lowpc and entry_func_highpc with call to
	inside_entry_func.

2004-06-24  Mark Kettenis  <kettenis@gnu.org>

